# Change Log

Toutes les modifications apportées au projet seront documentées dans ce fichier.
Le format est basé sur le modèle [Keep a Changelog](http://keepachangelog.com/) et adhère aux principes du [Semantic Versioning](http://semver.org/).

[2.1.0] - XX-XX-XXXX
=====

### Ajouts
- Mise en place d'un paramètre pour savoir si l'application est en mode SAAS pour adapter l'hébergeur dans le menu "Politique de confidentialité" (RGPD)
- Lors de la rédaction d'un traitement, il est possible à tout moment de générer le projet de traitement. 
- Mise en place d'une variable sur l'état du traitement afin de pouvoir faire une condition sur le filigrane dans le modèle.

### Evolutions
- Modification des mails envoyés en notification.
- Le numéro d'enregistrement défini manuellement lors de l'insertion au registre, ne peut plus être identique au préfixe du registre.
- Lors de la déclaration d'un sous-traitant seul la "Raison sociale" est obligatoire, pour pouvoir intégrer les sous-traitants non Français.
- Lors de la déclaration d'un co-responsable seul la "Raison sociale" est obligatoire, pour pouvoir intégrer les co-responsables non Français.
- Mise à jour de TinyMCE en version 5.5.1
- Mise en place du moteur TinyMCE pour le formatage des champs "Champ d'information" et "Label" sur le formulaire.
- Mise en place du moteur TinyMCE pour le formatage de la réponse lors d'une demande de consultation.

### Corrections
- Système de génération du numéro d'enregistrement du traitement au registre.
- Traduction du moteur de mise en forme du texte lors de l'ajout ou modification d'un article.
- Correction de l'espacement entre le champ de sélection et les boutons dans la modal lors de l'envoi en consultation.

### Suppressions
-

[2.0.1] - 21-10-2020
=====

### Ajouts

### Evolutions

### Corrections
- Correction des droits obligatoire pour le profil "DPO" (patch sql)
- Correction sur l'erreur lors du changement d'entité via la pop-up

[2.0.0] - 18-09-2020
=====

## Ajouts
- Mise en place d'une FAQ.
- Mise en place d'un typage des annexes.
- Mise en place de l'initialisation d'un traitement par le DPO
- Mise en place de la visualisation de tous les traitements au sein de sa collectivité.
- Mise en place des traitements dit de sous-traitance (responsable de traitement externe)
- Mise en place d'un registre de sous-traitance

### sur les droits :
- Ajout d'un droit en rapport avec la création d'un article dans la FAQ.
- Ajout d'un droit en rapport avec la modification d'un article dans la FAQ.
- Ajout d'un droit en rapport avec la suppression d'un article dans la FAQ.
- Ajout d'un droit en rapport avec la visualisation d'un article dans la FAQ.
- Ajout d'un droit en rapport avec la gestion du typage des annexes.
- Ajout d'un droit en rapport avec la consultation de tous les traitements au sein de l'entité.
- Ajout d'un droit en rapport avec la création d'un co-responsable lors de la déclaration d'un traitement.
- Ajout d'un droit en rapport avec la création d'un sous-traitant lors de la déclaration d'un traitement.

### sur les formulaires :
- Mise en place de condition sur les différents champs du formulaire. Condition appliquée lors de la déclaration d'un traitement.
- Mise en place des champs pour la sous-finalité. Avec paramétrage sur l'utilisation des champs dans un traitement.
- Mise en place des champs concernant la base légale. Avec paramétrage sur l'utilisation des champs dans un traitement.
- Mise en place des champs concernant la prise de décision automatisée. Avec paramétrage sur l'utilisation des champs dans un traitement.
- Mise en place des champs concernant le transfert des données hors UE. Avec paramétrage sur l'utilisation des champs dans un traitement.
- Mise en place des champs concernant l'utilisation des données sensibles. Avec paramétrage sur l'utilisation des champs dans un traitement.
- Mise en place de l'acceptation de différent format de fichier en annexe d'un traitement. Avec paramétrage sur l'utilisation des champs dans un traitement.
- Mise en place des questions définissant si une AIPD est obligatoire ou pas. Avec paramétrage sur l'utilisation des champs dans un traitement.
- Mise en place de valeur par défaut lors de la création d'un traitement. Ces valeurs par défaut sont ajoutées lors de la création d'un traitement.
- Ajout de la possibilité de rendre obligatoire un champ case à coché dans le formulaire.

### sur les traitements :
- Ajout d'un champ sur la réalisation de l'AIPD
- Ajout d'un champ sur le dépôt de l'AIPD
- Déclaration de traitement en tant que sous-traitant pour le compte d'un responsable de traitement. Avec notion de sous-traitance ultérieure.

### sur les modèles :
- Ajout des variables concernant les informations complémentaires.
- Ajout des variables concernant le responsable de traitement.
- Ajout des variables concernant l'AIPD.
- Ajout des variables concernant les co-responsables.
- Ajout des variables concernant les sous-traitants.
- Ajout des variables concernant les annexes.

### sur les co-responsables :
- Ajout des informations relatives au DPO.

### sur les sous-traitants :
- Ajout des informations relatives au DPO.

### sur les normes :
- Ajout des normes "Actes réglementaires uniques" (RU-060, RU-063, RU-065, RU-066)
- Ajout des normes "Normes simplifiées" (NS-060)
- Ajout des normes "Référentiel santé" (RS)
- Ajout des normes "Méthodologies de référence" (MR)

### sur le registre :
- Ajout de nouveau filtre


## Evolutions
- Affichage de l'onglet "Information de l'entité" lors de la visualisation d'un traitement au registre
- PostgreSQL 10.9
- PHP 7.4
- Ubuntu 20.04 LTS | Centos8

### sur les formulaires :
- Plus de distinction entre un formulaire sans sous-traitance et avec sous-traitance.

### sur les modèles :
- Modification de certaines variables.

### sur les co-responsables :
- Il n'y a plus de duplication des informations du co-responsable lors de la déclaration d'un traitement. Si le co-responsable est modifié les informations seront reportées automatiquement sur le traitement.
- Certains champs ne sont plus obligatoires.

### sur les sous-traitants :
- Il n'y a plus de duplication des informations du sous-traitant lors de la déclaration d'un traitement. Si le sous-traitant est modifié les informations seront reportées automatiquement sur le traitement.
- Certains champs ne sont plus obligatoires.

### sur un traitement :
- Évolution du libellé du champ "Finalité"
- Évolution du libellé du champ "Transfert hors UE"
- Évolution du libellé du champ "Données sensibles"


## Corrections
- Abroger norme "Actes réglementaires uniques" (RU-059)
- Générations documentaires
- Génération au format CSV


### Suppressions
- Suppression de l'onglet "Information de l'entité" lors de la création, modification et visualisation d'un traitement
- Suppression du verrouillage des traitements au registre.


[1.1.0] - 03-12-2019
=====

### Ajouts
- Mise en place de la civilité du responsable de l'entité.
- Mise en place de la politique de confidentialité de l'application.
- Définition de l'entité responsable de la plate forme web-dpo afin d'afficher les informations de celle-ci dans la page de politique de confidentialité.
- Ajout d'un nouveau type de champ dans le formulaire (multi-select)
- Mise en place des masques sur les champs téléphone, fax et siret d'un sous-traitant
- Ajout de la page de configuration de la page de connexion.
- Ajout variable de la date de création et de la date de dernière modification d'un traitement, pour la génération.
- Ajout de la pagination sur la visualisation de toutes les entités en tant que superadmin
- Ajout du filtre sur l'entité sur la visualisation de toutes les entités en tant que superadmin
- Ajout de nouveaux droits
- Ajout d'une nouvelle page d'accueil pour les utilisateurs qui n'ont pas d'action sur les traitements.
- Ajout d'un modèle de "Presentation", afin de permettre la génération de registre avec une page de sommaire.

### Evolutions
- L'utilisateur ne peut plus changer son identifiant.
- Un utilisateur provenant d'un LDAP ne peut pas changer son mot de passe.
- Séparation du changement de mot de passe de la page de "Préférences".
- Modification de l'emplacement du dossier cible pour l'enregistrement des documents déposé dans l'application afin de 
faciliter les backups.
- Lors du login, si l'utilisateur a été créé à la main sur l'application, on n'interroge pas les LDAPS potentiellement
connecté.
- Si DPO non défini interdire la création d'un traitement
- Formatage des nom de variable lors de la création ou modification d'un formulaire. (suppression accents, espace, caratère spéciaux)
- Lors de la la modification d'un formulaire, il n'est plus possible de modifier le nom de variable d'un champ déjà existant.
- Nouvelle page de connexion LS
- Lors de la création d'une entité la tache automatique sur la "conversion des annexes" est automatiquement configuré et activé.
- Trie du tableau de modèle de formulaire par nom

### Corrections
- Génération du registre au format .CSV
- Correction sur l'affichage du rédacteur lorsqu'un utilisateur non rédacteur consulte le traitement.
- Correction de la modification des valeurs dans un menu déroulant lors de la modification d'un formulaire.
- Correction de l'affectation d'un sous-traitant à une entité
- Correction de l'affectation d'un co-responsable à une entité
- Correction du fichier webdpo.inc.default sur l'url de Gedooo
- Affichage du formulaire
- Affichage du traitement
- Lors de la déclaration d'un traitement les services sont ceux de l'utilisateur connecté dans l'entité actuelle.
- Bug lors de la définition du DPO. Mise en place d'un profil DPO, ou on peut ne modifier que certains droits
- Le bouton "entrée" n'a plus d'action dans les formulaires
- Correction de l'enregistrement d'une norme lorsque le fichier de la norme n'est pas au format PDF.
- Restriction des actions en fonction des droits utilisateur
- Correction de l'insertion d'un traitement au registre. 
- Suppression des espaces au début et à la fin des options lors de la création des champs dans le formulaire
- Lors de la modification de l'entité (information sur l'entité et / ou le DPO) les informations de l'entité dans les traitements sont modifier. Sauf les traitements au registre

### Suppressions
- Suppression de l'utilisation du système de verrouillage d'un traitement au registre.
- Suppression de l'affichage des variables du co-responsable dans les variables pour l'extrait de registre.
- Suppresion de la visualisation d'un profil.

[1.0.1] - 13-12-2018
=====

### Ajouts
- Mise en place d'une page de vérification de l'installation de l'application en tant que superadmin.
- Mise en place d'une tâche automatique pour la conversion des annexes PDF pour permettre la génération.

### Evolutions
- Modification de la création d'un formulaire pour qu'il ressemble le plus possible à la déclaration d'un traitement.
- Possibilité de définir le préfix d'enregistrement du numéro du traitement au registre
- Lors du changement de collectivité par un utilisateur qui a plus de 5 collectivités, une modal ("pop-up") a été mise 
en place pour faciliter l'affichage et le changement.

### Corrections
- Duplication d'un formulaire dans une autre entité.
- Filtre sur le type de formulaire utilisé au registre.
- Génération du registre avec les annexes.
- Modification du nom des varibles dans l'aide pour crée les modèles.

[1.0.0] - 03-07-2018
=====

### Ajouts
- Fork du projet web-CIL
- Mise en place de la notion de sous-traitance
- Mise en place de la notion de co-responsabilité
- Export du registre en csv
- Choix de notification par email en fonction de chaque utilisateur.
- Ajout connecteur LDAP + tâche automatique pour la récupération des informations LDAP

### Evolutions
- Gestion des entitées en tant que super-administrateur 

### Corrections
- Remplacement de la notion de CIL par DPO
- Affichage de la force du mot de passe attendu dans l'entité à la création d'un utilisateur 
