BEGIN;

ALTER TABLE responsables ALTER COLUMN siretstructure DROP NOT NULL;
DROP INDEX IF EXISTS responsables_raisonsocialestructure_siretstructure_idx;
CREATE UNIQUE INDEX responsables_emailstructure_idx ON responsables (emailstructure);
CREATE UNIQUE INDEX responsables_numerocnil_dpo_idx ON responsables (numerocnil_dpo);

ALTER TABLE soustraitants ALTER COLUMN siretstructure DROP NOT NULL;
DROP INDEX IF EXISTS soustraitants_raisonsocialestructure_siretstructure_idx;
DROP INDEX IF EXISTS soustraitants_siret_idx;
CREATE UNIQUE INDEX soustraitants_siretstructure_idx ON soustraitants (siretstructure);

CREATE TABLE workflows (
    id SERIAL NOT NULL PRIMARY KEY,
    organisation_id INTEGER NOT NULL REFERENCES organisations(id) ON DELETE CASCADE ON UPDATE CASCADE,
    process_definition_key VARCHAR(255) NOT NULL,
    name VARCHAR(100) NOT NULL,
    description VARCHAR(500),
    file VARCHAR(100) NOT NULL,
    active BOOLEAN NOT NULL DEFAULT FALSE,
    deleted timestamp,
    created timestamp without time zone NOT NULL,
    modified timestamp without time zone NOT NULL
);
CREATE UNIQUE INDEX workflows_file_idx ON workflows (file);
CREATE UNIQUE INDEX workflows_organisation_id_name_idx ON workflows (organisation_id, name);

-- DEV
INSERT INTO workflows (organisation_id, process_definition_key, name, file, created, modified) VALUES
(1, 'a97b0fe1-0eeb-11eb-87cf-0242ac1a0006', 'validationSimple', 'toto.xml', NOW(), NOW());

COMMIT;
