<?php

/**
 * ConnecteurLdap
 *
 * web-DPO : Outil de gestion de vos traitements dans le cadre de la
 * réglementation relative à la protection des données personnelles (RGPD)
 *
 * Copyright (c) Libriciel SCOP (https://www.libriciel.fr/)
 *
 * Licensed under the GNU Affero General Public License version 3 License - AGPL v3
 * For full copyright and license information, please see the "LICENSE" file.
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright   Copyright (c) Libriciel SCOP (https://www.libriciel.fr/)
 * @link        https://www.libriciel.fr/web-dpo/
 * @since       web-DPO v1.0.0
 * @license     [GNU Affero General Public License version 3](http://www.gnu.org/licenses/agpl-3.0.html) - AGPL v3
 * @version     v1.0.0
 * @package     App.Model
 */

App::uses('AppModel', 'Model');

class ConnecteurLdap extends AppModel {

    public $name = 'ConnecteurLdap';
    
    /**
     * belongsTo associations
     *
     * @var array
     *
     * @access public
     * @created 26/03/2015
     * @version V0.9.0
     */
    public $belongsTo = [
        'Organisation' => [
            'className' => 'Organisation',
            'foreignKey' => 'organisation_id'
        ]
    ];

    /**
     * @param $data
     * @param $id
     * @return bool
     * @throws Exception
     *
     * @access public
     *
     * @author Théo GUILLON <theo.guillon@libriciel.coop>
     * @created 16/07/2020
     * @version V2.0.0
     */
    public function saveFile($file, $id)
    {
        $success = true;

        if (in_array($file['type'], ['application/x-x509-ca-cert', 'application/pkix-cert'])) {
            if (!empty($file['name'])) {
                $extension = '.crt';

                // On verifie si le dossier file existe. Si c'est pas le cas on le cree
                $success = create_arborescence_files();

                if ($success == true && !empty($file['tmp_name'])) {
                    $url = time();
                    $certificat_url = $url . $extension;

                    $success = $success && move_uploaded_file($file['tmp_name'], CHEMIN_CERTIFICATS . $certificat_url);

                    if ($success === true) {
                        $this->id = $id;
                        $record = [
                            'certificat_url' => $certificat_url,
                            'certificat_name' => $file['name']
                        ];
                        $success = $success && $this->save($record, ['atomic' => false]) !== false;
                    }
                } else {
                    $success = false;
                }
            } else {
                $success = false;
            }

            return ($success);
        } else {
            $success = false;
        }

        return ($success);
    }
}
