<?php

/**
 * Modele
 *
 * web-DPO : Outil de gestion de vos traitements dans le cadre de la
 * réglementation relative à la protection des données personnelles (RGPD)
 *
 * Copyright (c) Libriciel SCOP (https://www.libriciel.fr/)
 *
 * Licensed under the GNU Affero General Public License version 3 License - AGPL v3
 * For full copyright and license information, please see the "LICENSE" file.
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright   Copyright (c) Libriciel SCOP (https://www.libriciel.fr/)
 * @link        https://www.libriciel.fr/web-dpo/
 * @since       web-DPO v1.0.0
 * @license     [GNU Affero General Public License version 3](http://www.gnu.org/licenses/agpl-3.0.html) - AGPL v3
 * @version     v1.0.0
 * @package     App.Model
 */

App::uses('AppModel', 'Model');

class Modele extends AppModel {

    public $name = 'Modele';

    /**
     * belongsTo associations
     * 
     * @var array
     * 
     * @access public
     * @created 18/06/2015
     * @version V0.9.0
     */
    public $belongsTo = [
        'Formulaire' => [
            'className' => 'Formulaire',
            'foreignKey' => 'formulaires_id'
        ]
    ];

    /**
     * @param type $data
     * @param int|null $id
     * @return boolean
     * 
     * @access public
     * @created 18/06/2015
     * @version V0.9.0
     */
    public function saveFile($data, $id = null) {
        if (isset($data['Modele']['modele']) && !empty($data['Modele']['modele'])) {
            $file = $data['Modele']['modele'];
            $success = true;
            
            if ($file['type'] == 'application/vnd.oasis.opendocument.text') {
                if (!empty($file['name'])) {
                    $extension = '.odt';
                    
                    // On verifie si le dossier file existe. Si c'est pas le cas on le cree
                    create_arborescence_files();

                    if (!empty($file['tmp_name'])) {
                        $url = time();
                        $success = $success && move_uploaded_file($file['tmp_name'], CHEMIN_MODELES . $url . $extension);
                        
                        if ($success) {
                            $this->deleteAll([
                                'formulaires_id' => $id
                            ]);
                            
                            $this->create([
                                'fichier' => $url . $extension,
                                'formulaires_id' => $id,
                                'name_modele' => $file['name']
                            ]);
                            $success = $success && $this->save(null, ['atomic' => false]);
                        }
                    } else {
                        $success = false;
                    }
                } else {
                    $success = false;
                }

                return $success ? (0) : (1);
            } else {
                return (2);
            }
        }

        return (3);
    }

}
