var createForm = function(typeCreateForm) {
    var idContainer = '#form-container-'+typeCreateForm;
    var hiddenForm = '#hidden-form-'+typeCreateForm;
    var fieldOptions = '#field-options-'+typeCreateForm;
    var idbtnApplicable = 'applicable-'+typeCreateForm;
    var idbtnCloser = 'closer-'+typeCreateForm;

    var idbtnGroup = 'btn-group-'+typeCreateForm;
    var idbtnInput = 'btn-input-'+typeCreateForm;

    var fixmeOffset = 35;
    var incrementationId = 0;
    var nomVariable = true;
    refresh();

    $(idContainer).resizable({
        handles: 's'
    });

    var repositionFieldOnGrid = function(field) {
        var container = $(idContainer),
            snapTolerance = $(field).draggable('option', 'snapTolerance'),
            top = $(field).position().top - ($(field).position().top % snapTolerance),
            left = ($(field).position().left < $(container).width() / 2) ? 0 : ($(container).width() / 2) + 1;

        field.css({ 'left': left + 'px', 'top': top + 'px'});
    };

    $(idContainer).droppable({
        'drop': function (event, ui) {
            repositionFieldOnGrid($(ui.draggable));
        }
    });

    var resizeFormContainer = function () {
        // On cherche l'élément le plus bas du tableau
        var last = null,
            lastPosition = 0,
            lastHeight = 500,
            currentPosition,
            currentHeight,
            children = $(idContainer).children(),
            newHeight;

        $(children).each(function () {
            currentPosition = $(this).offset().top;
            currentHeight = $(this).height();

            if ((currentPosition + currentHeight) >= (lastPosition + lastHeight)) {
                last = $(this);
                lastPosition = currentPosition;
                lastHeight = currentHeight;
            }
        });

        newHeight = (lastPosition + lastHeight - $(idContainer).offset().top) + fixmeOffset;
        newHeight = Math.round(newHeight);

        $(idContainer).css('height', newHeight + 'px');
    };

    resizeFormContainer();

    //--------------------------------------------------------------------------
    var draggableVerticalOffset = function () {
        var last = null,
            lastPosition = 0,
            lastHeight = 0,
            currentPosition,
            currentHeight,
            children = $(idContainer).children('.draggable'),
            top = 0;

        $(children).each(function () {
            currentPosition = Math.round($(this).offset().top);
            currentHeight = Math.round($(this).height());

            if ((currentPosition + currentHeight) >= (lastPosition + lastHeight)) {
                last = $(this);
                lastPosition = currentPosition;
                lastHeight = currentHeight;
            }
        });

        if ((lastPosition + lastHeight) > 0) {
            top = (lastPosition + lastHeight - $(idContainer).offset().top) + fixmeOffset;
        }

        return top;
    };
    //--------------------------------------------------------------------------

    /**
     * Création des éléments du formulaire lors du clic sur un bouton.
     * Pour rajouter des boutons il faut les rajouter sur l'élément HTML
     * et rajouter un case dans le switch
     */
    $('.'+idbtnInput).click(function () {
        var id = $(this).attr('id');

        $(idContainer).find('.ui-selected').removeClass('ui-selected');

        var top = draggableVerticalOffset();
        var newElement = null;

        switch (id) {
            case 'btn-small-text-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 small-text ui-selected" style="left : 0px; top : ' + top + 'px;">' +
                        '<div class="col-md-4">' +
                            '<label>' +
                                '<span class="labeler">' +
                                    'Petit champ texte' +
                                '</span>' +
                            '</label>' +
                        '</div>' +
                        '<div class="col-md-8">' +
                            '<input type="text" class="form-control" placeholder="Aide à la saisie"/>' +
                        '</div>' +
                    '</div>'
                );
                break;

            case 'btn-long-text-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 long-text ui-selected" style="left : 0px; top : ' + top + 'px;">' +
                        '<div class="col-md-4">' +
                            '<label>' +
                                '<span class="labeler">' +
                                    'Grand champ texte' +
                                '</span>' +
                            '</label>' +
                        '</div>' +
                        '<div class="col-md-8">' +
                            '<textarea name="" placeholder="Aide à la saisie" class="form-control" cols="30" rows="6"></textarea>' +
                        '</div>' +
                    '</div>'
                );
                break;

            case 'btn-date-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 date ui-selected" style="left : 0px; top : ' + top + 'px;">' +
                        '<div class="col-md-4">' +
                            '<label>' +
                                '<span class="labeler">' +
                                    'Champ date' +
                                '</span>' +
                            '</label>' +
                        '</div>' +
                        '<div class="col-md-8">' +
                            '<input class="form-control" placeholder="jj/mm/aaaa" id="datetimepicker' + incrementationId + '"/>' +
                        '</div>' +
                    '</div>'
                );
                incrementationId++;
                break;

            case 'btn-title-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 title ui-selected text-center" style="left : 0px; top : ' + top + 'px;">' +
                        '<h1>' +
                            'Titre de catégorie' +
                        '</h1>' +
                    '</div>'
                );
                break;

            case 'btn-help-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 help ui-selected text-center" style="left : 0px; top : ' + top + 'px;">' +
                        '<div class="col-md-12 alert alert-info">' +
                            '<div class="col-md-12">' +
                                '<i class="fa fa-fw fa-info-circle fa-2x"></i>' +
                            '</div>' +
                            '<div class="col-md-12 messager">' +
                                'Champ d\'information' +
                            '</div>' +
                        '</div>' +
                    '</div>'
                );
                break;

            case 'btn-checkbox-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 checkboxes ui-selected" style="left : 0px; top : ' + top + 'px;">' +
                        '<div class="input select">' +
                            '<label class="col-md-4">' +
                                '<span class="labeler">' +
                                    'Cases à cocher' +
                                '</span>' +
                            '</label>' +
                        '</div>' +
                        '<div class="col-md-8 contentCheckbox">' +
                            '<div class="checkbox">'+
                                'Aucune option sélectionnée'+
                            '</div>' +
                        '</div>' +
                    '</div>'
                );
                break;

            case 'btn-radio-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 radios ui-selected" data="checked" style="left : 0px; top : ' + top + 'px;">' +
                        '<div class="col-md-4">' +
                            '<label>' +
                                '<span class="labeler">' +
                                    'Choix unique' +
                                '</span>' +
                                '<span class="obligatoire"> *</span>' +
                            '</label>' +
                        '</div>' +
                        '<div class="col-md-8 contentRadio">' +
                            'Aucune option sélectionnée' +
                        '</div>' +
                    '</div>'
                );
                break;

            case 'btn-deroulant-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 deroulant ui-selected" style="left : 0px; top : ' + top + 'px;">' +
                        '<div class="col-md-4">' +
                            '<label>' +
                                '<span class="labeler">' +
                                    'Menu déroulant' +
                                '</span>' +
                            '</label>' +
                        '</div>' +
                        '<div class="col-md-8">' +
                            '<select class="form-control contentDeroulant">' +
                                '<option>Aucune option sélectionnée</option>' +
                            '</select>' +
                        '</div>' +
                    '</div>'
                );
                break;

            case 'btn-multi-select-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable col-md-6 form-group multi-select ui-selected" style="left : 0px; top : ' + top + 'px;">' +
                        '<div class="col-md-4">' +
                            '<label>' +
                                '<span class="labeler">' +
                                    'Menu multi-select' +
                                '</span>' +
                            '</label>' +
                        '</div>' +
                        '<div class="col-md-8">' +
                            '<input type="hidden" name="multi-select" value="" id="multi-select_"/>' +
                            '<select name="multi-select" class="form-control multiSelect contentMultiSelect" multiple="multiple">' +
                                '<option>Aucune option</option>' +
                            '</select>' +
                        '</div>' +
                    '</div>'
                );
                break;

            case 'btn-texte-'+typeCreateForm:
                newElement = jQuery(
                    '<div class="draggable form-group col-md-6 texte ui-selected" style="left : 0px; top : ' + top + 'px;">' +
                        '<h5>' +
                            'Votre texte' +
                        '</h5>' +
                    '</div>'
                );
                break;

            default:
                break;
        }

        $(idContainer).append(newElement);
        hideDetails();
        displayDetails($(idContainer).find('.ui-selected'));
        refresh();
        resizeFormContainer();

        repositionFieldOnGrid(newElement);

        for (var i = 0; i < incrementationId; i++) {
            $('#datetimepicker' + i).datetimepicker({
                viewMode: 'year',
                startView: 'decade',
                format: 'dd/mm/yyyy',
                minView: 2,
                language: 'fr',
                autoclose: true
            });
        }
    });

    /**
     * Permet de raffraichir les fonctions onClick lors du rajout d'un champ.
     * En son absence, aucun onclick ne sera ajouté
     *
     * @returns {undefined}
     */
    function refresh() {
        var size = null;
        // var position = null;
        var draggableClass = $(idContainer).find('.draggable');

        draggableClass.unbind('click');
        $(idContainer).unbind('click');

        size = $(idContainer).width();
        size = Math.round(size / 2);

        draggableClass.draggable({
            containment: 'parent',
            opacity: 0.70,
            grid: [size, 35],
            snapTolerance: 35
        });

        draggableClass.click(function () {
            if ($(this).hasClass('ui-selected')) {
                $(this).removeClass('ui-selected');
                hideDetails();
            } else {
                $(idContainer).find('.ui-selected').removeClass('ui-selected');
                hideDetails();
                $(this).addClass('ui-selected');
                displayDetails($(this));
            }
        });

        // $('.draggable').on('dragstop', function (event, ui) {
        //     position = $(this).position();
        //
        //     if (position.left < size / 2) {
        //         $(this).css('left', 0);
        //     } else {
        //         $(this).css('left', size + 1);
        //     }
        //
        //     $(this).css('top', Math.ceil(position.top));
        // });
    }

    /**
     * Options du champ
     *
     * Affiche le formulaire avec les détails à remplir
     * sur chaque champ ajouté lors de la séléction
     *
     * Définition du nom de variable, nom du champ, aide à la saisie,
     * options du champ, champ obligatoire
     *
     * @param {type} object
     * @returns {undefined}
     */
    function displayDetails(object) {
        var champId = null,
            options = null,
            check = null,
            readonly = '',
            findType = '';

        // @TODO
        if ($(idContainer).find('.ui-selected').attr('data') === 'checked') {
            check = '<div class="checkbox"><label><input type="checkbox" name="checked" id="oblig-small-text" class="obligForm" checked="true" readonly="readonly" disabled="disabled"> Champ obligatoire</label></div>';
        } else {
            check = '<div class="checkbox"><label><input type="checkbox" name="checked" id="oblig-small-text" class="obligForm"> Champ obligatoire</label></div>';
        }

        if ( (object.hasClass('small-text')) || (object.hasClass('long-text')) || (object.hasClass('date')) ) {
            var attrNameNomDeVariable = null,
                attrPlaceholderAideSaisie = null,
                forLabelNomChamp = null,
                forPlaceholderAideSaisie = null,
                placeholderAideSaisieReadonly = '';

            if ( (object.hasClass('small-text')) || (object.hasClass('date')) ) {
                findType = 'input';

                if (object.hasClass('small-text')) {
                    champId = 'name-small-text-'+typeCreateForm;
                    forLabelNomChamp = 'label-small-text-'+typeCreateForm;
                    forPlaceholderAideSaisie = 'placeholder-small-text-'+typeCreateForm;

                } else if (object.hasClass('date')) {
                    champId = 'name-date-'+typeCreateForm;
                    forLabelNomChamp = 'label-date-'+typeCreateForm;
                    forPlaceholderAideSaisie = 'placeholder-date-'+typeCreateForm;
                    placeholderAideSaisieReadonly = "readonly='readonly'";
                }
            }

            if (object.hasClass('long-text')) {
                findType = 'textarea';

                champId = 'name-long-text-'+typeCreateForm;
                forLabelNomChamp = 'label-long-text-'+typeCreateForm;
                forPlaceholderAideSaisie = 'placeholder-long-text-'+typeCreateForm;
            }

            attrPlaceholderAideSaisie = $(idContainer).find('.ui-selected').find(findType).attr('placeholder');
            attrNameNomDeVariable = $(idContainer).find('.ui-selected').find(findType).attr('name');
            if (attrNameNomDeVariable == null) {
                attrNameNomDeVariable = '';
            }

            if ($(idContainer).find('.ui-selected').find(findType).attr('class') === 'form-control champNomVariableReadonly') {
                readonly = "readonly='readonly'";
            }

            options = jQuery('' +
                '<div class="col-md-12">' +
                    '<div class="col-md-3">' +
                        '<div class="form-group">' +
                            '<label for="'+champId+'">Nom de variable' +
                                '<span class="obligatoire"> *</span>' +
                            '</label>' +
                            '<input type="text" class="form-control nameForm"'+readonly+' name="name" id="'+champId+'" placeholder="Nom UNIQUE" value="'+attrNameNomDeVariable+'">' +
                        '</div>' +
                    '</div>' +
                    '<div class="col-md-3">' +
                            '<div class="form-group">' +
                            '<label for="'+forLabelNomChamp+'">' +
                                'Nom du champ' +
                            '</label>' +
                            '<input type="text" class="form-control labelForm" name="name" id="'+forLabelNomChamp+'" placeholder="Label du champ" value="'+$(idContainer).find('.ui-selected').find('.labeler').html()+'">' +
                        '</div>' +
                    '</div>' +
                    '<div class="col-md-3">' +
                        '<div class="form-group">' +
                            '<label for="'+forPlaceholderAideSaisie+'">' +
                                'Aide à la saisie' +
                            '</label>' +
                            '<input type="text" class="form-control placeholderForm"'+placeholderAideSaisieReadonly+' name="name" id="'+forPlaceholderAideSaisie+'" value="'+attrPlaceholderAideSaisie+'">' +
                        '</div>' +
                    '</div>' +
                    check +
                    '<div class="'+idbtnGroup+' text-center">' +
                        '<button type="button" class="btn btn-default-danger btn-sm" id="'+idbtnCloser+'">' +
                            '<i class="fa fa-trash"></i>' +
                        '</button>' +
                        '<button type="button" class="btn btn-default-success btn-sm" id="'+idbtnApplicable+'">' +
                            '<i class="fa fa-check"></i> Appliquer' +
                        '</button>' +
                    '</div>' +
                '</div>'
            );
        }

        if ( (object.hasClass('checkboxes')) || (object.hasClass('radios')) || (object.hasClass('deroulant')) || (object.hasClass('multi-select')) ) {
            var list = '',
                nom = '',
                classListeValeur = '',
                nameNomDeVariable = '',
                forLabelNomDuChamp = '',
                idListeDesValeurs = '',
                viewCheck = true;

            if ( (object.hasClass('checkboxes')) || (object.hasClass('radios')) ) {
                findType = 'input';

                if (object.hasClass('checkboxes')) {
                    champId = 'name-checkboxes-'+typeCreateForm;

                    nameNomDeVariable = 'checkboxes';
                    forLabelNomDuChamp = 'label-checkbox';

                    idListeDesValeurs = 'option-checkbox';
                    classListeValeur = 'checkboxForm';

                    viewCheck = false;

                } else if (object.hasClass('radios')) {
                    champId = 'name-radios-'+typeCreateForm;

                    nameNomDeVariable = 'radios';
                    forLabelNomDuChamp = 'label-radios';

                    idListeDesValeurs = 'option-radios';
                    classListeValeur = 'radioForm';
                }
            }

            if ( (object.hasClass('deroulant')) || (object.hasClass('multi-select')) ) {
                findType = 'option';

                if (object.hasClass('deroulant')) {
                    champId = 'name-deroulant';

                    nameNomDeVariable = 'deroulant';
                    forLabelNomDuChamp = 'label-deroulant';

                    idListeDesValeurs = 'option-deroulant';
                    classListeValeur = 'deroulantForm';

                } else if (object.hasClass('multi-select')) {
                    champId = 'name-multi-select-'+typeCreateForm;

                    nameNomDeVariable = 'multi-select';
                    forLabelNomDuChamp = 'label-multi-select';

                    idListeDesValeurs = 'option-multi-select';
                    classListeValeur = 'multiSelectForm';

                }
            }

            if (!$(idContainer).find('.ui-selected').find(findType).attr('name')) {
                nom = '';
            } else {
                nom = $(idContainer).find('.ui-selected').find(findType).attr('name').replace('[]', '');
            }

            $(idContainer).find('.ui-selected').find(findType).each(function () {
                if (list === '') {
                    list = list + $(this).val();
                } else {
                    list = list + '\n' + $(this).val();
                }
            });

            if ($(idContainer).find('.ui-selected').find(findType).attr('class') === "champNomVariableReadonly") {
                readonly = "readonly='readonly'";
            }

            if (viewCheck === false) {
                check = '';
            }

            options = jQuery('' +
                '<div class="col-md-12">' +
                    '<div class="col-md-3">' +
                        '<div class="form-group">' +
                            '<label for='+champId+'>Nom de variable' +
                                '<span class="obligatoire"> *</span>' +
                            '</label>' +
                            '<input type="text" class="form-control nameForm"'+readonly+' name="'+nameNomDeVariable+'" id="'+champId+'" placeholder="Nom UNIQUE" value="' + nom + '">' +
                        '</div>' +
                    '</div>' +
                    '<div class="col-md-3">' +
                        '<div class="form-group">' +
                            '<label for="'+forLabelNomDuChamp+'">Nom du champ</label>' +
                            '<input type="text" class="form-control labelForm" name="name" id="'+forLabelNomDuChamp+'" placeholder="Label du champ" value="' + $(idContainer).find('.ui-selected').find('.labeler').html() + '">' +
                        '</div>' +
                    '</div>' +
                    '<div class="col-md-3">' +
                        '<div class="form-group">' +
                            '<label for="'+idListeDesValeurs+'">' +
                                'Liste des valeurs (1 par ligne)' +
                            '</label>' +
                            '<textarea class="form-control '+classListeValeur+'" id="'+idListeDesValeurs+'">' + list + '</textarea>' +
                        '</div>' +
                    '</div>' +
                    check +
                    '<div class="'+idbtnGroup+' text-center">' +
                        '<button type="button" class="btn btn-default-danger btn-sm" id="'+idbtnCloser+'">' +
                            '<i class="fa fa-trash"></i>' +
                        '</button>' +
                        '<button type="button" class="btn btn-default-success btn-sm" id="'+idbtnApplicable+'">' +
                            '<i class="fa fa-check"></i> Appliquer' +
                        '</button>' +
                    '</div>' +
                '</div>'
            );
        }

        if ( (object.hasClass('title')) || (object.hasClass('help')) ) {
            var classContenu = '';
            var valueContenu = null;
            var labelForContenu = '';

            champId = null;

            if (object.hasClass('title')) {
                labelForContenu = 'content-title';
                classContenu = 'titleForm';
                valueContenu = $(idContainer).find('.ui-selected').find('h1').html();

            }  else if (object.hasClass('help')) {
                labelForContenu = 'content-help';
                classContenu = 'helpForm';
                valueContenu = $(idContainer).find('.ui-selected').find('.messager').html();
            }

            options = jQuery('' +
                '<div class="col-md-12">' +
                    '<div class="form-group">' +
                        '<label for="'+labelForContenu+'">' +
                            'Contenu' +
                        '</label>' +
                        '<input type="text" class="form-control '+classContenu+'" name="'+labelForContenu+'" id="'+labelForContenu+'" value="'+valueContenu+'">' +
                    '</div>' +
                    '<div class="'+idbtnGroup+' text-center">' +
                        '<button type="button" class="btn btn-default-danger btn-sm" id="'+idbtnCloser+'">' +
                            '<i class="fa fa-trash"></i>' +
                        '</button>' +
                        '<button type="button" class="btn btn-default-success btn-sm" id="'+idbtnApplicable+'">' +
                            '<i class="fa fa-check"></i> Appliquer' +
                        '</button>' +
                    '</div>' +
                '</div>'
            );
        }

        if (object.hasClass('texte')) {
            champId = null;

            options = jQuery('' +
                '<div class="col-md-12">' +
                    '<div class="form-group">' +
                        '<label for="content-texte">' +
                            'Contenu' +
                        '</label>' +
                        '<textarea class="form-control texteForm" name="content-texte" id="content-texte">' + $(idContainer).find('.ui-selected').find('h5').html() + '</textarea>' +
                    '</div>' +
                    '<div class="'+idbtnGroup+' text-center">' +
                        '<button type="button" class="btn btn-default-danger btn-sm" id="'+idbtnCloser+'">' +
                            '<i class="fa fa-trash"></i>' +
                        '</button>' +
                        '<button type="button" class="btn btn-default-success btn-sm" id="'+idbtnApplicable+'">' +
                            '<i class="fa fa-check"></i> Appliquer' +
                        '</button>' +
                    '</div>' +
                '</div>'
            );
        }

        /*Afficher les options en fontion du champ en question*/
        $(fieldOptions).append(options);

        if (champId !== null) {
            $('#' + champId).keyup(function () {
                var value = $(this).val().toLowerCase().normalize('NFD').replace(/[\u0300-\u036f]/g, "").replace(/\s/g, '_').replace(/[^a-zA-Z 0-9_]+/g, '');
                $(this).val(value);
            });
        }

        $('.multiSelect').select2({
            placeholder: 'Sélectionnez une ou plusieurs options',
            allowClear: true
        });

        /*On applique les modifications du champ en question au clic sur le boutton "Appliquer" */
        $('#'+idbtnApplicable).click(function () {
            $('#'+idbtnApplicable).closest(fieldOptions).find('input').each(function () {
                /*On vérifie que le nom de la variable du champ n'est pas vide ou existe déjà*/
                if ($(this).hasClass('nameForm')) {
                    nomVariable = checkName($(this).val());
                }
            });

            if (nomVariable === false) {
                /*Concerne les champs "Petit champ texte, Grand champ texte, Champ date"*/
                $('#'+idbtnApplicable).closest(fieldOptions).find('input').each(function () {
                    if ($(this).hasClass('labelForm')) {
                        $(idContainer).find('.ui-selected').find('label').html('<span class="labeler">' + $(this).val() + '</span>');
                    }

                    if ($(this).hasClass('nameForm')) {
                        // checkName($(this).val());
                        $(idContainer).find('.ui-selected').find('input').attr('name', $(this).val());//@fixme
                        $(idContainer).find('.ui-selected').find('textarea').attr('name', $(this).val());

                        $(idContainer).find('.ui-selected').find('select').attr('id', $(this).val());
                    }

                    if ($(this).hasClass('placeholderForm')) {
                        $(idContainer).find('.ui-selected').find('input').attr('placeholder', $(this).val());
                        $(idContainer).find('.ui-selected').find('textarea').attr('placeholder', $(this).val());
                    }

                    if ($(this).hasClass('obligForm')) {
                        if ($(this).prop('checked')) {
                            $(idContainer).find('.ui-selected').find('label').html('<span class="labeler">' +
                                $('.labelForm').val() + '</span><span class="obligatoire"> *</span>'
                            );

                            $(idContainer).find('.ui-selected').attr('data', 'checked');
                        } else {
                            $(idContainer).find('.ui-selected').find('label').html('<span class="labeler">' + $('.labelForm').val() + '</span>');
                            $(idContainer).find('.ui-selected').attr('data', 'unchecked');
                        }
                    }
                });

                /*Concerne les champs "Cases à cocher, Choix unique, Menu déroulant"*/
                $('#'+idbtnApplicable).closest(fieldOptions).find('textarea').each(function () {
                    var options = $(this).val().split('\n');
                    var nom = $(this).closest(fieldOptions).find('.nameForm').val();
                    var objet = '';

                    if ($(this).hasClass('checkboxForm')) {
                        $.each(options, function (index, value) {
                            objet = objet + '<div class="checkbox"><input type="checkbox" name="'+nom+'" value="'+value+'"><label>'+value+'</label></div>';
                        });

                        $(idContainer).find('.ui-selected').find('.contentCheckbox').html(jQuery(objet));

                    } else if ($(this).hasClass('radioForm')) {
                        $.each(options, function (index, value) {
                            objet = objet + '<div class="radio"><input type="radio" name="' + nom + '" value="' + value + '">' + value + '</div>';
                        });

                        $(idContainer).find('.ui-selected').find('.contentRadio').html(jQuery(objet));

                    } else if ($(this).hasClass('deroulantForm')) {
                        $.each(options, function (index, value) {
                            objet = objet + '<option name="' + nom + '" value="' + value +'">'+ value +'</option>';
                        });

                        $(idContainer).find('.ui-selected').find('.contentDeroulant').html(jQuery(objet));

                    } else if ($(this).hasClass('multiSelectForm')) {
                        $.each(options, function (index, value) {
                            objet = objet + '<option name="' + nom + '" value="' + value +'">'+ value +'</option>';
                        });

                        $(idContainer).find('.ui-selected').find('.contentMultiSelect').html(jQuery(objet));
                    }

                    $(idContainer).find('.ui-selected').attr('style', function (i, style) {
                        return style.replace(/height[^;]+;?/g, '');
                    });

                    $(idContainer).find('.ui-selected').attr('style', function (i, style) {
                        return style.replace(/width[^;]+;?/g, '');
                    });

                    if ($(this).hasClass('obligForm')) {
                        if ($(this).prop('checked')) {
                            $(idContainer).find('.ui-selected').find('label').html('<span class="labeler">' +
                                $('.labelForm').val() + '</span><span class="obligatoire"> *</span>'
                            );

                            $(idContainer).find('.ui-selected').attr('data', 'checked');
                        } else {
                            $(idContainer).find('.ui-selected').find('label').html('<span class="labeler">' + $('.labelForm').val() + '</span>');
                            $(idContainer).find('.ui-selected').attr('data', 'unchecked');
                        }
                    }
                });

                nomVariable = true;

            } else {
                $('#'+idbtnApplicable).closest(fieldOptions).find('input').each(function () {
                    if ($(this).hasClass('titleForm')) {
                        $(idContainer).find('.ui-selected').find('h1').html($(this).val());
                    }

                    if ($(this).hasClass('helpForm')) {
                        $(idContainer).find('.ui-selected').find('.messager').html($(this).val());
                    }
                });

                $('#'+idbtnApplicable).closest(fieldOptions).find('textarea').each(function () {
                    if ($(this).hasClass('texteForm')) {
                        $(idContainer).find('.ui-selected').find('h5').html($(this).val());
                    }
                });
            }
        });

        /*Supprimer le champ en question au clic*/
        $('#'+idbtnCloser).click(function () {
            $(idContainer).find('.ui-selected').remove();
            hideDetails();
        });
    }

    /**
     * Cache les détails du champ lors de sa déselection
     *
     * @returns {undefined}
     */
    function hideDetails() {
        $(fieldOptions+">div").remove();
    }

    /**
     * Vérifier si le nom de variable donner n'hésite pas et si c'est pas vide
     *
     * @param {type} nom
     * @returns {undefined}
     */
    function checkName(nom) {
        var success = false;

        if (nom === "") {
            alert("Le nom de la variable est vide !");
            success = true;
        }

        if (success === false && nom === "undefined") {
            alert("Le nom de la variable est ne peut pas être 'undefined' !");
            success = true;
        }

        if (success === false) {
            var candidates = $(idContainer+' *[name=' + nom + ']');
            var number = $(candidates).length;

            $(candidates).each(function (idx, candidate) {
                if ($(candidate).closest('.ui-selected').length > 0) {
                    number--;
                }
            });

            if (number > 0) {
                alert('Un champ possède déjà ce nom de variable');
                success = true;
            }
        }

        return success;
    }

    /*Enregistrement en base de donner*/
    /*$('#successForm').click(function (event) {
        var success = true;
        var retour = [];

        $('.draggable').each(function () {
            var contenu = {};
            var formulaire = $(this)[0].closest('.ui-droppable').id;

            if (retour[formulaire] === undefined) {
                retour[formulaire] = [];
            }

            console.log($(this).position());
            contenu['ligne'] = $(this).position().top / 35 + 1;

            if ($(this).position().left < 10) {
                contenu['colonne'] = 1;
            } else {
                contenu['colonne'] = 2;
            }

            if ($(this).hasClass('small-text')) {
                if (typeof $(this).find('input').attr('name') === '' || typeof $(this).find('input').attr('name') === 'undefined') {
                    alert('Le nom de variable du petit champ texte est incorrect');
                    success = false;
                    return;
                }
                contenu['type'] = 'input';
                contenu['name'] = $(this).find('input').attr('name');
                contenu['placeholder'] = $(this).find('input').attr('placeholder');
                contenu['label'] = $(this).find('.labeler').html();
                contenu['default'] = $(this).find('input').val();
            } else if ($(this).hasClass('long-text')) {
                if (typeof $(this).find('textarea').attr('name') === '' || typeof $(this).find('textarea').attr('name') === 'undefined') {
                    alert('Le nom de variable du grand champ texte est incorrect');
                    success = false;
                    return;
                }
                contenu['type'] = 'textarea';
                contenu['name'] = $(this).find('textarea').attr('name');
                contenu['placeholder'] = $(this).find('textarea').attr('placeholder');
                contenu['label'] = $(this).find('.labeler').html();
                contenu['default'] = $(this).find('textarea').val();
            } else if ($(this).hasClass('date')) {
                if (typeof $(this).find('input').attr('name') === '' || typeof $(this).find('input').attr('name') === 'undefined') {
                    alert('Le nom de variable du champ date est incorrect');
                    success = false;
                    return;
                }
                contenu['type'] = 'date';
                contenu['name'] = $(this).find('input').attr('name');
                contenu['placeholder'] = $(this).find('input').attr('placeholder');
                contenu['label'] = $(this).find('.labeler').html();
                contenu['default'] = $(this).find('input').val();
            } else if ($(this).hasClass('title')) {
                contenu['type'] = 'title';
                contenu['content'] = $(this).find('h1').html();
            } else if ($(this).hasClass('texte')) {
                contenu['type'] = 'texte';
                contenu['content'] = $(this).find('h5').html();
            } else if ($(this).hasClass('help')) {
                contenu['type'] = 'help';
                contenu['content'] = $(this).find('.messager').html();
            } else if ($(this).hasClass('checkboxes')) {
                if (typeof $(this).find('input').attr('name') === '' || typeof $(this).find('input').attr('name') === 'undefined') {
                    alert('Le nom de variable des cases à cocher est incorrect');
                    success = false;
                    return;
                }
                contenu['type'] = 'checkboxes';
                contenu['name'] = $(this).find('input').attr('name');
                contenu['label'] = $(this).find('.labeler').html();

                var option = [];
                $(this).find('input').each(function () {
                    option.push($(this).attr('value'));
                });
                contenu['options'] = option;

                var valuesCheckboxesDefault = [];
                $('input[name="'+contenu["name"]+'"]:checked').each(function() {
                    valuesCheckboxesDefault.push(this.id);
                });
                contenu['default'] = valuesCheckboxesDefault;
            } else if ($(this).hasClass('radios')) {
                if (typeof $(this).find('input').attr('name') === '' || typeof $(this).find('input').attr('name') === 'undefined') {
                    alert('Le nom de variable du choix unique est incorrect');
                    success = false;
                    return;
                }
                contenu['type'] = 'radios';
                contenu['name'] = $(this).find('input').attr('name');
                contenu['label'] = $(this).find('.labeler').html();
                contenu['default'] = $(this).find('input[name="'+contenu["name"]+'"]:checked').val();

                var option = [];

                $(this).find('input').each(function () {
                    option.push($(this).attr('value'));
                });
                contenu['options'] = option;
            } else if ($(this).hasClass('deroulant')) {
                if (typeof $(this).find('option').attr('name') === '' || typeof $(this).find('option').attr('name') === 'undefined') {
                    alert('Le nom de variable du menu déroulant est incorrect');
                    success = false;
                    return;
                }
                contenu['type'] = 'deroulant';
                contenu['name'] = $(this).find('option').attr('name');
                contenu['label'] = $(this).find('.labeler').html();

                var options = [];
                $(this).find('option').each(function () {
                    if ( this.value != '') {
                        options.push(this.value);
                    }
                });
                contenu['options'] = options;

                var valuesDeroulantDefault = '';
                $('option[name="'+contenu["name"]+'"]:checked').each(function() {
                    if ( this.value != '') {
                        valuesDeroulantDefault = this.id;
                    }
                });
                contenu['default'] = valuesDeroulantDefault;

            } else if ($(this).hasClass('multi-select')) {
                if (typeof $(this).find('option').attr('name') === '' || typeof $(this).find('option').attr('name') === 'undefined') {
                    alert('Le nom de variable du menu multi-select est incorrect');
                    success = false;
                    return;
                }
                contenu['type'] = 'multi-select';
                contenu['name'] = $(this).find('option').attr('name');
                contenu['label'] = $(this).find('.labeler').html();

                var option = [];

                $(this).find('option').each(function () {
                    option.push($(this).attr('value'));
                });
                contenu['options'] = option;

                var valuesMultiSelectDefault = [];
                $('option[name="'+contenu["name"]+'"]:checked').each(function() {
                    valuesMultiSelectDefault.push(this.index);
                });
                contenu['default'] = valuesMultiSelectDefault;
            }
//            else if ($(this).hasClass('fichiers'))
//            {
//                contenu['type'] = 'file';
//                contenu['name'] = $(this).find('input').attr('name');
//                contenu['label'] = 'Fichiers';
//
//            }

            if ($(this).attr('data') === 'checked') {
                contenu['obligatoire'] = true;
            } else {
                contenu['obligatoire'] = false;
            }

            retour.push(contenu);
        });

        var ret = JSON.stringify(retour, null, '\t');

        if (success) {
            $(hiddenForm).attr('value', ret);
            document.forms["addForm"].submit();
        }
    });*/
};