<?php

use Cake\I18n\FrozenTime;
use Cake\ORM\TableRegistry;
use Migrations\AbstractMigration;

class OptimisationGetProjectsWithValidator extends AbstractMigration
{
    // @fixme: devrait être dans l'app, mais le champs projects.id_flowable_instance a été altéré dans le plugin donc plus le choix
    // à changer lors de l'externalisation du plugin
    public function change()
    {
        $this->table('projects')
            ->addIndex('id_flowable_instance', [
                'unique' => true,
            ])
            ->save();

        $this->table('users_instances')
            ->addColumn('user_id', 'integer', [
                'default' => null,
                'limit' => 10,
                'null' => false,
            ])
            ->addColumn('id_flowable_instance', 'string', [
                'default' => null,
                'limit' => 255,
                'null' => false,
            ])
            ->addIndex(
                [
                    'user_id',
                ]
            )
            ->addIndex(
                [
                    'id_flowable_instance',
                ]
            )
            ->addIndex(
                [
                    'user_id',
                    'id_flowable_instance',
                ],
                ['unique' => true]
            )
            ->addForeignKey(
                'user_id',
                'users',
                'id',
                [
                    'update' => 'CASCADE',
                    'delete' => 'CASCADE',
                ]
            )
//            ->addForeignKey(
//                'id_flowable_instance',
//                'projects',
//                'id_flowable_instance',
//                [
//                    'delete' => 'CASCADE',
//                ]
//            )
            ->create();
    }
}
