<?php

App::uses('FlowableWrapper', 'WrapperFlowable.Utility/Api');

/**
 * Class WrapperFactory : create a wrapper or a Mock based on configuration
 */
abstract class WrapperFactory
{
    /**
     * @return FlowableWrapperInterface
     */
    public static function createWrapper(): FlowableWrapperInterface
    {
        $config = Configure::read('Flowable');

        return empty($config['wrapper_mock']) ? new FlowableWrapper() : $config['wrapper_mock']::getInstance();
    }
}
