<?php
echo $this->Html->script('filtre.js');
echo $this->Html->css('filtre.css');

if (!empty($articles)) {
    // Bouton du filtre de la liste
    echo $this->Form->button('<span class="fa fa-filter fa-lg"><!----></span>' . __d('article', 'article.btnFiltrerArticle'), [
        'type' => 'button',
        'class' => 'btn btn-default-default pull-right',
        'id' => 'filtrage'
    ]);

    $filters = $this->request->data;

    unset($filters['sort'], $filters['direction'], $filters['page'], $filters['article']['nbAffichage']);
    if (empty($filters['Article'])) {
        unset($filters['Article']);
    }
    ?>

    <div id="divFiltrage" <?php if (true === empty($filters)) {
        echo 'style="display: none;"';
    } ?>>
        <?php
        echo $this->Form->create('Filtre', [
            'url' => [
                'controller' => $this->request->params['controller'],
                'action' => $this->request->params['action']
            ], 'class' => 'search-form'
        ]);
        ?>

        <div class="row">
            <?php
            // Filtrer par titre de l'article
            echo $this->Form->input('name', [
                'class' => 'usersDeroulant transformSelect form-control',
                'label' => __d('article', 'article.champFiltreNameArticle'),
                'empty' => true,
                'data-placeholder' => __d('article', 'article.placeholderFiltreNameArticle'),
                'options' => $options['name'],
                'before' => '<div class="col-md-6">',
                'after' => '</div>'
            ]);

            // Filtrer par entité à l'origine de l'article
            echo $this->Form->input('createdbyorganisation_id', [
                'class' => 'usersDeroulant transformSelect form-control',
                'label' => __d('article', 'article.champFiltreOrganisationOrigine'),
                'empty' => true,
                'data-placeholder' => __d('article', 'article.placeholderFiltreOrganisationOrigine'),
                'options' => $mesOrganisations,
                'before' => '<div class="col-md-6">',
                'after' => '</div>'
            ]);
            ?>
        </div>

        <!-- Groupe de bouton -->
        <div class="row top30">
            <div class="col-md-4 col-md-offset-5 btn-group">
                <?php
                // Bouton Réinitialiser le filtre
                echo $this->Html->link('<i class="fa fa-undo fa-lg"><!----></i> ' . __d('registre', 'registre.btnReinitialiserFiltre'), [
                    'controller' => $this->request->params['controller'],
                    'action' => $this->request->params['action']
                ], [
                    'class' => 'btn btn-default-danger search-reset',
                    'escape' => false,
                ]);

                // Bouton Appliquer les filtres
                echo $this->Form->button('<i class="fa fa-filter fa-lg"><!----></i> ' . __d('registre', 'registre.btnFiltre'), [
                    'type' => 'submit',
                    'class' => 'btn btn-default-primary'
                ]);
                ?>
            </div>
        </div>

        <?php
        echo $this->Form->end();
        ?>
    </div>

    <div class="text-left">
        <?php
        echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"><!----></span>' . __d('article', 'article.btnAjouterArticle'), [
            'controller' => 'articles',
            'action' => 'add'
        ], [
            'class' => 'btn btn-default-primary sender',
            'escapeTitle' => false
        ]);
        ?>
    </div>
    <?php

    $pagination = null;

    $this->Paginator->options(
        array('url' => Hash::flatten((array)$this->request->data, '.'))
    );
    $pagination = $this->element('pagination');

    echo $pagination;
    ?>
    <fieldset>
        <div class="pull-left btnAffecterEntite" style="margin-left:25px">
            <button type="button" id="btnAffecterEntite" class="btn btn-default-primary btn_affecterEntite"
                    data-toggle="modal" data-target="#modalAffecterEntite">
                <span class="fa fa-link fa-lg"><!----></span>
                <?php
                echo __d('article', 'article.btnAffecterArticleAEntite');
                ?>
            </button>
        </div>
    </fieldset>

    <table class="table ">
        <thead>
        <tr>
            <!-- checkbox -->
            <th class="thleft col-md-1">
                <input id="articleEntiteCheckbox" type="checkbox" class="articleEntiteCheckbox_checkbox"/>
            </th>

            <!--  Raison sociale -->
            <th class="thleft col-md-4">
                <?php echo __d('article', 'article.titreTableauNameArticle'); ?>
            </th>

            <!-- Visible par -->
            <th class="thleft col-md-2">
                <?php echo __d('article', 'article.titreTableauEntiteArticle'); ?>
            </th>

            <!-- Créer par -->
            <th class="thleft col-md-2">
                <?php echo __d('article', 'article.titreTableauEntiteCreatriceArticle'); ?>
            </th>

            <!-- Actions -->
            <th class="thleft col-md-2">
                <?php echo __d('article', 'article.titreTableauAction'); ?>
            </th>
        </tr>
        </thead>

        <tbody>
        <?php
        foreach ($articles as $article) {
            ?>
            <tr>
                <!-- Casse à coché pour associer un Article à une entité -->
                <td class="tdleft">
                    <input id='checkbox<?php echo $article['Article']['id']; ?>' type="checkbox"
                           class="articleEntiteCheckbox" value="<?php echo $article['Article']['id']; ?>">
                </td>

                <!--  Raison sociale -->
                <td class="tdleft">
                    <?php
                    echo $article['Article']['name'];
                    ?>
                </td>

                <!-- Visible par -->
                <td class="tdleft">
                    <?php
                    $items = Hash::extract($article, 'Organisation.{n}.raisonsociale');
                    if (empty($items) === false) {
                        echo '<li>' . implode('</li><li>', $items) . '</li>';
                    }
                    ?>
                </td>

                <!-- Créer par -->
                <td class="tdleft">
                    <?php
                    echo $article['Createdbyorganisation']['raisonsociale'];
                    ?>
                </td>

                <!-- Actions -->
                <td class="tdleft col-md-2">
                    <div class="btn-group">
                        <?php
                        echo $this->Html->link('<span class="fa fa-eye fa-lg"><!----></span>', [
                            'controller' => 'Articles',
                            'action' => 'show',
                            $article['Article']['id']
                        ], [
                            'class' => 'btn btn-default-default btn-sm my-tooltip',
                            'title' => __d('article', 'article.commentaireBtnVisualiserArticle'),
                            'escape' => false,
                        ]);

                        if ($article['Article']['createdbyorganisation_id'] == $this->Session->read('Organisation.id')) {
                            echo $this->Html->link('<span class="fa fa-pencil fa-lg"><!----></span>', [
                                'controller' => 'Articles',
                                'action' => 'edit',
                                $article['Article']['id']
                            ], [
                                'class' => 'btn btn-default-default btn-sm my-tooltip',
                                'title' => __d('article', 'article.commentaireBtnModifierArticle'),
                                'escape' => false,
                            ]);

                            if (empty($article['Organisation'])) {
                                echo $this->Html->link('<span class="fa fa-trash fa-lg"><!----></span>', [
                                    'controller' => 'Articles',
                                    'action' => 'delete',
                                    $article['Article']['id']
                                ], [
                                    'class' => 'btn btn-default-danger btn-sm my-tooltip',
                                    'escapeTitle' => false,
                                    'title' => __d('article', 'article.commentaireBtnSupprimerArticle')
                                ], __d('article', 'article.confirmationSupprimerArticle') . $article['Article']['name'] . ' ?');
                            }
                        }
                        ?>
                    </div>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
    </table>
    <?php
    echo $pagination;
} else {
    ?>
    <div class='text-center'>
        <h3>
            <?php
            echo __d('article', 'article.textAucunArticle');
            ?>
        </h3>
    </div>
    <?php
}
?>

<div class="text-center">
    <?php
    echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"><!----></span>' . __d('article', 'article.btnAjouterArticle'), [
        'controller' => 'articles',
        'action' => 'add'
    ], [
        'class' => 'btn btn-default-primary sender',
        'escapeTitle' => false
    ]);
    ?>
</div>

<div class="modal fade" id="modalAffecterEntite" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">

        <?php
        echo $this->WebcilForm->create('Article', [
            'url' => 'index',
            'type' => 'file',
            'autocomplete' => 'off',
            'inputDefaults' => ['div' => false],
            'class' => 'form-horizontal',
            'novalidate' => 'novalidate'
        ]);
        ?>

        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>

                <h4 class="modal-title" id="myModalLabel">
                    <?php
                    echo __d('article', 'article.popupTitreAffecterArticle');
                    ?>
                </h4>
            </div>

            <div class="modal-body">
                <?php
                echo $this->WebcilForm->input('ArticleOrganisation.organisation_id', [
                    'class' => 'form-control usersDeroulant',
                    'options' => $mesOrganisations,
                    'empty' => true,
                    'multiple' => true,
                    'data-placeholder' => __d('article', 'article.placeholderSelectOrganisation'),
                    'label' => [
                        'text' => __d('article', 'article.champSelectOrganisation'),
                    ]
                ]);
                ?>
            </div>

            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default-default" data-dismiss="modal">
                        <i class="fa fa-times-circle fa-lg"><!----></i>
                        <?php
                        echo __d('default', 'default.btnAnnuler');
                        ?>
                    </button>

                    <?php
                    echo $this->WebcilForm->button("<i class='fa fa-floppy-o fa-lg'><!----></i>" . __d('default', 'default.btnEnregistrer'), [
                        'type' => 'submit',
                        'url' => [
                            'controller' => 'articles',
                            'action' => 'toto'
                        ],
                        'class' => 'btn btn-default-success',
                        'escape' => false
                    ]);
                    ?>
                </div>
            </div>
        </div>

        <?php
        echo $this->WebcilForm->end();
        ?>

    </div>
</div>

<script type="text/javascript">
    // <![CDATA[
    $(document).ready(function () {

        $('.articleEntiteCheckbox')
            .attr('checked', false);

        $('#btnAffecterEntite').attr('disabled', true);

        // Lors d'action sur une checkbox : articleEntiteCheckbox
        $("#articleEntiteCheckbox").change(function () {
            $(".articleEntiteCheckbox").not(':disabled').prop('checked', $(this).prop('checked'));

            if ($(this).is(':checked')) {
                $('#btnAffecterEntite').removeAttr('disabled');
            } else {
                $('#btnAffecterEntite').attr('disabled', true);
            }
        });

        $('input[type="checkbox"]').not("#articleEntiteCheckbox").change(function () {
            $('#articleEntiteCheckbox').prop('checked', $('input[type="checkbox"]').not('#articleEntiteCheckbox').not(':disabled').not(':checked').length === 0);
        });

        $('input[type="checkbox"]').not("#articleEntiteCheckbox").click(function () {
            $('#btnAffecterEntite').attr("disabled", !$('input[type="checkbox"]').is(":checked"));

            $("input[type='hidden']").remove()
        });

        $('#modalAffecterEntite').on('shown.bs.modal', function () {
            var checkboxes = $('table tbody input[type=checkbox]'),
                hidden, value;

            $(checkboxes).each(function (idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');
                    hidden = '<input type="hidden" name="data[ArticleOrganisation][article_id][]" value="' + value + '" />';
                    $("#modalAffecterEntite .modal-body").append(hidden);
                }
            });
        });
    });
    // ]]>
</script>
