<?php
    if (isset($this->validationErrors['Authentification']) && !empty($this->validationErrors['User'])):?>
	<div class="alert alert-danger" role="alert">
            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"><!----></span>
            <span class="sr-only">Error:</span>
            Ces erreurs se sont produites:
            <ul>
                <?php
                    foreach ($this->validationErrors as $donnees) {
                        foreach ($donnees as $champ) {
                            foreach ($champ as $error) {
                                echo '<li>' . $error . '</li>';
                            }
                        }
                    }
                ?>
            </ul>
	</div>
<?php endif;?>

<h2> 
    <?php
        echo __d('authentification', 'authentification.titreAuthentificationExterne');
    ?>
</h2>

<?php
    echo $this->WebcilForm->create('Authentification',[
        'autocomplete' => 'off',
        'type' => 'file',
        'inputDefaults' => ['div' => false],
        'class' => 'form-horizontal',
        'novalidate' => 'novalidate'
    ]);
?>

<div class="users form">
    <div class="row">
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->input('use', [
                    'id' => 'use', 
                    'class' => 'form-control usersDeroulant',
                    'options' => [false => 'Non', true => 'Oui'],
                    'empty' => false, 
                    'required' => true,
                    'placeholder' => false
                ]);
            ?>
        </div>
    </div> 
    
    <div class="row">
        <div class="col-md-6">
            <fieldset id="ldap-block" class="ldap-block">
                <h2> 
                    <?php
                        echo __d('authentification', 'authentification.titreTypeAuthentification');
                    ?>
                </h2>
                
                <?php
                    echo $this->WebcilForm->input('type', [
                        'id' => 'type', 
                        'class' => 'form-control usersDeroulant',
                        'options' => $options['Authentification']['type'],
                        'empty' => false, 
                        'required' => true,
                        'placeholder' => false
                    ]);
                ?>
                
                <fieldset id="cas-block" class="ldap-block">
                    <h2> 
                        <?php
                            echo __d('connecteur', 'connecteur.titreInformationConnexion');
                        ?>
                    </h2>

                    <?php
                        echo $this->WebcilForm->inputs([
                            'id' => [
                                'type' => 'hidden'
                            ],
                            'serveur' => [
                                'id' => 'serveur'
                            ],
                            'port' => [
                                'id' => 'port',
                                'type' => 'number'
                            ],
                            'uri' => [
                                'id' => 'uri'
                            ]
                        ]);
                        
                        echo $this->WebcilForm->input('name_fichier', [
                            'id' => 'name_fichier',
                            'div' => 'input-group inputsForm',
                            'type' => 'file',
                            'class' => 'filestyle',
                            'data-buttonText' => 'Choisir un fichier .pem',
                            'data-buttonBefore' => 'false',
                            'label' => [
                                'text' => 'Client certificat (.pem)'
                            ]
                        ]);
                    ?>
                </fieldset>
            </fieldset>
        </div>
    </div>
</div>

<div style="clear: both">
    <?php
        // Groupe de boutons
        echo $this->WebcilForm->buttons(['Cancel', 'Save']);
    ?>
</div>

<?php
    echo $this->WebcilForm->end();
?>

<script type="text/javascript">
    $(document).ready(function () {
        $("span.icon-span-filestyle").removeClass('icon-span-filestyle');
        
        $("#ldap-block").hide();
        
        <?php 
            if ($this->request->data('Authentification.use') == true) {?>
                $("#ldap-block").show();
            <?php 
            }
        ?>
        
        $('#use').change(function() {
            var select = $(this),
                selected = $(select).val();

            if (selected === '1') {
                $("#ldap-block").show();
            } else {
                $("#ldap-block").hide();
            }
        });
        
        <?php 
            if ($this->request->data('Authentification.type') == 'LDAP') {?>
                $("#cas-block").hide();
            <?php 
            }
        ?>
                
        $('#type').change(function() {
            var select = $(this),
                selected = $(select).val();

            if (selected === 'LDAP') {
                $("#cas-block").hide();
            } else {
                $("#cas-block").show();
            }
        });
        
        
    });
</script>
