<?php
    if (isset($this->validationErrors['ConnecteurLdap']) && !empty($this->validationErrors['User'])):?>
	<div class="alert alert-danger" role="alert">
            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"><!----></span>
            <span class="sr-only">Error:</span>
            Ces erreurs se sont produites:
            <ul>
                <?php
                    foreach ($this->validationErrors as $donnees) {
                        foreach ($donnees as $champ) {
                            foreach ($champ as $error) {
                                echo '<li>' . $error . '</li>';
                            }
                        }
                    }
                ?>
            </ul>
	</div>
<?php endif;?>

<h2> 
    <?php
        echo __d('connecteur_ldap', 'connecteur_ldap.titreActivationLDAP');
    ?>
</h2>

<?php
    echo $this->WebcilForm->create('ConnecteurLdap',[
        'autocomplete' => 'off',
        'type' => 'file',
        'inputDefaults' => ['div' => false],
        'class' => 'form-horizontal',
        'novalidate' => 'novalidate'
    ]);
?>

<div class="users form">
    <div class="row">
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->input('use', [
                    'id' => 'use', 
                    'class' => 'form-control usersDeroulant',
                    'options' => [false => 'Non', true => 'Oui'],
                    'empty' => false, 
                    'required' => true,
                    'placeholder' => false
                ]);
            ?>
        </div>
    </div> 
    
    <div class="row">
        <div class="col-md-6">
            <fieldset id="ldap-block" class="ldap-block">
                <h2> 
                    <?php
                        echo __d('connecteur_ldap', 'connecteur_ldap.titreInformationConnexion');
                    ?>
                </h2>
                
                <?php
                    echo $this->WebcilForm->inputs([
                        'id' => [
                            'type' => 'hidden'
                        ],
                        'type' => [
                            'id' => 'type', 
                            'class' => 'form-control usersDeroulant',
                            'options' => $options['ConnecteurLdap']['type'],
                            'empty' => false, 
                            'required' => true,
                            'placeholder' => false
                        ],
                        'host' => [
                            'id' => 'host',
                            'required' => true
                        ],
                        'host_fall_over' => [
                            'id' => 'host_fall_over',
                        ],
                        'port' => [
                            'id' => 'port',
                            'type' => 'number',
                            'default' => '389',
                            'required' => true
                        ],
                        'login' => [
                            'id' => 'login',
                            'required' => true
                        ],
                        'password' => [
                            'id' => 'password',
                            'autocomplete' => 'off',
                            'required' => true
                        ],
                        'basedn' => [
                            'id' => 'basedn',
                            'required' => true
                        ],
                        'tls' => [
                            'id' => 'tls',
                            'class' => 'form-control usersDeroulant',
                            'options' => [
                                false => 'Non',
                                true => 'Oui'
                            ],
                            'empty' => false, 
                            'required' => true,
                            'placeholder' => false
                        ],
                        'version' => [
                            'id' => 'version',
                            'class' => 'form-control usersDeroulant',
                            'options' => $options['ConnecteurLdap']['version'],
                            'default' => 3,
                            'empty' => false, 
                            'required' => true,
                            'placeholder' => false
                        ],
                        'account_suffix' => [
                            'id' => 'account_suffix'
                        ],
//                        'certificat' => [
//                            'id' => 'certificat',
//                            'div' => 'input-group inputsForm',
//                            'type' => 'file',
//                            'class' => 'filestyle',
//                            'data-buttonText' => __d('connecteur_ldap', 'connecteur_ldap.titleBtFileCertificat'),
//                            'data-buttonBefore' => 'false',
//                        ]
                    ]);

                    if (empty($this->request->data['ConnecteurLdap']['certificat_name'])) {
                        echo $this->WebcilForm->input('certificat', [
                            'id' => 'certificat',
                            'div' => 'input-group inputsForm',
                            'type' => 'file',
                            'class' => 'filestyle',
                            'data-buttonText' => __d('connecteur_ldap', 'connecteur_ldap.titleBtFileCertificat'),
                            'data-buttonBefore' => 'false',
                        ]);
                    } else {
                        ?>
                        <table class="table" id="render">
                            <tbody>
                                <tr>
                                    <td class="col-md-1">
                                        <i class="fa fa-file-text-o fa-lg"></i>
                                    </td>

                                    <td class="col-md-9 tdleft">
                                        <?php
                                        echo $this->request->data['ConnecteurLdap']['certificat_name'];
                                        ?>
                                    </td>

                                    <td class="col-md-2">
                                        <?php
                                        echo $this->Html->link('<span class="fa fa-trash fa-lg"><!----></span>', [
                                            'controller' => 'connecteurLdaps',
                                            'action' => 'deleteFile',
                                            $this->request->data['ConnecteurLdap']['id'],
                                            $this->request->data['ConnecteurLdap']['certificat_url'],
                                        ], [
                                            'class' => 'btn btn-default-danger btn-sm my-tooltip',
                                            'title' => __d('norme','norme.btnSupprimerFichierNorme'),
                                            'escapeTitle' => false
                                        ]);
                                        ?>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                        <?php
                    }
                ?>
                
                <h2> 
                    <?php
                        echo __d('connecteur_ldap', 'connecteur_ldap.titreTableauConcordances');
                    ?>
                </h2>
                
                <?php
                    echo $this->WebcilForm->inputs([
                        'username' => [
                            'id' => 'username',
                            'default' => 'samaccountname'
                        ],
                        'note' => [
                            'id' => 'note',
                            'default' => 'info'
                        ],
                        'nom' => [
                            'id' => 'nom',
                            'default' => 'sn'
                        ],
                        'prenom' => [
                            'id' => 'prenom',
                            'default' => 'givenname'
                        ],
                        'email' => [
                            'id' => 'email',
                            'default' => 'mail'
                        ],
                        'telfixe' => [
                            'id' => 'telfixe',
                            'default' => 'telephonenumber'
                        ],
                        'telmobile' => [
                            'id' => 'telmobile',
                            'default' => 'mobile'
                        ],
                        'active' => [
                            'id' => 'active',
                            'placeholder' => false
                        ]
                    ]);
                ?>
            </fieldset>
        </div>
    </div>
</div>

<div style="clear: both">
    <?php
        // Groupe de boutons
        echo $this->WebcilForm->buttons(['Cancel', 'Save']);
    ?>
</div>

<?php
    echo $this->WebcilForm->end();
?>

<script type="text/javascript">
    $(document).ready(function () {

        $("span.icon-span-filestyle").removeClass('icon-span-filestyle');

        $("#ldap-block").hide();
        
        <?php 
            if ($this->request->data('ConnecteurLdap.use') == true) {?>
                $("#ldap-block").show();
            <?php 
            }
        ?>
        
        $('#use').change(function() {
            var select = $(this),
                selected = $(select).val();

            if (selected === '1') {
                $("#ldap-block").show();
            } else {
                $("#ldap-block").hide();
            }
        });
        
        $('#type').change(function() {
            var select = $(this),
                selected = $(select).val();
                
            if (selected === 'OpenLDAP') {
                $("#username").val('uid');
            } else {
                $("#username").val('samaccountname');
            }
        });
        
    });
</script>
