<?php
echo $this->Html->script([
    'smalot-bootstrap-datetimepicker/js/bootstrap-datetimepicker.min',
    'smalot-bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.fr.js'
]);
echo $this->Html->css('/js/smalot-bootstrap-datetimepicker/css/bootstrap-datetimepicker.min');
?>

<div class="users form">
    <?php
        echo $this->WebcilForm->create('Cron', [
            'autocomplete' => 'off',
            'inputDefaults' => ['div' => false],
            'class' => 'form-horizontal',
            'novalidate' => 'novalidate'
        ]);
    ?>
    
    <div class="row">
        <div class="col-md-8">
            <?php
                echo $this->WebcilForm->input('nextexecutiontime',[
                    'id' => 'nextexecutiontime',
                    'value' => $tacheAuto['Cron']['next_execution_time'],
                    'required' => true
                ]);
                
                $delaiexecution = $this->WebcilForm->inputs([
                    'jours_execution_duration' => [
                        'id' => 'jours_execution_duration',
                        'class' => 'usersDeroulant transformSelect form-control',
                        'data-placeholder' => " ",
                        'options' => $options['jours'],
                        'value' => $execution_duration['day'],
                        'empty' => true
                    ],
                    'heures_execution_duration' => [
                        'id' => 'heures_execution_duration',
                        'class' => 'usersDeroulant transformSelect form-control',
                        'data-placeholder' => " ",
                        'options' => $options['heures'],
                        'value' => $execution_duration['hour'],
                        'empty' => true
                    ],
                    'minutes_execution_duration' => [
                        'id' => 'minutes_execution_duration',
                        'class' => 'usersDeroulant transformSelect form-control',
                        'data-placeholder' => " ",
                        'options' => $options['minutes'],
                        'value' => $execution_duration['minute'],
                        'empty' => true
                    ]
                ]);
                
                echo $this->Html->tag(
                    'div',
                    '<strong>'.
                        __d('cron', 'cron.titreInfoDelaiEntreChaqueExecution') .
                    '</strong>' . $delaiexecution,
                    ['class' => 'alert alert-info']
                );

                echo $this->WebcilForm->hidden('id', [
                    'value' => $tacheAuto['Cron']['id']
                ]);
            ?>
        </div>
    </div>
</div>

<div style="clear: both">
    <?php
        // Groupe de boutons
        echo $this->WebcilForm->buttons(['Cancel', 'Save']);
    ?>
</div>

<?php
    echo $this->WebcilForm->end();
?>

<script type="text/javascript">
    
    $(document).ready(function () {
    
        $(function () {
            $('#nextexecutiontime').datetimepicker({
                language: 'fr',
                inline: true,
                sideBySide: true,
                autoclose: true
            });
        });
        
    });
    
</script>