<?php
$initialisationRecu = isset($initialisationRecu) ? $initialisationRecu : false;
$empty = true;
$keySubmit = 'WebdpoFiche.';
$keySubmitService = 'WebdpoFiche.';

if (in_array($this->request->params['action'], ['edit', 'show']) === true) {
    $empty = false;
    $keySubmit = 'Trash.';

    if ($initialisationRecu === true) {
        $keySubmitService = 'WebdpoFiche.';
    } else {
        $keySubmitService = 'Trash.';
    }
}

if (!isset($fieldsIsRequired)){
    $fieldsIsRequired = true;
}
?>

<!-- Onglet Information concernant le traitement -->
<div id="information_traitement" class="tab-pane <?php echo $classActiveInfoGenerale; ?>">
    <br/>
    <!-- Information sur le rédacteur -->
    <div class="col-md-12">
        <span class='labelFormulaire'>
            <?php
            echo __d('fiche', 'fiche.textInfoContact');
            ?>
        </span>
        <div class="row row35"></div>
    </div>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-6">
            <?php
            echo $this->WebcilForm->input($keySubmit.'declarantpersonnenom', [
                'id' => 'declarantpersonnenom',
                'label' => [
                        'text' => __d('fiche', 'fiche.champDeclarantpersonnenom')
                ],
                'readonly' => true,
                'required' => true
            ]);

            $serviceFieldOptions = [
                'id' => 'declarantservice',
                'label' => [
                    'text' => __d('fiche', 'fiche.champDeclarantservice')
                ],
                'required' => true,
            ];

            if (in_array($this->request->params['action'], ['edit', 'show']) !== true ||
                $initialisationRecu === true
            ) {
                $countService = count($this->Session->read('User.service'));

                if ($countService >= 2 && $fieldsIsRequired === true) {
                    foreach ($this->Session->read('User.service') as $service) {
                        $listeUserService[$service] = $service;
                    }

                    $serviceFieldOptions += [
                        'options' => $listeUserService,
                        'empty' => __d('fiche', 'fiche.emptySelectionnerServiceDeclarant'),
                        'placeholder' => false
                    ];
                } else
                    if ($countService == 0 || $fieldsIsRequired === false) {
                        $serviceFieldOptions += [
                            'readonly' => true,
                            'value' => 'Aucun service'
                        ];
                    } else {
                        $serviceFieldOptions += [
                            'readonly' => true,
                            'value' => $this->Session->read('User.service')
                        ];
                    }
            } else {
                $serviceFieldOptions += [
                    'readonly' => true
                ];
            }

            echo $this->WebcilForm->input($keySubmitService.'declarantservice', $serviceFieldOptions);

            echo $this->WebcilForm->input($keySubmit.'declarantpersonneportable', [
                'id' => 'declarantpersonneportable',
                'label' => [
                    'text' => __d('fiche', 'fiche.champDeclarantpersonneportable')
                ],
                'readonly' => true,
                'placeholder' => false
            ]);
            ?>
        </div>

        <!-- Colonne de droite -->
        <div class="col-md-6">
            <?php
            echo $this->WebcilForm->inputs([
                $keySubmit.'declarantpersonneemail' => [
                    'id' => 'declarantpersonneemail',
                    'label' => [
                        'text' => __d('fiche', 'fiche.champDeclarantpersonneemail')
                    ],
                    'readonly' => true,
                    'required' => true
                ],
                $keySubmit.'declarantpersonnefix' => [
                    'id' => 'declarantpersonnefix',
                    'label' => [
                        'text' => __d('fiche', 'fiche.champDeclarantpersonnefix')
                    ],
                    'readonly' => true,
                    'placeholder' => false
                ]
            ]);
            ?>
        </div>
    </div>

    <!-- Information sur la norme -->
    <div class="col-md-12">
        <span class='labelFormulaire'>
            <?php
            echo __d('fiche', 'fiche.textInfoNorme');
            ?>
        </span>
        <div class="row row35"></div>
    </div>

    <?php
    $valueNorme = null;
    if (isset($normeTraitement) && !empty($normeTraitement)) {
        $norme = $normeTraitement['Norme']['norme'] . '-' . sprintf('%03d', $normeTraitement['Norme']['numero']) . ' : ' . $normeTraitement['Norme']['libelle'];
        $normeDescription = preg_replace('@<[^>]*?>.*?>@si', "\n\r", $normeTraitement['Norme']['description']);
        ?>
        <!-- Information sur la norme -->
        <div class="col-md-12">
            <span class='labelFormulaire'>
                <?php
                echo __d('fiche', 'fiche.textInfoNorme');
                ?>
            </span>
            <div class="row row35"></div>
        </div>

        <div class="row">
            <!-- Colonne de gauche -->
            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('norme', [
                    'id' => 'shownorme',
                    'readonly' => true,
                    'placeholder' => false,
                    'value' => $norme
                ]);
                ?>

                <table class="table" id="render">
                    <tbody>
                    <tr>
                        <td class="col-md-1">
                            <i class="fa fa-file-text-o fa-lg"><!----></i>
                        </td>

                        <td class="col-md-9 tdleft">
                            <?php
                            echo $normeTraitement['Norme']['name_fichier'];
                            ?>
                        </td>

                        <td class="col-md-2">
                            <?php
                            echo $this->Html->link('<span class="fa fa-download fa-lg"><!----></span>', [
                                'controller' => 'normes',
                                'action' => 'download',
                                $normeTraitement['Norme']['fichier'],
                                $normeTraitement['Norme']['name_fichier']
                            ], [
                                'class' => 'btn btn-default-default boutonShow btn-sm my-tooltip',
                                'title' => 'Télécharger la norme',
                                'escapeTitle' => false
                            ]);
                            ?>
                        </td>
                    </tr>
                    </tbody>
                </table>
            </div>

            <!-- Colonne de droite -->
            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('descriptionNorme', [
                    'id' => 'showdescriptionNorme',
                    'type' => 'textarea',
                    'readonly' => true,
                    'placeholder' => false,
                    'value' => $normeDescription
                ]);
                ?>
            </div>
        </div>
        <?php
    } else {
        if (isset($this->request->data['Fiche']['norme_id'])) {
            $valueNorme = $this->request->data['Fiche']['norme_id'];
        }
        ?>
        <div class="row">
            <!-- Colonne de gauche -->
            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('norme_id', [
                    'id' => 'norme_id',
                    'label' => [
                        'text' => __d('fiche', 'fiche.champNorme')
                    ],
                    'options' => $options_normes,
                    'class' => 'usersDeroulant transformSelect form-control',
                    'empty' => true,
                    'placeholder' => false,
                    'data-placeholder' => __d('norme', 'norme.placeholderFiltreNorme'),
                    'value' => $valueNorme
                ]);
                ?>
            </div>

            <!-- Colonne de droite -->
            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('descriptionNorme', [
                    'id' => 'descriptionNorme',
                    'type' => 'textarea',
                    'readonly' => true,
                    'disabled' => true,
                    'placeholder' => false
                ]);
                ?>
            </div>
        </div>
        <?php
    }
    ?>

    <!-- Information concernant le traitement -->
    <div class="col-md-12">
        <span class='labelFormulaire'>
            <?php
            echo __d('fiche', 'fiche.textInfoTraitement');
            ?>
        </span>
        <div class="row row35"></div>
    </div>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-6">
            <?php
            echo $this->WebcilForm->inputs([
                'WebdpoFiche.outilnom' => [
                    'id' => 'outilnom',
                    'label' => [
                        'text' => __d('fiche', 'fiche.champOutilnom')
                    ],
                    'required' => true,
                    'placeholder' => false
                ],
                'transfert_hors_ue' => [
                    'id' => 'transfert_hors_ue',
                    'options' => [
                        true => 'Oui',
                        false => 'Non'
                    ],
                    'label' => [
                        'text' => $this->Html->tag(
                            'abbr',
                            __d('fiche', 'fiche.champTransfertHorsUe'),
                            [
                                'data-content' => nl2br(__d('fiche', 'fiche.champTransfertHorsUeDefinition')),
                                'class' => 'popoverText'
                            ]
                        )
                    ],
                    'class' => 'transformSelect form-control',
                    'required' => true,
                    'empty' => false,
                    'data-placeholder' => ' ',
                    'default' => false
                ],
                'donnees_sensibles' => [
                    'id' => 'donnees_sensibles',
                    'options' => [
                        true => 'Oui',
                        false => 'Non'
                    ],
                    'label' => [
                        'text' => $this->Html->tag(
                            'abbr',
                            __d('fiche', 'fiche.champDonneesSensibles'),
                            [
                                'data-content' => nl2br(__d('fiche', 'fiche.champDonneesSensiblesDefinition')),
                                'class' => 'popoverText'
                            ]
                        )
                    ],
                    'class' => 'transformSelect form-control',
                    'required' => true,
                    'empty' => false,
                    'data-placeholder' => ' ',
                    'default' => false
                ]
            ]);
            ?>
        </div>

        <!-- Colonne de droite -->
        <div class="col-md-6">
            <?php
            echo $this->WebcilForm->input('WebdpoFiche.finaliteprincipale', [
                'id' => 'finaliteprincipale',
                'label' => [
                    'text' => $this->Html->tag(
                        'abbr',
                        __d('fiche', 'fiche.champFinaliteprincipale'),
                        [
                            'data-content' => nl2br(__d('fiche', 'fiche.champFinaliteprincipaleDefinition')),
                            'class' => 'popoverText'
                        ]
                    )
                ],
                'type' => 'textarea',
                'required' => true,
                'placeholder' => false
            ]);
            ?>
        </div>
    </div>

    <?php
    if ($formulaireOLD['Formulaire']['oldformulaire'] === false) {
        ?>
        <div class="col-md-12">
            <span class='labelFormulaire'>
                <?php
                echo __d('fiche', 'fiche.textInfoPia');
                ?>
            </span>
            <div class="row row35"></div>
        </div>

        <?php
        if (isset($usePIA) && $usePIA['Formulaire']['usepia'] === true) {
            ?>
            <div class="row">
                <div class="col-md-6">
                    <?php
                    echo $this->WebcilForm->input('obligation_pia', [
                        'id' => 'obligation_pia',
                        'options' => [
                            true => 'Oui',
                            false => 'Non'
                        ],
                        'class' => 'transformSelect form-control',
                        'required' => true,
                        'readonly' => true,
                        'disabled' => true,
                        'empty' => true,
                        'placeholder' => false,
                        'data-placeholder' => ' '
                    ]);
                    ?>
                </div>

                <div class="col-md-6"></div>
            </div>
            <?php
        } else {
            echo $this->WebcilForm->hidden('obligation_pia', [
                'id' => 'obligation_pia',
                'value' => null
            ]);
        }
        ?>

        <div class="row">
            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('realisation_pia', [
                    'id' => 'realisation_pia',
                    'options' => [
                        true => 'Oui',
                        false => 'Non'
                    ],
                    'label' => [
                        'text' => $this->Html->tag(
                            'abbr',
                            __d('fiche', 'fiche.champRealisationPia'),
                            [
                                'data-content' => nl2br(__d('fiche', 'fiche.champRealisationPiaDefinition')),
                                'class' => 'popoverText'
                            ]
                        )
                    ],
                    'class' => 'transformSelect form-control',
                    'required' => true,
                    'empty' => $empty,
                    'placeholder' => false,
                    'data-placeholder' => ' '
                ]);
                ?>
            </div>

            <div class="col-md-6">
                <?php
                echo $this->WebcilForm->input('depot_pia', [
                    'id' => 'depot_pia',
                    'options' => [
                        true => 'Oui',
                        false => 'Non'
                    ],
                    'class' => 'transformSelect form-control',
                    'required' => true,
                    'empty' => true,
                    'placeholder' => false,
                    'data-placeholder' => ' '
                ]);
                ?>
            </div>
        </div>
        <?php
    }
    ?>

    <!-- Co-responsabilité sur le traitement -->
    <div class="col-md-12">
        <span class='labelFormulaire'>
            <?php
            echo __d('fiche', 'fiche.textInfoCoresponsable');
            ?>
        </span>
        <div class="row row35"></div>
    </div>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-6">
            <?php
            echo $this->WebcilForm->input('coresponsable', [
                'id' => 'coresponsable',
                'options' => [
                    true => 'Oui',
                    false => 'Non'
                ],
                'label' => [
                    'text' => $this->Html->tag(
                        'abbr',
                        __d('fiche', 'fiche.champCoresponsable'),
                        [
                            'data-content' => nl2br(__d('fiche', 'fiche.champCoresponsableDefinition')),
                            'class' => 'popoverText'
                        ]
                    )
                ],
                'class' => 'transformSelect form-control',
                'required' => true,
                'empty' => false,
                'data-placeholder' => ' ',
                'default' => false
            ]);
            ?>
        </div>
    </div>

    <!-- Sous-traitance sur le traitement -->
    <div class="col-md-12">
        <span class='labelFormulaire'>
            <?php
            if ($rt_externe === false) {
                echo __d('fiche', 'fiche.textInfoSousTraitance');
                $libelleFieldSoustraitance = __d('fiche', 'fiche.champSoustraitance');
            } else {
                echo __d('fiche', 'fiche.textInfoSousTraitanceUlterieur');
                $libelleFieldSoustraitance = __d('fiche', 'fiche.champSoustraitanceUlterieur');
            }
            ?>
        </span>
        <div class="row row35"></div>
    </div>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-6">
            <?php
            echo $this->WebcilForm->input('soustraitance', [
                'id' => 'soustraitance',
                'label' => [
                    'text' => $this->Html->tag(
                        'abbr',
                        $libelleFieldSoustraitance,
                        [
                            'data-content' => nl2br(__d('fiche', 'fiche.champSoustraitanceDefinition')),
                            'class' => 'popoverText'
                        ]
                    )
                ],
                'options' => [
                    true => 'Oui',
                    false => 'Non'
                ],
                'class' => 'transformSelect form-control',
                'required' => true,
                'empty' => false,
                'data-placeholder' => ' ',
                'default' => false
            ]);
            ?>
        </div>
    </div>
</div>
<!-- Fin onglet Information concernant le traitement-->

<script type="text/javascript">

    $(document).ready(function () {

        var descriptions = <?php echo json_encode($descriptions_normes); ?>;
        //var normeId = <?php ////echo json_encode($valueNorme);?>////;
        var normeId = $('#norme_id').val();

        if (typeof(normeId) != "undefined" && normeId !== null && normeId) {
            var str = descriptions[normeId].replace(/<br\s*[\/]?>/gi, "\n");
            $("#descriptionNorme").val(str);
        }

        $('#norme_id').change(function () {
            var idNorme = $(this).val();
            var str = '';

            if (idNorme === '') {
                str = null;
            } else {
                str = descriptions[idNorme].replace(/<br\s*[\/]?>/gi, "\n");
            }

            $("#descriptionNorme").val(str);
        });

        displayFieldDepotPIA($('#realisation_pia').val());
        $('#realisation_pia').change(function () {
            var val = $(this).val();
            displayFieldDepotPIA(val);
        });
    });

    function displayFieldDepotPIA(val)
    {
        if (val == true) {
            $('#depot_pia').parent().parent().show();
        } else {
            $('#depot_pia').val('');
            $('#depot_pia').parent().parent().hide();
        }
    }

</script>