<!-- Pop-up de duplication d'un formulaire dans une autre organisation -->
<div class="modal fade" id="modalDupliquerFormulaireOrganisation" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>

                <h4 class="modal-title" id="myModalLabel">
                    <?php echo __d('formulaire', 'formulaire.popupInfoGeneraleFormulaireDuplicationOrganisation'); ?>
                </h4>
            </div>

            <div class="modal-body">
                <div class="row form-group">
                    <?php
                    echo $this->Form->create('Formulaire', [
                        'url' => ['action' => 'dupliquerOrganisation']
                    ]);

                    echo $this->Form->input('id', ["id" => "FormulaireOrganisationId" ,"value" => 0]);

                    // Champ nom du formulaire *
                    echo $this->Form->input('libelle', [
                        'class' => 'form-control',
                        'placeholder' => __d('formulaire', 'formulaire.popupPlaceholderNomFormulaire'),
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.popupNomFormulaire') . '<span class="requis">*</span>',
                            'class' => 'col-md-4 control-label'
                        ],
                        'between' => '<div class="col-md-8">',
                        'after' => '</div>',
                        'required' => true
                    ]);
                    ?>
                </div>

                <div class="row form-group">
                    <?php
                    // Champ concernant la sous-traitance *
                    echo $this->Form->input('rt_externe', [
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.popupChampRt') . '<span class="requis">*</span>',
                            'class' => 'col-md-4 control-label'
                        ],
                        'between' => '<div class="col-md-8">',
                        'after' => '</div>',
                        'required' => true,
                        'class' => 'form-control usersDeroulant',
                        'options' => [
                            false => 'Non',
                            true => 'Oui'
                        ],
                        'default' => false
                    ]);
                    ?>
                </div>

                <div class="row form-group">
                    <?php
                    // Champ Description
                    echo $this->Form->input('description', [
                        'type' => 'textarea',
                        'class' => 'form-control',
                        'placeholder' => __d('formulaire', 'formulaire.popupPlaceholderDescription'),
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.popupDescription'),
                            'class' => 'col-md-4 control-label'
                        ],
                        'between' => '<div class="col-md-8">',
                        'after' => '</div>',
                        'required' => false
                    ]);
                    ?>
                </div>

                <div class="row form-group">
                    <?php
                    //Champ Entité cible pour la duplication*
                    echo $this->WebcilForm->input('organisationCible', [
                        'options' => $mesOrganisations,
                        'class' => 'usersDeroulant transformSelect form-control',
                        'label' => [
                            'text' => __d('formulaire', 'formulaire.popupChampEntiteCible'),
                            'class' => 'col-md-4 control-label'
                        ],
                        'empty' => true,
                        'required' => true,
                        'placeholder' => false,
                        'data-placeholder' => ' ',
                    ]);
                    ?>
                </div>
            </div>

            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default-default" data-dismiss="modal">
                        <i class="fa fa-times-circle fa-lg"><!----></i>
                        <?php echo __d('default', 'default.btnAnnuler'); ?>
                    </button>
                    <?php
                    echo $this->Form->button("<i class='fa fa-floppy-o fa-lg'><!----></i>" . __d('default', 'default.btnEnregistrer'), [
                        'type' => 'submit',
                        'class' => 'btn btn-default-success',
                        'escape' => false
                    ]);
                    ?>
                </div>
                <?php
                echo $this->Form->end();
                ?>
            </div>
        </div>
    </div>
</div>