<?php
echo $this->Html->script([
    'smalot-bootstrap-datetimepicker/js/bootstrap-datetimepicker.min',
    'smalot-bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.fr.js',
    'jquery-mask-plugin/dist/jquery.mask.min.js'
]);
echo $this->Html->css('/js/smalot-bootstrap-datetimepicker/css/bootstrap-datetimepicker.min');

$validationErrorsFichier = null;

if (isset($this->validationErrors['WebdpoFiche']) && !empty($this->validationErrors['WebdpoFiche']) ||
    isset($this->validationErrors['Fiche']) && !empty($this->validationErrors['Fiche']) ||
    isset($this->validationErrors['Fichier']) && !empty($this->validationErrors['Fichier']) ||
    isset($this->validationErrors['WebdpoCoresponsable']) && !empty($this->validationErrors['WebdpoCoresponsable']) ||
    isset($this->validationErrors['WebdpoSoustraitance']) && !empty($this->validationErrors['WebdpoSoustraitance'])
) {
    ?>
    <div class="alert alert-danger" role="alert">
        <span class="fa fa-exclamation-circle fa-fw" aria-hidden="true"></span>
        <span class="sr-only">Error:</span>
        Ces erreurs se sont produites sur les champs suivants :
        <ul>
            <?php
            if (isset($this->validationErrors['WebdpoFiche']) && !empty($this->validationErrors['WebdpoFiche'])) {
                $champ = null;
                foreach ($this->validationErrors['WebdpoFiche'] as $key => $errorChamps) {
                    foreach ($fields['formulaire'] as $tab => $value) {
                        if (is_array($value)) {
                            foreach ($value as $val) {
                                $options = json_decode($val['details'], true);
                            }
                        } else {
                            $options = json_decode($value['details'], true);
                        }

                        if (isset($options['name']) === true && $key == $options['name']) {
                            $champ = $options['label'];
                        }
                    }

                    foreach ($errorChamps as $error) {
                        if ($champ === null) {
                            $champ = __d('fiche', 'fiche.champ' . ucfirst($key));
                        }

                        echo '<li>' . $champ . /*' : ' . $error .*/
                            '</li>';
                    }

                    $champ = null;
                }
            }

            if (isset($this->validationErrors['Fiche']) && !empty($this->validationErrors['Fiche'])) {
                $champ = null;
                foreach ($this->validationErrors['Fiche'] as $key => $errorChamps) {
                    foreach ($errorChamps as $error) {
                        if ($champ === null) {
                            $champ = __d('fiche', 'fiche.champ' . ucfirst($key));
                        }

                        echo '<li>' . $champ . /*' : ' . $error .*/
                            '</li>';
                    }

                    $champ = null;
                }
            }

            if (isset($this->validationErrors['Fichier']) && !empty($this->validationErrors['Fichier'])) {
                $validationErrorsFichier = $this->validationErrors['Fichier'];
                $champ = null;
                foreach ($this->validationErrors['Fichier'] as $key => $errorChamps) {
                    foreach ($errorChamps as $error) {
                        echo '<li>' . $error . /*' : ' . $error .*/
                            '</li>';
                    }

                    $champ = null;
                }
            }

            if (isset($this->validationErrors['WebdpoCoresponsable']) && !empty($this->validationErrors['WebdpoCoresponsable'])) {
                $champ = null;
                foreach ($this->validationErrors['WebdpoCoresponsable'] as $coresponsable_id => $errorChamps) {
                    foreach ($errorChamps as $fieldError => $messageErrorChamp) {
                        foreach ($fields['coresponsable'] as $value) {
                            if (is_array($value)) {
                                foreach ($value as $val) {
                                    $options = json_decode($val['details'], true);
                                }
                            } else {
                                $options = json_decode($value['details'], true);
                            }

                            if (isset($options['name']) === true && $fieldError == $options['name']) {
                                $champ = $options['label'];
                            }
                        }

                        foreach ($messageErrorChamp as $error) {
                            if ($champ === null) {
                                $champ = __d('fiche', 'fiche.champ'.ucfirst($key));
                            }

                            echo '<li>' . $champ . /*' : ' . $error .*/ '</li>';
                        }

                        $champ = null;
                    }
                }
            }

            if (isset($this->validationErrors['WebdpoSoustraitance']) && !empty($this->validationErrors['WebdpoSoustraitance'])) {
                $champ = null;
                foreach ($this->validationErrors['WebdpoSoustraitance'] as $coresponsable_id => $errorChamps) {
                    foreach ($errorChamps as $fieldError => $messageErrorChamp) {
                        foreach ($fields['soustraitant'] as $value) {
                            if (is_array($value)) {
                                foreach ($value as $val) {
                                    $options = json_decode($val['details'], true);
                                }
                            } else {
                                $options = json_decode($value['details'], true);
                            }

                            if (isset($options['name']) === true && $fieldError == $options['name']) {
                                $champ = $options['label'];
                            }
                        }

                        foreach ($messageErrorChamp as $error) {
                            if ($champ === null) {
                                $champ = __d('fiche', 'fiche.champ' . ucfirst($key));
                            }

                            echo '<li>' . $champ . /*' : ' . $error .*/
                                '</li>';
                        }

                        $champ = null;
                    }
                }
            }
            ?>
        </ul>
    </div>
    <?php
}

echo $this->WebcilForm->create('Fiche', [
    'type' => 'file',
    'autocomplete' => 'off',
    'inputDefaults' => ['div' => false],
    'class' => 'form-horizontal',
    'novalidate' => 'novalidate'
]);

$classActiveRT = '';
$classActiveInfoGenerale = '';
$classActivePia = '';

if ($rt_externe === true) {
    $classActiveRT = 'active';
} else {
    $classActiveInfoGenerale = 'active';
}

if ($this->request->params['action'] === 'add' && $usePIA['Formulaire']['usepia'] === true) {
    $classActiveRT = '';
    $classActiveInfoGenerale = '';
    $classActivePia = 'active';
}

$fieldsIsRequired = true;
if ($initialisationMode === true) {
    $fieldsIsRequired = false;
}
?>

<div class="container-fluid" role="main">
    <ul class="nav nav-tabs nav-justified" role="tablist">
        <?php
        if ($formulaireOLD['Formulaire']['oldformulaire'] === false) {
            if ($usePIA['Formulaire']['usepia'] === true) {
                ?>
                <li class="<?php echo $classActivePia ?>">
                    <a href="#info_pia" role="tab" data-toggle="tab">
                        <i class="fa fa-pencil fa-fw"></i>
                        <?php
                        echo __d('fiche', 'fiche.ongletPia');
                        ?>
                    </a>
                </li>
                <?php
            }
        }

        if ($rt_externe === true) {
            ?>
            <li class="<?php echo $classActiveRT ?>">
                <a href="#onglet_rt_externe" role="tab" data-toggle="tab">
                    <i class="fa fa-pencil fa-fw"></i>
                    <?php
                    echo __d('fiche', 'fiche.ongletInformationResponsableTraitement');
                    ?>
                </a>
            </li>
            <?php
        }
        ?>

        <li class="<?php echo $classActiveInfoGenerale ?>">
            <a href="#information_traitement" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"></i>
                <?php
                echo __d('fiche', 'fiche.ongletInformationTraitement');
                ?>
            </a>
        </li>

        <?php
        if ($formulaireOLD['Formulaire']['oldformulaire'] === false) {
            if (in_array(true, $useFieldsFormulaire['Formulaire'], true)) {
                ?>
                <li>
                    <a href="#information_complementaire" role="tab" data-toggle="tab">
                        <i class="fa fa-pencil fa-fw"></i>
                        <?php
                        echo __d('fiche', 'fiche.ongletInformationComplementaire');
                        ?>
                    </a>
                </li>
                <?php
            }
        }
        ?>

        <li>
            <a href="#info_formulaire" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"></i>
                <?php
                echo __d('fiche', 'fiche.ongletFormulaire');
                ?>
            </a>
        </li>

        <li id="information_coresponsable" class="disabled">
            <a id="aOngletComplementaireCoresponsable" href="#ongletComplementaireCoresponsable" role=""
               data-toggle="">
                <i class="fa fa-pencil fa-fw"></i>
                <?php
                echo __d('fiche', 'fiche.ongletCoresponsable');
                ?>
            </a>
        </li>

        <?php
        if ($rt_externe === true) {
            ?>
            <li>
                <a href="#onglet_st_organisation" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"><!----></i>
                    <?php
                    echo __d('fiche', 'fiche.ongletST');
                    ?>
                </a>
            </li>
            <?php
        }
        ?>

        <li id="information_soustraitance" class="disabled">
            <a id="aOngletComplementaireSoustraitance" href="#ongletComplementaireSoustraitance" role=""
               data-toggle="">
                <i class="fa fa-pencil fa-fw"></i>
                <?php
                if ($rt_externe === false) {
                    echo __d('fiche', 'fiche.ongletSousTraitant');
                } else {
                    echo __d('fiche', 'fiche.ongletSousTraitanceUlterieur');
                }
                ?>
            </a>
        </li>

        <li>
            <a href="#annexe" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"></i>
                <?php
                echo __d('fiche', 'fiche.ongletAnnexe');
                ?>
            </a>
        </li>
    </ul>

    <div class="tab-content">
        <?php
        if ($formulaireOLD['Formulaire']['oldformulaire'] === false) {
            if ($usePIA['Formulaire']['usepia'] === true) {
                echo $this->element("Fiches/tabs/pia", [
                    'classActivePia' => $classActivePia,
                    'fieldsIsRequired' => $fieldsIsRequired
                ]);
            }
        }

        if ($rt_externe === true) {
            echo $this->element('Fiches/tabs/rt_externe', [
                'classActiveRT' => $classActiveRT,
                'fieldsIsRequired' => $fieldsIsRequired
            ]);
        }

        // Onglet Information Générale
        echo $this->element('Fiches/tabs/informationGenerale', [
            'classActiveInfoGenerale' => $classActiveInfoGenerale,
            'fieldsIsRequired' => $fieldsIsRequired
        ]);
        // Fin onglet Information Générale

        if ($formulaireOLD['Formulaire']['oldformulaire'] === false) {
            if (in_array(true, $useFieldsFormulaire['Formulaire'], true)) {
                // Onglet Information complémentaire
                echo $this->element("Fiches/tabs/informationComplementaire", [
                    'fieldsIsRequired' => $fieldsIsRequired
                ]);
                // Fin onglet Information complémentaire
            }
        }
        ?>

        <!-- Onglet Formulaire -->
        <div id="info_formulaire" class="tab-pane">
            <br>
            <div id="form-container-formulaire" class="form-container col-md-12">
                <?php
                echo $this->element('Fiches/tabs/formulaire', [
                    'champs' => $fields['formulaire'],
                    'fieldsIsRequired' => $fieldsIsRequired
                ]);
                ?>
            </div>
        </div>
        <!-- Fin onglet Formulaire -->

        <?php
        // Onglet Co-responsable
        echo $this->element('Fiches/tabs/coresponsable');
        // Fin onglet Co-responsable

        if ($rt_externe === true) {
            echo $this->element('Fiches/tabs/st_organisation');
        }

        // Onglet soustraitance
        echo $this->element('Fiches/tabs/soustraitance');
        // Fin onglet soustraitance

        // Onglet Annexe(s)
        echo $this->element('Fiches/tabs/annexe');
        // Fin onglet Annexe(s)
        ?>
    </div>

    <div class="row">
        <!-- Groupe bouton -->
        <div class="col-md-12 top17 text-center">
            <div class="btn-group">
                <?php
                // Groupe de boutons
                echo $this->WebcilForm->buttons(['Cancel', 'Save']);
                ?>
            </div>
        </div>
    </div>
</div>

<?php
echo $this->WebcilForm->end();
?>

<script type="text/javascript">

    $(document).ready(function () {

        // Mise en évidence des onglets ayant des erreurs.
        $('div.form-group .error-message').closest('div.tab-pane').each(function(idx, pane) {
            let a = $( "a[href='#"+$(pane).attr('id')+"']" );
            $(a).closest("li").addClass("form-error");
            $(a).append("<span class='fa fa-exclamation-circle fa-danger' aria-hidden='true'><\/span>");
        });

        let errorAnnexe = <?php echo json_encode($validationErrorsFichier); ?>;
        if (errorAnnexe && errorAnnexe.length !== 0) {
            let aAnnexe = $('a[href="#annexe"]');
            $(aAnnexe).parent().addClass("form-error");
            $(aAnnexe).append("<span class='fa fa-exclamation-circle fa-danger' aria-hidden='true'><\/span>");
        }

        // Mask champs
        // Information sur le rédacteur
        $('#declarantpersonneportable').mask('00 00 00 00 00', {
            placeholder: '__ __ __ __ __'
        });
        $('#declarantpersonnefix').mask('00 00 00 00 00', {
            placeholder: '__ __ __ __ __'
        });

        let coresponsable = $("#coresponsable").val();
        displayTabCoresponsables(coresponsable);

        $("#coresponsable").change(function () {
            idCoresponsable = $(this).val();

            displayTabCoresponsables(idCoresponsable);
        });

        let sousTraitance = $("#soustraitance").val();
        displayTabSousTraitances(sousTraitance);

        $("#soustraitance").change(function () {
            let newValSousTraitance = $(this).val();

            displayTabSousTraitances(newValSousTraitance);
        });

        $('.popoverText').popover({
            delay: {
                show: 500,
                hide: 100
            },
            placement: 'right',
            trigger: 'hover',
            container: 'body',
            html: true,
        });

    });

    function displayTabCoresponsables(val){
        if (val == true) {
            $('#information_coresponsable').removeClass('disabled');

            $('#aOngletComplementaireCoresponsable').attr('role', 'tab');
            $('#aOngletComplementaireCoresponsable').attr('data-toggle', 'tab');

        } else {
            $('#information_coresponsable').addClass('disabled');

            $('#aOngletComplementaireCoresponsable').attr('role', '');
            $('#aOngletComplementaireCoresponsable').attr('data-toggle', '');
        }
    }

    function displayTabSousTraitances(val){
        if (val == true) {
            $('#information_soustraitance').removeClass('disabled');

            $('#aOngletComplementaireSoustraitance').attr('role', 'tab');
            $('#aOngletComplementaireSoustraitance').attr('data-toggle', 'tab');

        } else {
            $('#information_soustraitance').addClass('disabled');

            $('#aOngletComplementaireSoustraitance').attr('role', '');
            $('#aOngletComplementaireSoustraitance').attr('data-toggle', '');
        }
    }

</script>