<?php
echo $this->Html->script('jquery-mask-plugin/dist/jquery.mask.min.js');

echo $this->WebcilForm->create('Fiche', [
    'autocomplete' => 'off',
    'inputDefaults' => ['div' => false],
    'class' => 'form-horizontal',
    'novalidate' => 'novalidate'
]);
?>

<div class="container-fluid" role="main">
    <ul class="nav nav-tabs nav-justified" role="tablist">
        <?php
        if ($formulaireOLD['Formulaire']['oldformulaire'] === false && $usePIA['Formulaire']['usepia'] === true) {
            ?>
            <!-- Onglet AIPD -->
            <li>
                <a href="#info_pia" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"></i>
                    <?php
                    echo __d('fiche', 'fiche.ongletPia');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($rt_externe === true) {
            ?>
            <li>
                <a href="#onglet_rt_externe" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"></i>
                    <?php
                    echo __d('fiche', 'fiche.ongletInformationResponsableTraitement');
                    ?>
                </a>
            </li>
            <?php
        }
        ?>

        <!-- Onglet Information générale -->
        <li class="active">
            <a href="#information_traitement" role="tab" data-toggle="tab">
                <i class="fa fa-eye fa-fw"><!----></i>
                <?php
                echo __d('fiche', 'fiche.ongletInformationTraitement');
                ?>
            </a>
        </li>

        <?php
        if ($formulaireOLD['Formulaire']['oldformulaire'] === false) {
            if (in_array(true, $useFieldsFormulaire['Formulaire'], true)) {
                ?>
                <!-- Onglet Information complémentaire -->
                <li>
                    <a href="#information_complementaire" role="tab" data-toggle="tab">
                        <i class="fa fa-eye fa-fw"><!----></i>
                        <?php
                        echo __d('fiche', 'fiche.ongletInformationComplementaire');
                        ?>
                    </a>
                </li>
                <?php
            }
        }
        ?>

        <!-- Onglet formulaire -->
        <li>
            <a href="#info_formulaire" role="tab" data-toggle="tab">
                <i class="fa fa-eye fa-fw"></i>
                <?php
                echo __d('fiche', 'fiche.ongletFormulaire');
                ?>
            </a>
        </li>

        <?php
        if ($this->request->data['Fiche']['coresponsable'] === true) {
            ?>
            <!-- Onglet Co-responsable -->
            <li>
                <a href="#ongletComplementaireCoresponsable" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"></i>
                    <?php
                    echo __d('fiche', 'fiche.ongletCoresponsable');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($rt_externe === true) {
            ?>
            <li>
                <a href="#onglet_st_organisation" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"><!----></i>
                    <?php
                    echo __d('fiche', 'fiche.ongletST');
                    ?>
                </a>
            </li>
            <?php
        }

        if ($this->request->data['Fiche']['soustraitance'] === true) {
            ?>
            <!-- Onglet Sous-traitance-->
            <li>
                <a href="#ongletComplementaireSoustraitance" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"></i>
                    <?php
                    if ($rt_externe === false) {
                        echo __d('fiche', 'fiche.ongletSousTraitant');
                    } else {
                        echo __d('fiche', 'fiche.ongletSousTraitanceUlterieur');
                    }
                    ?>
                </a>
            </li>
            <?php
        }
        ?>

        <!-- Onglet Annexe -->
        <li>
            <a href="#annexe" role="tab" data-toggle="tab">
                <i class="fa fa-eye fa-fw"></i>
                <?php
                echo __d('fiche', 'fiche.ongletAnnexe');
                ?>
            </a>
        </li>

        <?php
        if ($showRegistre == true && $rt_externe === false) {
            ?>
            <!-- Onglet Inforation sur l'entité -->
            <li>
                <a href="#onglet_rt_organisation" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"></i>
                    <?php
                    echo __d('fiche', 'fiche.ongletEntiteResponsableTraitement');
                    ?>
                </a>
            </li>
            <?php
        }
        ?>
    </ul>

    <div class="tab-content">
        <?php
        if ($formulaireOLD['Formulaire']['oldformulaire'] === false) {
            if ($usePIA['Formulaire']['usepia'] === true) {
                echo $this->element("Fiches/tabs/pia", [
                    'classActivePia' => ''
                ]);
            }
        }

        if ($rt_externe === true) {
            echo $this->element('Fiches/tabs/rt_externe', [
                'classActiveRT' => ''
            ]);
        }

        echo $this->element('Fiches/tabs/informationGenerale', [
            'classActiveInfoGenerale' => 'active'
        ]);

        if ($formulaireOLD['Formulaire']['oldformulaire'] === false) {
            if (in_array(true, $useFieldsFormulaire['Formulaire'], true)) {
//                foreach ($useFieldsFormulaire['Formulaire'] as $option => $value) {
//                    if ($value === true) {
//                        debug($option);
//                        debug($value);
//                    }
//                }

                // Onglet information complémentaire
                echo $this->element("Fiches/tabs/informationComplementaire");
            }
        }
        ?>

        <!-- Onglet Formulaire -->
        <div id="info_formulaire" class="tab-pane">
            <br>
            <div id="form-container" class="form-container col-md-12">
                <?php
                echo $this->element('Fiches/tabs/formulaire', [
                    'champs' => $fields['formulaire']
                ]);
                ?>
            </div>
        </div>
        <!-- Fin onglet Formulaire -->

        <?php
        if ($this->request->data['Fiche']['coresponsable'] === true) {
            // Onglet Co-responsable
            echo $this->element('Fiches/tabs/coresponsable');
            // Fin onglet Co-responsable
        }

        if ($rt_externe === true) {
            echo $this->element('Fiches/tabs/st_organisation');
        }

        if ($this->request->data['Fiche']['soustraitance'] === true) {
            // Onglet soustraitance
            echo $this->element('Fiches/tabs/soustraitance');
            // Fin onglet soustraitance
        }

        // Onglet Annexe(s)
        echo $this->element('Fiches/tabs/annexe');
        // Fin onglet Annexe(s)

        if ($showRegistre === true && $rt_externe === false) {
            // Onglet Information sur l'entité
//            echo $this->element('Fiches/tabs/informationEntite');
            echo $this->element('Fiches/tabs/rt_organisation');
        }
        ?>

    </div>

    <div class="row">
        <div class="col-md-12 top17 text-center">
            <div class="btn-group">
                <?php
                echo $this->Html->link('<i class="fa fa-arrow-left fa-lg"><!----></i>' . __d('fiche', 'fiche.btnRevenir'), $referer, [
                    'class' => 'btn btn-default-default',
                    'escape' => false
                ]);
                ?>
            </div>
        </div>
    </div>
</div>

<?php
echo $this->WebcilForm->end();
?>

<script type="text/javascript">
    $(":input").prop("disabled", true);

    $(document).ready(function () {

        $('.btn').prop("disabled", false);
        $('.close').prop("disabled", false);

        $('.popoverText').popover({
            delay: {
                show: 500,
                hide: 100
            },
            placement: 'right',
            trigger: 'hover',
            container: 'body',
            html: true,
        });

    });
</script>
