<?php
echo $this->Html->script([
    'FormulaireGenerator/createFormulaire',
    'FormulaireGenerator/saveFieldsFormulaire',
    'smalot-bootstrap-datetimepicker/js/bootstrap-datetimepicker.min',
    'smalot-bootstrap-datetimepicker/js/locales/bootstrap-datetimepicker.fr.js',
    'jquery-mask-plugin/dist/jquery.mask.min.js'
]);

echo $this->Html->css([
    'createFormulaire',
    '/js/smalot-bootstrap-datetimepicker/css/bootstrap-datetimepicker.min'
]);

if (isset($this->validationErrors['Formulaire']) && !empty($this->validationErrors['Formulaire'])) {
    ?>
    <div class="alert alert-danger" role="alert">
        <span class="fa fa-exclamation-circle fa-fw" aria-hidden="true"><!----></span>
        <span class="sr-only">Error:</span>
        Ces erreurs se sont produites sur les champs suivants :
        <ul>
            <?php
            $champ = null;
            foreach ($this->validationErrors['Formulaire'] as $key => $errorChamps) {
                foreach ($errorChamps as $error) {
                    if ($champ === null) {
                        $champ = __d('formulaire', 'formulaire.champ'.ucfirst($key));
                    }

                    echo '<li>' . $champ . /*' : ' . $error .*/ '</li>';
                }

                $champ = null;
            }
            ?>
        </ul>
    </div>
    <?php
}

echo $this->WebcilForm->create('Formulaire', [
    'id' => 'addAndEditForm',
    'autocomplete' => 'off',
    'inputDefaults' => ['div' => false],
    'class' => 'form-horizontal',
    'novalidate' => 'novalidate'
]);
?>

<div id="tabs" class="container-fluid" role="main">
    <ul class="nav nav-tabs nav-justified" role="tablist">
        <li class="active">
            <a href="#info_pia" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"></i>
                <?php
                echo __d('fiche', 'fiche.ongletPia');
                ?>
            </a>
        </li>

        <?php
        if ($rt_externe === true) {
            ?>
            <li>
                <a href="#info_rt" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"></i>
                    <?php
                    echo __d('fiche', 'fiche.ongletInformationResponsableTraitement');
                    ?>
                </a>
            </li>
            <?php
        }
        ?>

        <li>
            <a href="#information_traitement" role="tab" data-toggle="tab">
                <i class="fa fa-eye fa-fw"><!----></i>
                <?php
                echo __d('fiche', 'fiche.ongletInformationTraitement');
                ?>
            </a>
        </li>

        <li id= "onglet_info_complementaire">
            <a href="#info_complementaire" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"></i>
                <?php
                echo __d('fiche', 'fiche.ongletInformationComplementaire');
                ?>
            </a>
        </li>

        <li>
            <a href="#info_formulaire" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"><!----></i>
                <?php
                echo __d('fiche', 'fiche.ongletFormulaire');
                ?>
            </a>
        </li>

        <li>
            <a href="#ongletComplementaireCoresponsable" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"><!----></i>
                <?php
                echo __d('fiche', 'fiche.ongletCoresponsable');
                ?>
            </a>
        </li>

        <?php
        if ($rt_externe === true) {
            ?>
            <li>
                <a href="#onglet_st_organisation" role="tab" data-toggle="tab">
                    <i class="fa fa-eye fa-fw"><!----></i>
                    <?php
                        echo __d('fiche', 'fiche.ongletST');
                    ?>
                </a>
            </li>
            <?php
        }
        ?>

        <li>
            <a href="#ongletComplementaireSousTraitant" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"><!----></i>
                <?php
                if ($rt_externe === false) {
                    echo __d('fiche', 'fiche.ongletSousTraitant');
                } else {
                    echo __d('fiche', 'fiche.ongletSousTraitanceUlterieur');
                }
                ?>
            </a>
        </li>

        <li>
            <a href="#annexe" role="tab" data-toggle="tab">
                <i class="fa fa-pencil fa-fw"><!----></i>
                <?php
                echo __d('fiche', 'fiche.ongletAnnexe');
                ?>
            </a>
        </li>
    </ul>

    <div class="tab-content">
        <?php
        echo $this->element('Formulaires/tabs/pia', [
            'classActivePia' => 'active'
        ]);

        if ($rt_externe === true) {
            echo $this->element('Formulaires/tabs/rt');
        }

        // Onglet Information générale concernant le traitement
        echo $this->element('Formulaires/tabs/informationGenerale', [
            'classActiveInfoGenerale' => ''
        ]);
        // Fin de l'onglet Information générale concernant le traitement

        echo $this->element('Formulaires/tabs/informationComplementaire');

        echo $this->element('Formulaires/tabs/formulaire');

        echo $this->element('Formulaires/tabs/coResponsable');

        if ($rt_externe === true) {
            echo $this->element('Fiches/tabs/st_organisation');
        }

        echo $this->element('Formulaires/tabs/sousTraitant');

        // Onglet Annexe
        echo $this->element('Formulaires/tabs/annexe');
        // Fin onglet annexe
        ?>
    </div>

    <div style="clear: both">
        <?php
        echo $this->WebcilForm->buttons(['Cancel', 'Save']);
        ?>
    </div>
</div>

<?php
echo $this->element('Formulaires/modal/modalAddCondition');
echo $this->element('Formulaires/modal/modalWarningDeleteConditions');

echo $this->WebcilForm->end();
?>

<script type="text/javascript">
    $(window).scrollTop(0);

    $(document).ready(function () {

        $('.nav-tabs li').click(function () {
            $('.ui-selected').removeClass('ui-selected');
            $('.field-options>div').remove();
        });

        // Mise en évidence des onglets ayant des erreurs.
        $("div.form-group .error-message").closest("div.tab-pane").each(function(idx, pane) {
            $( "a[href='#"+$(pane).attr('id')+"']" ).append("<span class='fa fa-exclamation-circle fa-danger' aria-hidden='true'/>");
        });

        $('.popoverText').popover({
            delay: {
                show: 500,
                hide: 100
            },
            placement: 'right',
            trigger: 'hover',
            container: 'body',
            html: true,
        });

    });

</script>