<!-- Tableau des formulaires -->
<table class="table">
    <!-- Titre tableau -->
    <thead>
            <!-- Etat -->
            <th class="col-md-1">
                <?php echo __d('formulaire', 'formulaire.titreTableauEtat'); ?>
            </th>

            <!-- Nom -->
            <th class="col-md-2">
                <?php echo __d('user', 'user.titreTableauNomDuFormulaire'); ?>
            </th>

            <!-- Description -->
            <th class="col-md-3">
                <?php echo __d('user', 'user.titreTableauDescription'); ?>
            </th>

            <!-- Sous-traitant pour le compte d'un RT -->
            <th class="col-md-2">
                <?php echo __d('formulaire', 'formulaire.titreTableauSoustraitantPourRT'); ?>
            </th>

            <!-- Date de création -->
            <th class="col-md-1">
                <?php echo __d('user', 'user.titreTableauDateCreation'); ?>
            </th>

            <!-- Actions -->
            <th class="col-md-2">
                <?php echo __d('user', 'user.titreTableauAction'); ?>
            </th>

            <!-- Duplication formulaire autre organisation -->
            <th class="thleft col-md-1">
            </th>
    </thead>
    
    <!-- Info tableau -->
    <tbody>
        <?php
        foreach ($formulaires as $data) {
            if ($data['Formulaire']['active'] == true) {
                $iconClass = 'fa fa-toggle-on fa-3x fa-success';
                $statut = __d('formulaire', 'formulaire.textStatutActif');
                $statutClass = 'fa-success';
            } else {
                $statut = __d('formulaire', 'formulaire.textStatutInactif');
                $iconClass = 'fa fa-toggle-off fa-3x fa-danger';
                $statutClass = 'fa-danger';
            }
            ?>
            <tr>
                <!-- Status du formulaire -->
                <td class="tdleft">
                    <div class="etatIcone">
                        <i class= '<?php echo $iconClass; ?>'><!----></i>
                        <span class='<?php echo $statutClass; ?>'>
                            <?php echo $statut; ?>
                        </span>
                    </div>
                </td>
                
                <!-- Nom du formulaire -->
                <td class="tdleft">
                    <?php echo $data['Formulaire']['libelle']; ?>
                </td>
                
                <!-- Description du formulaire -->
                <td class="tdleft">
                    <?php echo $data['Formulaire']['description']; ?>
                </td>
                
                <!-- Sous-traitant pour le compte d'un RT -->
                <td class="tdleft">
                    <?php
                        // Si le formulaire est pour les sous-traitants
                        $image = null;
                        if ($data['Formulaire']['rt_externe'] === true ){
                            $image = '<i class="fa fa-check fa-lg fa-success">oui</i>';
                        }

                        echo $image;
                    ?>
                </td>

                <!-- Date de création -->
                <td class="tdleft">
                    <?php echo $this->Time->format($data['Formulaire']['created'], FORMAT_DATE); ?>
                </td>

                <!-- Action possible d'effectuer en fonction de l'état du formulaire -->
                <td class="tdleft">
                    <div class="btn-group">
                        <?php
                            // Bouton voir le formulaire
                            echo $this->Html->link('<span class="fa fa-eye fa-lg"><!----></span>', [
                                'controller' => 'formulaires',
                                'action' => 'show',
                                $data['Formulaire']['id']
                                    ], [
                                'class' => 'btn btn-default-default btn-sm my-tooltip',
                                'title' => __d('formulaire', 'formulaire.commentaireVoirFormulaire'),
                                'escape' => false,
                            ]);

                            if ($data['Formulaire']['fiches_count'] === 0 && $data['Formulaire']['active'] == false) {
                                // Bouton édité le formulaire
                                echo $this->Html->link('<span class="fa fa-pencil fa-lg"><!----></span>', [
                                    'controller' => 'formulaires',
                                    'action' => 'edit',
                                    $data['Formulaire']['id']
                                        ], [
                                    'class' => 'btn btn-default-default btn-sm my-tooltip',
                                    'title' => __d('formulaire', 'formulaire.commentaireModifierFormulaire'),
                                    'escape' => false
                                ]);
                            }

                            if ($data['Formulaire']['active'] == true) {
                                // Bouton désactivé le formulaire
                                $lien = $this->Html->link('<span class="fa fa-toggle-on fa-lg"><!----></span>', [
                                    'controller' => 'formulaires',
                                    'action' => 'toggle',
                                    $data['Formulaire']['id'],
                                    $data['Formulaire']['active']
                                ], [
                                    'class' => 'btn btn-default-default btn-sm my-tooltip',
                                    'escape' => false,
                                    'title' => __d('formulaire', 'formulaire.commentaireDesactiverFormulaire')
                                ]);
                            } else {
                                // Bouton activé le formulaire
                                $lien = $this->Html->link('<span class="fa fa-toggle-off fa-lg"><!----></span>', [
                                    'controller' => 'formulaires',
                                    'action' => 'toggle',
                                    $data['Formulaire']['id'],
                                    $data['Formulaire']['active']
                                ], [
                                    'class' => 'btn btn-default-default btn-sm my-tooltip',
                                    'title' => __d('formulaire', 'formulaire.commentaireActiverFormulaire'),
                                    'escape' => false
                                ]);
                            }

                            echo $lien;
                        ?>

                        <!--Bouton dupliqué le formulaire-->
                        <button type="button" class="btn btn-default-default btn-sm my-tooltip btn_duplicate"
                                data-toggle="modal" data-target="#modalDupliquer" value="<?php echo $data['Formulaire']['id']; ?>"
                                title="<?php echo __d('formulaire', 'formulaire.commentaireDupliquerFormulaire'); ?>">
                            <span class="fa fa-files-o fa-lg"><!----></span>
                        </button>

                        <?php
                            if ($data['Formulaire']['fiches_count'] === 0 && $data['Formulaire']['active'] == false) {
                                //Bouton supprimé le formulaire
                                echo $this->Html->link('<span class="fa fa-trash fa-lg"><!----></span>', [
                                    'controller' => 'formulaires',
                                    'action' => 'delete',
                                    $data['Formulaire']['id']
                                        ], [
                                    'class' => 'btn btn-default-danger btn-sm my-tooltip',
                                    'title' => __d('formulaire', 'formulaire.commentaireSupprimerFormulaire'),
                                    'escape' => false
                                    ], __d('formulaire', 'formulaire.confirmationSupprimerFormulaire')
                                );
                            }
                        ?>
                    </div>
                </td>
                
                <?php
                    if (!empty($mesOrganisations)) {
                    ?>
                        <td class="tdleft">
                            <button type="button" class="btn btn-default-primary btn-sm my-tooltip btn_duplicateFormulaireOrganisation" 
                                    data-toggle="modal" data-target="#modalDupliquerFormulaireOrganisation" value="<?php echo $data['Formulaire']['id']; ?>"
                                    title="<?php echo __d('formulaire', 'formulaire.placeholderDupliquerFormulaireOrganisation'); ?>">
                                <span class="fa fa-clipboard fa-lg"><!----></span>
                            </button>
                        </td>
                        <?php
                    }
                ?>
            </tr>
            <?php
        }
        ?>
    </tbody>
</table>

<!--Bouton de création d'un formulaire -->
<div class="row text-center">
    <div class="col-md-12 text-center">
        <button type="button" class="btn btn-default-primary" data-toggle="modal" data-target="#modalAddForm">
            <span class="fa fa-plus fa-lg"></span>
            <?php echo __d('formulaire', 'formulaire.btnCreerFormulaire'); ?>
        </button>
    </div>
</div>

<?php
echo $this->element('Formulaires/modal/modalAddForm');

echo $this->element('Formulaires/modal/modalDupliquer');

echo $this->element('Formulaires/modal/modalDupliquerFormulaireOrganisation');
?>

<script type='text/javascript'>
    
    $(document).ready(function () {


        $(".btn_duplicate").click(function () {
            var valueId = $(this).val();
            $('#FormulaireId').val(valueId);
        });
        
        $(".btn_duplicateFormulaireOrganisation").click(function () {
          
            var valueId = $(this).val();
          
        $('#FormulaireOrganisationId').val(valueId);
        });

    });
    
</script>
