<?php
    /**
     * CakePHP(tm) : Rapid Development Framework (http://cakephp.org)
     * Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
     * Licensed under The MIT License
     * For full copyright and license information, please see the LICENSE.txt
     * Redistributions of files must retain the above copyright notice.
     * @copyright     Copyright (c) Cake Software Foundation, Inc. (http://cakefoundation.org)
     * @link          http://cakephp.org CakePHP(tm) Project
     * @package       app.View.Layouts
     * @since         CakePHP(tm) v 0.10.0.1076
     * @license       http://www.opensource.org/licenses/mit-license.php MIT License
     */
    $cakeDescription = 'web-DPO';
?>

<!DOCTYPE html>
<html>
    <head>
        <?php 
            echo $this->Html->charset();
        ?>
        
        <title>
            <?php 
                echo $cakeDescription;
            ?>
        </title>
        
        <?php
            //JS
            echo $this->Html->script([
                'jquery/dist/jquery.min.js',
                'jquery-ui/jquery-ui.js',
                'bootstrap/dist/js/bootstrap.min.js',
                'chosen/chosen.jquery.min.js',
                'select2/dist/js/select2.full.min.js',
                'select2/dist/js/i18n/fr.js',
                'select2/dist/js/select2.min.js',
                'tinymce/tinymce.js',
                'tinymce/jquery.tinymce.js',
                'formulaire.js',
                'main.js'
            ]);
            echo $this->Html->script('bootstrap-filestyle/src/bootstrap-filestyle.min.js', ['inline' => false]);
            echo $this->Html->script('fadeflash.js', ['inline' => false]);

            echo $this->Html->meta('icon');
             
            //CSS
            echo $this->Html->css([
                '/js/chosen/chosen.min.css',
                '/js/bootstrap/dist/css/bootstrap-theme.min.css',
                '/js/bootstrap/dist/css/bootstrap.min.css',
                '/js/jquery-ui/themes/base/jquery-ui.css',
                '/js/components-font-awesome/css/font-awesome.min.css',
                '/js/select2/dist/css/select2.min.css',
                'main.css',
                'style.css'
            ]);

            echo $this->fetch('meta');
            echo $this->fetch('css');
            echo $this->fetch('script');

            require_once APP . 'View' . DS . 'Pannel' . DS . 'notification.ctp';
        ?>
    </head>

    <body>
        <div id="container">
            <div id="content">
                <div class="container-fluid container-fluid-custom theme-showcase" id="relatif" role="main">
                    <div id="unprintable_div">
                        <div class="navbar navbar-inverse navbar-fixed-top" role="navigation">
                            <div class="container-fluid">
                                <div class="navbar-header">
                                    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                        <span class="sr-only">Navigation</span>
                                        <span class="icon-bar"><!----></span>
                                        <span class="icon-bar"><!----></span>
                                        <span class="icon-bar"><!----></span>
                                    </button>
                                    
                                    <?php
                                        if ($this->Session->read('Su') === true) {
                                            $logoAction = 'superadmin';
                                        } else {
                                            $logoAction = 'index';
                                        }

                                        echo $this->Html->image('web_DPO_white.png', [
                                            'alt' => 'web-DPO',
                                            'url' => [
                                                'controller' => 'pannel',
                                                'action' => $logoAction
                                            ],
                                            'class' => 'navbar-brand'
                                        ]);
                                    ?>
                                </div>
                                
                                <?php if ($this->Session->check('Auth.User.id')):?>
                                    <div class="navbar-collapse collapse">
                                        <?php
                                            $items = [
                                                __d('default', 'default.titreTraitement') => [
                                                    'disabled' => !(!$this->Session->read('Su') && $this->Autorisation->authorized(['1', '2', '3', '5'], $this->Session->read('Droit.liste'))),
                                                    __d('default', 'default.sousTitreMesTraitement') => [
                                                        'class' => 'fa-tachometer',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'index'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreMesTraitementEnCoursRedaction') => [
                                                        'disabled' => !($this->Autorisation->authorized(['1'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-pencil-square-o',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'encours_redaction'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreMesTraitementEnAttente') => [
                                                        'disabled' => !($this->Autorisation->authorized(['1'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-clock-o',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'attente'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreMesTraitementRefuser') => [
                                                        'disabled' => !($this->Autorisation->authorized(['1'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-times',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'refuser'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreMesTraitementRecuValidation') => [
                                                        'disabled' => !($this->Autorisation->authorized(['2'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-check-square-o',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'recuValidation'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreMesTraitementRecuConsultation') => [
                                                        'disabled' => !($this->Autorisation->authorized(['3'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-eye',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'recuConsultation'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreTraitementVu') => [
                                                        'disabled' => !($this->Autorisation->authorized(['2', '3'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-inbox',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'consulte'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreTraitementValideesInsereRegistre') => [
                                                        'disabled' => !($this->Autorisation->authorized(['1'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-check',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'archives'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreInitialisationTraitement') => [
                                                        'disabled' => !($this->Autorisation->authorized(['5'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-pencil-square-o',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'initialisation'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreAllTraitements') => [
                                                        'disabled' => !($this->Autorisation->authorized(['33'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-eye',
                                                        'url' => [
                                                            'controller' => 'pannel',
                                                            'action' => 'all_traitements'
                                                        ]
                                                    ],
                                                    'divider',
                                                    __d('pannel', 'pannel.btnCreerTraitement') => [
                                                        'disabled' => !($this->Autorisation->authorized(['1'], $this->Session->read('Droit.liste'))),
                                                        'class' => 'fa-plus',
                                                        'url' => [
                                                            '#' => '#'
                                                        ],
                                                        'data-toggle' => 'modal',
                                                        'data-target' => '#modalAddTraitement'
                                                    ]
                                                ],
                                                __d('default', 'default.titreRegistre') => [
                                                    'disabled' => !(!$this->Session->read('Su') && $this->Autorisation->authorized(['4'], $this->Session->read('Droit.liste'))),
                                                    __d('default', 'default.sousTitreRegistreActivite') => [
                                                        'disabled' => !(!$this->Session->read('Su') && $this->Autorisation->authorized(['4'], $this->Session->read('Droit.liste'))),
                                                        'url' => [
                                                            'controller' => 'registres',
                                                            'action' => 'registreActivite'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreRegistreSoustraitance') => [
                                                        'disabled' => !(!$this->Session->read('Su') && $this->Autorisation->authorized(['4'], $this->Session->read('Droit.liste'))),
                                                        'url' => [
                                                            'controller' => 'registres',
                                                            'action' => 'registreSoustraitance'
                                                        ]
                                                    ],
                                                ],
                                                __d('default', 'default.titreAdministration') => [
                                                    'disabled' => !(!$this->Session->read('Su') && $this->Autorisation->authorized(['8', '9', '10', '12', '13', '14', '15', '16', '17', '18', '19', '21', '22', '23', '24', '25', '26', '27', '28', '29', '31', '32'], $this->Session->read('Droit.liste'))),
                                                    __d('default', 'default.titreGenerale') => [    
                                                        'disabled' => !($this->Autorisation->authorized(['12'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreGeneraleEntite') => [
                                                            'class' => 'fa-building-o',
                                                            'url' => [
                                                                'controller' => 'organisations',
                                                                'action' => 'edit',
                                                                $this->Session->read('Organisation.id')
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitrePassword') => [
                                                            'class' => 'fa-lock',
                                                            'url' => [
                                                                'controller' => 'organisations',
                                                                'action' => 'politiquepassword'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreFormulaire') => [
                                                        'disabled' => !(!$this->Session->read('Su') && $this->Autorisation->authorized(['27'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreMesFormulaire') => [
                                                            'class' => 'fa-file-text-o',
                                                            'url' => [
                                                                'controller' => 'formulaires',
                                                                'action' => 'index'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreModeles') => [    
                                                        'disabled' => !(!$this->Session->read('Su') && $this->Autorisation->authorized(['26'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreModeleFormulaire') => [
                                                            'class' => 'icon-icone_modele_black',
                                                            'url' => [
                                                                'controller' => 'modeles',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreModeleExtraitRegistre') => [
                                                            'class' => 'icon-icone_modele_black',
                                                            'url' => [
                                                                'controller' => 'modeleExtraitRegistres',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreModelePresentation') => [
                                                            'disabled' => ($this->Session->read('Organisation.usemodelepresentation') === false),
                                                            'class' => 'icon-icone_modele_black',
                                                            'url' => [
                                                                'controller' => 'modelePresentations',
                                                                'action' => 'index'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreCircuits') => [
                                                        'disabled' => !($this->Autorisation->authorized(['19', '21', '22'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreLesCircuits') => [
                                                            'class' => 'fa-road',
                                                            'url' => [
                                                                'controller' => 'workflows',
                                                                'action' => 'index'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreAdministrationUser') => [    
                                                        'disabled' => !($this->Autorisation->authorized(['8', '9', '10', '13', '14', '15', '16', '17', '18'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreProfils') => [
                                                            'disabled' => !($this->Autorisation->authorized(['13', '14', '15'], $this->Session->read('Droit.liste'))),
                                                            'class' => 'fa-users',
                                                            'url' => [
                                                                'controller' => 'roles',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreServices') => [
                                                            'disabled' => !($this->Autorisation->authorized(['16', '17', '18'], $this->Session->read('Droit.liste'))),
                                                            'class' => 'fa-sitemap',
                                                            'url' => [
                                                                'controller' => 'services',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreUser') => [
                                                            'disabled' => !($this->Autorisation->authorized(['8', '9', '10'], $this->Session->read('Droit.liste'))),
                                                            'class' => 'fa-user',
                                                            'url' => [
                                                                'controller' => 'users',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        'divider',
                                                        __d('default', 'default.sousTitreAjouterUser') => [
                                                            'disabled' => !($this->Autorisation->authorized(['8'], $this->Session->read('Droit.liste'))),
                                                            'class' => 'fa-plus-circle',
                                                            'url' => [
                                                                'controller' => 'users',
                                                                'action' => 'add'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreFAQ') => [
                                                        'disabled' => !($this->Autorisation->authorized(['28', '29', '31'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreToutesLaFAQ') => [
                                                            'class' => 'fa-question-circle',
                                                            'url' => [
                                                                'controller' => 'articles',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreMaFAQ') => [
                                                            'class' => 'fa-link',
                                                            'url' => [
                                                                'controller' => 'articles',
                                                                'action' => 'entite'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreTypages') => [
                                                        'disabled' => !($this->Autorisation->authorized(['32'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreTypagesAnnexes') => [
                                                            'class' => 'fa-list-alt',
                                                            'url' => [
                                                                'controller' => 'typages',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreMesTypesAnnexes') => [
                                                            'class' => 'fa-link',
                                                            'url' => [
                                                                'controller' => 'typages',
                                                                'action' => 'entite'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreNormes') => [
                                                        'disabled' => !($this->Autorisation->authorized(['19', '21', '22'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreLesNormes') => [
                                                            'class' => 'fa-certificate',
                                                            'url' => [
                                                                'controller' => 'normes',
                                                                'action' => 'index'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreSousTraitant') => [    
                                                        'disabled' => !($this->Autorisation->authorized(['23'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreLesSousTraitants') => [
                                                            'class' => 'fa-list-alt',
                                                            'url' => [
                                                                'controller' => 'soustraitants',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreMesSousTraitants') => [
                                                            'class' => 'fa-link',
                                                            'url' => [
                                                                'controller' => 'soustraitants',
                                                                'action' => 'entite'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreResponsable') => [    
                                                        'disabled' => !($this->Autorisation->authorized(['24'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreListeResponsable') => [
                                                            'class' => 'fa-list-alt',
                                                            'url' => [
                                                                'controller' => 'responsables',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreMesResponsables') => [
                                                            'class' => 'fa-link',
                                                            'url' => [
                                                                'controller' => 'responsables',
                                                                'action' => 'entite'
                                                            ]
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreMaintenance') => [    
                                                        'disabled' => !($this->Autorisation->authorized(['25'], $this->Session->read('Droit.liste'))),
                                                        __d('default', 'default.sousTitreConnecteurs') => [
                                                            'class' => 'fa-plug',
                                                            'url' => [
                                                                'controller' => 'connecteurs',
                                                                'action' => 'index'
                                                            ]
                                                        ],
                                                        __d('default', 'default.sousTitreTachesAutomatiques') => [
                                                            'class' => 'fa-clock-o',
                                                            'url' => [
                                                                'controller' => 'crons',
                                                                'action' => 'index'
                                                            ]
                                                        ]
                                                    ],
                                                ],
                                                __d('default', 'default.titreNormes') => [
                                                    'disabled' => !($this->Autorisation->authorized(['20'], $this->Session->read('Droit.liste'))) || ($this->Session->read('Su')),
                                                    __d('default', 'default.sousTitreLesNormes') => [
                                                        'class' => 'fa-certificate',
                                                        'url' => [
                                                            'controller' => 'normes',
                                                            'action' => 'index'
                                                        ]
                                                    ]
                                                ],
                                                __d('default', 'default.titreAdministrationApplication') => [
                                                     'disabled' => !($this->Session->read('Su')),
                                                    __d('default', 'default.sousTitreEntites') => [
                                                        'class' => 'fa-building-o',
                                                        'url' => [
                                                            'controller' => 'organisations',
                                                            'action' => 'index'
                                                        ]
                                                    ],
                                                    __d('default', 'default.titreAdministrationEntite') => [
                                                        'class' => 'fa-wrench',
                                                        'url' => [
                                                            '#' => '#'
                                                        ],
                                                        'data-toggle' => 'modal',
                                                        'data-target' => '#modalAdministrerEntite'
                                                    ],
                                                    __d('default', 'default.sousTitreSuperAdministrateur') => [
                                                        'class' => 'fa-user',
                                                        'url' => [
                                                            'controller' => 'admins',
                                                            'action' => 'index'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreGestionTousUtilisateurs') => [
                                                        'class' => 'fa-users',
                                                        'url' => [
                                                            'controller' => 'users',
                                                            'action' => 'admin_index'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreGestionTousSousTraitants') => [
                                                        'class' => 'fa-list-alt',
                                                        'url' => [
                                                            'controller' => 'soustraitants',
                                                            'action' => 'index'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreGestionTousResponsable') => [
                                                        'class' => 'fa-list-alt',
                                                        'url' => [
                                                            'controller' => 'responsables',
                                                            'action' => 'index'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreGestionTypagesAnnexes') => [
                                                        'class' => 'fa-list-alt',
                                                        'url' => [
                                                            'controller' => 'typages',
                                                            'action' => 'index'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreGestionPolitiqueConfidentialite') => [
                                                        'class' => 'fa-user-secret',
                                                        'url' => [
                                                            'controller' => 'organisations',
                                                            'action' => 'gestionrgpd'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitreChecksIndex') => [
                                                        'class' => 'fa-cogs',
                                                        'url' => [
                                                            'controller' => 'checks',
                                                            'action' => 'index'
                                                        ]
                                                    ],
                                                    __d('default', 'default.sousTitrePageConnexion') => [
                                                        'class' => 'fa-sliders',
                                                        'url' => [
                                                            'controller' => 'admins',
                                                            'action' => 'changeviewlogin'
                                                        ]
                                                    ]
                                                ]
                                            ];

                                            $menu = $this->WebdpoMenu->main($items);
                                            echo $menu;

                                            $items = [];
                                            $modalSelectOrganisations = false;
                                            if ($this->Session->read('Su') === false) {
                                                $userEntiteEnCours = sprintf("%s - %s", $userCo['User']['nom_complet'], $this->Session->read('Organisation.raisonsociale'));

                                                if ($this->Autorisation->authorized('30', $this->Session->read('Droit.liste'))) {
                                                    $items += [
                                                        '' => [
                                                            'class' => 'fa-question-circle fa-lg',
                                                            'title' => __d('default', 'default.titleFAQ'),
                                                            'url' => [
                                                                'controller' => 'articles',
                                                                'action' => 'faq',
                                                                $this->Session->read('Organisation.id')
                                                            ]
                                                        ]
                                                    ];
                                                }

                                                $items += [
                                                    $userEntiteEnCours => [
                                                        __d('default', 'default.sousTitreEntite')
                                                    ]
                                                ];

                                                $listeMesOrganisation = [];

                                                if (count($organisations) <= 5) {
                                                    foreach ($organisations as $datas) {
                                                        $mesEntites[$datas['Organisation']['raisonsociale']] = [
                                                            'url' => [
                                                                'controller' => 'organisations',
                                                                'action' => 'change',
                                                                $datas['Organisation']['id']
                                                            ]
                                                        ];
                                                    }
                                                } else {
                                                    $modalSelectOrganisations = true;

                                                    $mesEntites[__d('pannel', 'pannel.champOrganisationcible')] = [
                                                        'url' => [
                                                            '#' => '#'
                                                        ],
                                                        'data-toggle' => 'modal',
                                                        'data-target' => '#modalChangeEntite'
                                                    ];

                                                    foreach ($organisations as $datas) {
                                                        $listeMesOrganisation[$datas['Organisation']['id']] = $datas['Organisation']['raisonsociale'];
                                                    }
                                                }

                                                if (!empty($mesEntites)) {
                                                    $items[$userEntiteEnCours] += $mesEntites;
                                                    $items[$userEntiteEnCours] += [
                                                        'divider',
                                                        'divider'
                                                    ];
                                                }
                                            } else {
                                                if ($this->here === '/organisations/administrer') {
                                                    $userEntiteEnCours = sprintf("%s - %s", $this->Session->read('Auth.User.nom_complet'), $this->Session->read('Organisation.raisonsociale'));
                                                } else {
                                                    $userEntiteEnCours = $this->Session->read('Auth.User.nom_complet');
                                                }

                                                $items = [
                                                    $userEntiteEnCours => []
                                                ];
                                            }

                                            $items[$userEntiteEnCours][] = __d('default', 'default.sousTitreCompte');

                                            if ($this->Session->read('Auth.User.ldap') === false) {
                                                $items[$userEntiteEnCours] += [
                                                    __d('default', 'default.sousTitreChangePassword') => [
                                                        'class' => 'fa-lock',
                                                        'url' => [
                                                            'controller' => 'users',
                                                            'action' => 'changepassword'
                                                        ]
                                                    ]
                                                ];
                                            }

                                            if ($this->Session->read('Su') === false) {
                                                $items[$userEntiteEnCours] += [
                                                    __d('default', 'default.sousTitrePolitiqueDeConfidentialite') => [
                                                        'class' => 'fa-user-secret',
                                                        'url' => [
                                                            'controller' => 'organisations',
                                                            'action' => 'politiquedeconfidentialite',
                                                            $datas['Organisation']['id']
                                                        ]
                                                    ]
                                                ];
                                            }

                                            $items[$userEntiteEnCours] += [
                                                __d('default', 'default.sousTitreModifCompte') => [
                                                    'class' => 'fa-cogs',
                                                    'url' => [
                                                        'controller' => 'users',
                                                        'action' => 'preferences'
                                                    ]
                                                ]
                                            ];

                                            if ($this->Session->read('Su') === false) {
                                                $items[$userEntiteEnCours] += [
                                                    'divider',
                                                    'divider',
                                                    'divider',
                                                    'divider',
                                                ];
                                            } else {
                                                $items[$userEntiteEnCours] += [
                                                    'divider',
                                                    'divider'
                                                ];
                                            }

                                            $items[$userEntiteEnCours] += [
                                                __d('default', 'default.sousTitreDeconnexion') => [
                                                    'class' => 'fa-sign-out',
                                                    'url' => [
                                                        'controller' => 'users',
                                                        'action' => 'logout'
                                                    ]
                                                ]
                                            ];

                                            $menu = $this->WebdpoMenu->main($items, 'a', 0, 'pull-right');
                                            echo $menu;

                                        if (isset($userCo['User']['nom_complet'])) {
                                            $nbNotification = count($vuNotifications);

                                            if ($nbNotification >= 1) {
                                                ?>
                                                <ul class="nav navbar-nav pull-right">
                                                    <li>
                                                        <!--Bouton de notification -->
                                                        <a type="button" data-toggle="modal" data-target="#modalNotification">
                                                            <span class="fa fa-bell">
                                                                <span class="label label-info label-as-badge">
                                                                    <?php
                                                                        echo $nbNotification;
                                                                    ?>
                                                                </span>
                                                            </span>
                                                        </a>
                                                    </li>
                                                </ul>
                                                <?php
                                            }
                                        }
                                        ?>
                                    </div>
                                <?php endif; ?>
                            </div>
                        </div>
                    </div>

                    <?php
                        echo $this->Flash->render();

                        if ($this->params['action'] != 'login') {
                            ?>
                            <div class="row head">
                                <?php
                                if (isset($title)) {
                                    ?>
                                    <div class="col-md-6">
                                        <h2>
                                            <?php
                                                echo $title;
                                            ?>
                                        </h2>
                                    </div>
                                    <?php
                                }
                                ?>
                                
                                <div class="col-md-6 text-right">
                                    <?php
                                        if ($this->Session->read('Su') === false || $this->here === '/organisations/administrer') {
                                            if (!empty($this->Session->read('Organisation.logo'))) {
                                                if (file_exists(CHEMIN_LOGOS . $this->Session->read('Organisation.logo'))) {
                                                    echo $this->Html->image(CHEMIN_LIEN_SYMBOLIQUE_LOGO_ORGANISATION . $this->Session->read('Organisation.logo'), [
                                                        'class' => 'logo-well'
                                                    ]);
                                                }
                                            }
                                        }
                                    ?>
                                </div>
                            </div>
                            <?php
                        }
                        echo $this->fetch('content');
                    ?>
                </div>

                <?php
                if ($this->Session->read('Su') === false) {
                    echo $this->element('Default/modalAddTraitement');
                }

                if ($this->Session->read('Su') === true) {
                    // Pop-up pour administrer une entité
                    echo $this->element('Default/modalAdministrerEntite');
                }

                if ($modalSelectOrganisations === true) {
                    // Pop-up pour administrer une entité
                    echo $this->element('Default/modalChangeEntite', [
                        'listeMesOrganisation' => $listeMesOrganisation
                    ]);
                }
                ?>
                
                <div id="footer" class="container-fluid-custom">
                    <div class="text-center versioning">
                        <?php
                            echo $cakeDescription . ' ' . VERSION;
                            
                            if (Configure::read('debug') > 0) {
                                $revision = current_git_revision_number();
                                if (null !== $revision){
                                    echo " / révision " . $revision;
                                }
                            }
                        ?> <a href="https://www.libriciel.fr/" target="_blank"> <?php echo "/ &copy; Libriciel SCOP 2006-" . date('Y'); ?> </a>
                    </div>
                </div>
            </div>
        </div>
        <?php 
            echo $this->element('sql');
        ?>
    </body>
</html>

<?php
if (isset( $idFicheNotification)):
    ?>
    <script type="text/javascript">

        $(document).ready(function () {
            openTarget("<?php echo $idFicheNotification ?>");

        });

    </script>
    <?php 
endif;

