<?php
if (!empty($modeles)) {
    ?>
    <!-- Tableau modèles pour l'extrait de registre -->
    <table class="table">
        <!-- Titre tableau -->
        <thead>
            <tr>
                <th class="thleft col-md-2">
                    <?php 
                        echo __d('modele', 'modele.titreTableauFormulaire');
                    ?>
                </th>
                
                <th class="thleft col-md-8">
                    <?php 
                        echo __d('modele', 'modele.titreTableauFichierModele'); 
                    ?>
                </th>
                
                <th class="thleft col-md-2">
                    <?php 
                        echo __d('modele', 'modele.titreTableauActions');
                    ?>
                </th>
            </tr>
        </thead>

        <!-- Info tableau -->
        <tbody>
            <?php
                foreach ($modeles as $key => $value) {
                    ?>
                    <tr>
                        <!-- Nom du formulaire -->
                        <td class="tdleft">
                            <?php
                                echo $value['Formulaire']['libelle'];
                            ?>
                        </td>
                        
                        <?php
                            if ($value['Modele']['fichier'] != null) {
                                ?>
                                <!-- Nom du fichier -->
                                <td class="tdleft">
                                    <i class="fa fa-file-text-o fa-lg fa-fw"><!----></i>
                                    <?php
                                        echo $value['Modele']['name_modele'];
                                    ?>
                                </td>
                                <?php
                            }   else {
                                ?>
                                <!-- Aucun modèle pour ce formulaire -->
                                <td class="tdleft">
                                    <?php
                                        echo __d('modele', 'modele.textTableauAucunModele');
                                    ?>
                                </td>
                                <?php
                            }
                        ?>
                            
                        <!-- Actions -->
                        <td class="tdleft">
                            <div class="btn-group">
                                <?php
                                if ($value['Modele']['fichier'] != null) {
                                    echo $this->Html->link('<i class="fa fa-download fa-lg"><!----></i>', [
                                        'controller' => 'modeles',
                                        'action' => 'download',
                                        $value['Modele']['fichier'],
                                        $value['Modele']['name_modele']
                                            ], [
                                        'escape' => false,
                                        'class' => 'btn btn-default-default btn-sm my-tooltip',
                                        'title' => __d('modele', 'modele.commentaireTelechargerModel')
                                    ]);

                                    echo $this->Html->link('<span class="fa fa-trash fa-lg"><!----></span>', [
                                        'controller' => 'modeles',
                                        'action' => 'delete',
                                        $value['Modele']['fichier']
                                            ], [
                                        'class' => 'btn btn-default-danger btn-sm my-tooltip',
                                        'title' => __d('modele', 'modele.commentaireSupprimerModel'),
                                        'escape' => false
                                    ], __d('modele', 'modele.confirmationSupprimerModel'));
                                } else {    
                                    echo $this->Form->button('<i class="fa fa-upload fa-lg"><!----></i>', [
                                        'escape' => false,
                                        'class' => 'btn btn-default-default btn-sm my-tooltip btn-upload-modele',
                                        'title' => __d('modele', 'modele.commentaireImporterModel'),
                                        'data-toggle' => 'modal',
                                        'data-target' => '#modalUploadModele',
                                        'data' => $value['Formulaire']['id']
                                    ]);
                                }
                                
                                echo $this->Html->link('<i class="fa fa-info-circle fa-lg"><!----></i>', [
                                    'controller' => 'modeles',
                                    'action' => 'infoVariable',
                                    $value['Formulaire']['id']
                                        ], [
                                    'class' => 'btn btn-default-default btn-sm my-tooltip',
                                    'title' => __d('modele', 'modele.commentaireVariableModel'),
                                    'escape' => false
                                ]);
                                ?>
                            </div>
                        </td>
                    </tr>
                    <?php
                }
            ?>
        </tbody>
    </table>
    <?php
} else {
    ?>
    <div class='text-center'>
        <h3>
            <?php
                echo __d('modele', 'modele.textAucunFormulaire');
            ?>
        </h3>
    </div>
    <?php
}
?>

<!--Pop-up pour importé un model dans l'application -->
<div class="modal fade" id="modalUploadModele" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
                <h4 class="modal-title" id="myModalLabel">
                    <?php 
                        echo __d('modele', 'modele.popupEnvoiModele');
                    ?>
                </h4>
            </div>
            <div class="modal-body">
                <div class="row top17">
                    <div class="col-md-12">
                        <?php
                            echo $this->Form->create('Modele', [
                                'url' => 'add',
                                'class' => 'form-horizontal',
                                'type' => 'file'
                            ]);
                            
                            echo $this->Form->input('modele', [
                                'id' => 'modele',
                                'div' => 'input-group inputsForm',
                                'type' => 'file',
                                'class' => 'filestyle',
                                'accept' => 'application/vnd.oasis.opendocument.text',
                                'label' => [
                                    'text' => __d('modele', 'modele.popupChampModele'),
                                    'class' => 'col-md-4 control-label'
                                ]
                            ]);

                            echo $this->Form->hidden('idUploadModele', [
                                'id' => 'idUploadModele'
                            ]);
                        ?>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" class="btn btn-default-default" data-dismiss="modal">
                        <i class="fa fa-times-circle fa-lg"><!----></i>
                        <?php 
                            echo __d('default', 'default.btnAnnuler'); 
                        ?>
                    </button>
                    <?php
                        echo $this->Form->button("<i class='fa fa-floppy-o fa-lg'><!----></i>" . __d('modele', 'modele.btnEnregistrerModele'), [
                            'type' => 'submit',
                            'class' => 'btn btn-default-success',
                            'escape' => false
                        ]);
                    ?>
                </div>
                <?php
                    echo $this->Form->end();
                ?>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">

    $(document).ready(function () {
        
        $("span.icon-span-filestyle").removeClass('icon-span-filestyle');
        
    });

</script>