<?php
    if (isset($this->validationErrors['Norme']) && !empty($this->validationErrors['Norme'])) {
        ?>
        <div class="alert alert-danger" role="alert">
            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"><!----></span>
            <span class="sr-only">Error:</span>
            Ces erreurs se sont produites:
            <ul>
                <?php
                foreach ($this->validationErrors as $donnees) {
                    foreach ($donnees as $champ) {
                        foreach ($champ as $error) {
                            echo '<li>' . $error . '</li>';
                        }
                    }
                }
                ?>
            </ul>
        </div>
        <?php
    }
?>

<div class="users form">
    <?php
        echo $this->WebcilForm->create('Norme',[
            'autocomplete' => 'off',
            'inputDefaults' => ['div' => false],
            'class' => 'form-horizontal',
            'novalidate' => 'novalidate',
            'type' => 'file'
        ]);
    ?>
    
    <fieldset>
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->input('norme', [
                    'id' => 'norme',
                    'options' => $options['Norme']['norme'],
                    'class' => 'form-control usersDeroulant',
                    'data-placeholder' => __d('norme', 'norme.placeholderSelectionnerNorme' ),
                    'empty' => true,
                    'required' => true,
                    'placeholder' => false
                ]);
            ?>
        </div>
        
        <span class="fa fa-arrow-right pull-left" style="margin-left:10px; margin-top: 7px"><!----></span>
        
        <div class="col-md-5">
            <?php
                echo $this->WebcilForm->input('prefixNumero', [
                    'id' => 'prefixNumero',
                    'label' => [
                        'text' => false,
                        'class' => false
                    ],
                    'readonly' => true,
                    'placeholder' => false
                ]);
            ?>
        </div>
    </fieldset>
    
    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->inputs([
                    'numero' => [
                        'id' => 'numero',
                        'type' => 'text',
                        'required' => true,
                        'maxlength' => 3
                    ],
                    'libelle' => [
                        'id' => 'libelle',
                        'required' => true
                    ],
                    'description' => [
                        'id' => 'description', 
                        'type' => 'textarea'
                    ]
                ]);
                
                // Ajouter le PDF de la norme
                echo $this->WebcilForm->input('Norme.fichier', [
                    'id' => 'logo_file',
                    'div' => 'input-group inputsForm',
                    'type' => 'file',
                    'class' => 'filestyle',
                    'data-buttonText' => ' Ajouter le PDF de la norme',
                    'data-buttonName' => "btn-default-primary",
                    'data-buttonBefore' => "true",
                    'accept' => 'application/pdf',
                    'label' => [
                        'text' => false
                    ]
                ]);
            ?>
        </div>
    </div>
</div>

<div style="clear: both">
    <?php
        echo $this->WebcilForm->buttons(['Cancel', 'Save']);
    ?>
</div>

<?php
    echo $this->WebcilForm->end();
?>

<script type="text/javascript">
    
    $(document).ready(function () {
        
        var prefixNorme = "";
        var numeroNorme = "";
        var libelleNorme = "";
        
        // Lors d'action sur le menu déroulant
        $('#norme').change(function () {
            prefixNorme = $(this).val();
            $('#prefixNumero').val(prefixNorme + numeroNorme + libelleNorme);
        });
        
        $('#numero').change(function () {
            
            if ($(this).val() === '') {
                numeroNorme = "";
            } else {
                numeroNorme = '-' + $(this).val();
            }
            
            $('#prefixNumero').val(prefixNorme + numeroNorme + libelleNorme);
        });
        
        $('#libelle').change(function () {
            if ($(this).val() === '') {
                libelleNorme = "";
            } else {
                libelleNorme = ' : ' + $(this).val();
            }
            
            $('#prefixNumero').val(prefixNorme + numeroNorme + libelleNorme);
        });

        $('span.icon-span-filestyle').removeClass('icon-span-filestyle');

    });
</script>