<?php
    echo $this->Html->script('filtre.js');
    echo $this->Html->css('filtre.css');

    $filters = $this->request->data;

    unset($filters['sort'], $filters['direction'], $filters['page']);
    
    // Filtrer les utilisateur
    // Bouton du filtre des utilisateurs
    echo $this->Form->button('<span class="fa fa-filter fa-lg"><!----></span>' . __d('norme', 'norme.btnFiltrerNorme'), [
        'type' => 'button',
        'class' => 'btn btn-default-default pull-right',
        'id' => 'filtrage'
    ]);
?>

<!-- Filtre -->
<div id="divFiltrage" <?php if(true === empty($filters)) {echo 'style="display: none;"';}?>>
    <?php
        echo $this->Form->create('normes', ['url' => [
            'controller' => $this->request->params['controller'],
            'action' => $this->request->params['action']
        ], 'class' => 'search-form']);
    ?>
    <div class="row">
        <?php
            // Filtrer par norme
            echo $this->Form->input('norme', [
                'empty' => true,
                'data-placeholder' => __d('norme', 'norme.placeholderFiltreNorme'),
                'class' => 'usersDeroulant transformSelect form-control',
                'label' => __d('norme', 'norme.filtreNorme'),
                'options' => $options,
                'before' => '<div class="col-md-6">',
                'after' => '</div>'
            ]);
            
            // Filtrer par organisation
            echo $this->Form->input('numero', [
                'empty' => true,
                'data-placeholder' => __d('norme', 'norme.placeholderFiltreNumero'),
                'class' => 'usersDeroulant transformSelect form-control',
                'label' => __d('norme', 'norme.filtreNumero'),
                'options' => $numeros,
                'before' => '<div class="col-md-6">',
                'after' => '</div>'
            ]);
        ?>
    </div>

    </br>
    
    <div class="row">
        <?php
            // Filtrer par Abroger
            echo $this->Form->input('abroger', [
                'empty' => true,
                'data-placeholder' => __d('norme', 'norme.placeholderFiltreAbroger'),
                'class' => 'usersDeroulant transformSelect form-control',
                'label' => __d('norme', 'norme.filtreAbroger'),
                'options' => $abroger,
                'before' => '<div class="col-md-6">',
                'after' => '</div>'
            ]);
            
            // Filtrer par nom de norme
            echo $this->Form->input('nomnorme', [
                'empty' => true,
                'data-placeholder' => __d('norme', 'norme.placeholderFiltreNomNorme'),
                'class' => 'usersDeroulant transformSelect form-control',
                'label' => __d('norme', 'norme.filtreNomNorme'),
                'options' => $options_normes,
                'before' => '<div class="col-md-6">',
                'after' => '</div>'
            ]);
        ?>
    </div>

    <!-- Groupe de bouton -->
    <div class="row top30">
        <div class="col-md-4 col-md-offset-5 btn-group">
            <?php
            // Bouton Réinitialiser le filtre
            echo $this->Html->link('<i class="fa fa-undo fa-lg"><!----></i> ' . __d('user','user.btnReinitialiserFiltre'), [
                'controller' => $this->request->params['controller'],
                'action' => $this->request->params['action']
                    ], [
                'class' => 'btn btn-default-danger',  //search-reset
                'escape' => false,
            ]);

            // Bouton Appliquer les filtres
            echo $this->Form->button('<i class="fa fa-filter fa-lg"><!----></i>' . __d('user','user.btnFiltrer'), [
                'type' => 'submit',
                'class' => 'btn btn-default-success'
            ]);
            ?>
        </div>
    </div>

    <?php echo $this->Form->end();?>
</div>

<div class="text-left">
    <?php
    //Si les droits de l'utilisateur le permet, affichage du bouton "+ Ajouter un profil"
    if ($this->Autorisation->authorized(19, $droits)) {
        echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"><!----></span>' . __d('norme', 'norme.btnAjouterNorme'), [
            'controller' => 'normes',
            'action' => 'add'
        ], [
            'class' => 'btn btn-default-primary sender',
            'escapeTitle' => false
        ]);
    }
    ?>
</div>

<?php
    if (!empty($normes)) {
        $this->Paginator->options([
            'url' => Hash::flatten( (array)$this->request->data, '.' ) 
        ]);
        $pagination = $this->element('pagination');

        echo $pagination;
        ?>

        <table class="table ">
            <!-- Titre tableau -->
            <thead>
                <tr>
                    <!-- Abroger -->
                    <th class="col-md-1">
                        <?php 
                            echo __d('norme', 'norme.titreTableauAbroger');
                        ?>
                    </th>

                    <!-- Norme -->
                    <th class="col-md-1">
                        <?php
                            echo __d('norme', 'norme.titreTableauNorme');
                        ?>
                    </th>
                    
                    <!-- Libelle -->
                    <th class="col-md-3">
                        <?php
                            echo __d('norme', 'norme.titreTableauLibelle');
                        ?>
                    </th>
                    
                    <!-- Description -->
                    <th class="col-md-6">
                        <?php
                            echo __d('norme', 'norme.titreTableauDescription');
                        ?>
                    </th>

                    <!-- Actions -->
                    <th class='col-md-1'>
                        <?php 
                            echo __d('norme', 'norme.titreTableauAction');
                        ?>
                    </th>
                </tr>
            </thead>

            <tbody>
                <?php
                    foreach ($normes as $donnees) {
                        ?>
                        <tr>
                            <!-- Status du formulaire -->
                            <?php
                            if ($donnees['Norme']['abroger'] === true) {
                                ?>
                                <td class="tdleft">
                                    <div class="etatIcone">
                                        <i class= 'fa fa-toggle-off fa-3x fa-danger'><!----></i>
                                        <span class='fa-danger'>
                                            <?php 
                                                echo __d('norme', 'norme.textStatutInactif');
                                            ?>
                                        </span>
                                    </div>
                                </td>
                                <?php
                            } else {
                                ?>
                                <td class="tdleft"></td>
                                <?php
                            }
                            ?>

                            <!-- Norme -->
                            <td class="tdleft">
                                <?php 
                                    $title = Hash::get($options, "Norme.norme.{$donnees['Norme']['norme']}");
                                    $abbr = $this->Html->tag('abbr', $donnees['Norme']['norme'], ['title' => $title]);

                                    echo $abbr . "-" . sprintf('%03d', $donnees['Norme']['numero']);
                                ?>
                            </td>

                            <!-- Libelle -->
                            <td class="tdleft">
                                <?php 
                                    echo $donnees['Norme']['libelle']; 
                                ?>
                            </td>

                            <!-- Description -->
                            <td class="tdleft">
                                <?php 
                                    echo $donnees['Norme']['description']; 
                                ?>
                            </td>

                            <!-- Bouton -->
                            <td class="tdleft">
                                <div class="btn-group">
                                    <?php
                                        if (!empty($donnees['Norme']['fichier'])) {
                                            echo $this->Html->link('<span class="fa fa-download fa-lg"><!----></span>', [
                                                'controller' => 'normes',
                                                'action' => 'download',
                                                $donnees['Norme']['fichier'],
                                                $donnees['Norme']['name_fichier']
                                                    ], [
                                                'class' => 'btn btn-default-default boutonShow btn-sm my-tooltip',
                                                'title' => 'Télécharger la norme',
                                                'escapeTitle' => false
                                            ]);
                                        }

                                        if ($this->Autorisation->authorized([21, 22], $droits)) {
                                            if ($donnees['Norme']['abroger'] == false) {
                                                if ($this->Autorisation->authorized(21, $droits)) {
                                                    //Bouton de modification
                                                    echo $this->Html->link('<i class="fa fa-pencil fa-lg"><!----></i>', [
                                                        'controller' => 'normes',
                                                        'action' => 'edit',
                                                        $donnees['Norme']['id']
                                                    ], [
                                                        'class' => 'btn btn-default-default btn-sm my-tooltip',
                                                        'title' => __d('norme', 'norme.commentaitreModifierNorme'),
                                                        'escapeTitle' => false
                                                    ]);
                                                }

                                                if ($this->Autorisation->authorized(22, $droits)) {
                                                    // Bouton abroger la norme
                                                    echo $this->Html->link('<i class="fa fa-toggle-on fa-lg"><!----></i>', [
                                                        'controller' => 'normes',
                                                        'action' => 'abroger',
                                                        $donnees['Norme']['id']
                                                    ], [
                                                        'class' => 'btn btn-default-default btn-sm my-tooltip',
                                                        'escape' => false,
                                                        'title' => __d('norme', 'norme.commentaireAbrogerNorme')
                                                    ], __d('norme', 'norme.confirmationAbrogerNorme') . ' " ' . $donnees['Norme']['norme'] . "-" . sprintf('%03d', $donnees['Norme']['numero']) . ' " ?');
                                                }
                                            } else {
                                                if ($this->Autorisation->authorized(22, $droits)) {
                                                    // Bouton abroger la norme
                                                    echo $this->Html->link('<i class="fa fa-toggle-off fa-lg"><!----></i>', [
                                                        'controller' => 'normes',
                                                        'action' => 'revoquerAbrogation',
                                                        $donnees['Norme']['id']
                                                    ], [
                                                        'class' => 'btn btn-default-default btn-sm my-tooltip',
                                                        'escape' => false,
                                                        'title' => __d('norme', 'norme.commentaireRevoquerAbrogerNorme')
                                                    ], __d('norme', 'norme.confirmationRevoquerAbrogerNorme') . ' " ' . $donnees['Norme']['norme'] . "-" . sprintf('%03d', $donnees['Norme']['numero']) . ' " ?');
                                                }
                                            }
                                        }
                                    ?>
                                </div>
                            </td>
                        </tr>
                        <?php
                    }
                ?>
            </tbody>
        </table>
        <?php
        echo $pagination;
    } else {
        ?>
        <div class='text-center'>
            <h3>
                <?php
                    if ([] === Hash::filter($filters)) {
                        echo 'admin_index' === $this->request->params['action']
                                ? __d('user', 'user.textAucunUser')
                                : __d('user', 'user.textAucunUserCollectiviter');
                    } else {
                        echo [] === Hash::filter($filters)
                            ? __d('norme', 'norme.AucuneNorme')
                            : __d('norme', 'norme.filtreAucuneNorme');
                    }
                ?>
            </h3>
        </div>
        <?php
    }

    //Si les droits de l'utilisateur le permet, affichage du bouton "+ Ajouter un profil"
    if ($this->Autorisation->authorized(19, $droits)) {
        ?>
        <div class="text-center">
            <?php
                echo $this->Html->link('<i class="fa fa-plus-circle fa-lg"><!----></i>' . __d('norme', 'norme.btnAjouterNorme'), [
                    'controller' => 'normes',
                    'action' => 'add'
                        ], [
                    'class' => 'btn btn-default-primary sender',
                    'escapeTitle' => false
                ]);
            ?>
        </div>
        <?php
    }