<?php
    echo $this->Html->script('jquery-mask-plugin/dist/jquery.mask.min.js');
    echo $this->Html->script('organisations.js');

    if (isset($this->validationErrors['Organisation']) && !empty($this->validationErrors['Organisation'])) {
        ?>
        <div class="alert alert-danger" role="alert">
            <span class="glyphicon glyphicon-exclamation-sign" aria-hidden="true"><!----></span>
            <span class="sr-only">Error:</span>
            Ces erreurs se sont produites:
            <ul>
                <?php
                foreach ($this->validationErrors as $donnees) {
                    foreach ($donnees as $champ) {
                        foreach ($champ as $error) {
                            echo '<li>' . $error . '</li>';
                        }
                    }
                }
                ?>
            </ul>
        </div>
        <?php
    }
?>

<div class="users form">
    <?php
        echo $this->WebcilForm->create('Organisation',[
            'type' => 'file',
            'autocomplete' => 'off',
            'inputDefaults' => ['div' => false],
            'class' => 'form-horizontal',
            'novalidate' => 'novalidate'
        ]);
    ?>

    <!--Information sur l'entité -->
    <h2>
        <?php
            echo __d('organisation','organisation.textEntite');
        ?>
    </h2>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->inputs([
                    'raisonsociale' => [
                        'id' => 'raisonsociale',
                        'required' => true
                    ],
                    'telephone' => [
                        'id' => 'telephone',
                        'required' => true
                    ],
                    'fax' => [
                        'id' => 'fax'
                    ],
                    'adresse' => [
                        'id' => 'adresse',
                        'type' => 'textarea',
                        'required' => true
                    ],
                    'email' => [
                        'id' => 'email',
                        'required' => true
                    ]
                ]);
            ?>
        </div>

        <!-- Colonne de droite -->
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->inputs([
                    'sigle' => [
                        'id' => 'sigle'
                    ],
                    'siret' => [
                        'id' => 'siret',
                        'required' => true
                    ],
                    'ape' => [
                        'id' => 'ape',
                        'required' => true
                    ]
                ]);
            ?>

            <?php
            if (isset($this->request->data['Organisation']['logo'])) {
                ?>
                <!-- Affichage logo si l'entitée en a déjà un d'enregistré -->
                <div class="col-md-8 col-md-offset-4">
                    <?php
                    if (file_exists(CHEMIN_LOGOS . $this->Session->read('Organisation.logo'))) {
                        ?>
                        <div class="thumbnail">
                            <?php
                            echo $this->Html->image(CHEMIN_LIEN_SYMBOLIQUE_LOGO_ORGANISATION . $this->Session->read('Organisation.logo'), [
                                'alt' => 'Logo',
                                'width' => '300px'
                            ]);
                            ?>
                        </div>
                        <?php
                    }
                    ?>
                </div>
                <?php
            }

            // Champ charger un logo
            echo $this->WebcilForm->input('logo_file', [
                'id' => 'logo_file',
                'div' => 'input-group inputsForm',
                'type' => 'file',
                'class' => 'filestyle',
                'data-buttonText' => __d('organisation', 'organisation.btnLogo'),
                'data-buttonBefore' => 'true',
                'accept' => Configure::read('logoAcceptedTypes'),
                'label' => [
                    'text' => false
                ]
            ]);
            ?>
        </div>
    </div>
    
    <h2>
        <?php
        // Texte : "Responsable de l'entité"
        echo __d('organisation', 'organisation.titreResponsableEntitee');
        ?>
    </h2>

    <div class="row">
        <!-- Colonne de gauche -->
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->inputs([
                    'civiliteresponsable' => [
                        'id' => 'civiliteresponsable',
                        'options' => $options['Organisation']['civiliteresponsable'],
                        'empty' => false,
                        'required' => true,
                        'placeholder' => false
                    ],
                    'nomresponsable' => [
                        'id' => 'nomresponsable',
                        'required' => true
                    ],
                    'prenomresponsable' => [
                        'id' => 'prenomresponsable',
                        'required' => true
                    ]
                ]);
            ?>
        </div>

        <!-- Colonne de droite -->
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->inputs([
                    'fonctionresponsable' => [
                        'id' => 'fonctionresponsable',
                        'required' => true
                    ],
                    'emailresponsable' => [
                        'id' => 'emailresponsable',
                        'required' => true
                    ],
                    'telephoneresponsable' => [
                        'id' => 'telephoneresponsable',
                        'required' => true
                    ]
                ]);
            ?>
        </div>

        <?php
            if ($array_users != null) {
                ?>
                <!-- Information sur le DPO -->
                <div class="col-md-8">
                    <!-- Affichage du logo du DPO -->
                    <?php 
                        if (file_exists(IMAGES . DS . 'logo_dpo.svg')) {
                            echo $this->Html->image('logo_dpo.svg', [
                                'class' => 'logo-well'
                            ]);
                        }
                    ?>
                </div>

                <!-- Colonne de gauche -->
                <div class="col-md-6">
                    <?php
                        echo $this->WebcilForm->inputs([
                            'dpo' => [
                                'id' => 'dpo',
                                'options' => $array_users,
                                'class' => 'form-control usersDeroulant',
                                'label' => [
                                    'text' => __d('organisation', 'organisation.textDPO'),
                                    'class' => 'col-md-4 control-label'
                                ],
                                'empty' => __d('organisation', 'organisation.placeholderChampDpo'),
                                'between' => '<div class="col-md-8">',
                                'after' => '</div>',
                                'placeholder' => false,
                                'required' => true
                            ],
                            'numerodpo' => [
                                'id' => 'numerodpo',
                                'required' => true
                            ]
                        ]);
                    ?>
                </div>

                <!-- Colonne de droite -->
                <div class="col-md-6">
                    <div class="form-group">
                        <?php
                            $idDpo = $this->request->data['Organisation']['dpo'];

                            if ($idDpo == null) {
                                $emailDpo = __d('organisation', 'organisation.placeholderChampEmailDpo');
                            } else {
                                $emailDpo = $informationsUsers[$idDpo]['email'];
                            }

                            echo $this->Form->input('emailDpo', [
                                'id' => 'emailDpo',
                                'class' => 'form-control',
                                'required' => true,
                                'value' => $emailDpo,
                                'label' => [
                                    'text' => __d('organisation', 'organisation.textEmailDPO') . '<span class="requis">*</span>',
                                    'class' => 'col-md-4 control-label'
                                ],
                                'between' => '<div class="col-md-8">',
                                'after' => '</div>',
                                'readonly' => true
                            ]);
                        ?>
                    </div>

                    <?php
                    // Menu déroulant droit
                    echo $this->WebcilForm->input('newRoleOldDPO', [
                        'id' => 'newRoleOldDPO',
                        'options' => $roles,
                        'empty' => false,
                        'required' => true,
                        'placeholder' => false
                    ]);



//                    echo $this->WebcilForm->input('newRoleOldDPO', [
//                        'id' => 'newRoleOldDPO',
//                        'options' => $roles,
//                        'class' => 'form-control usersDeroulant',
//                        'label' => [
////                            'text' => __d('organisation', 'organisation.textDPO') . '<span class="requis">*</span>',
//                            'text' => "Droits pour l'ancien DPO" . '<span class="requis"> *</span>',
//                            'class' => 'col-md-4 control-label'
//                        ],
//                        //'empty' => "Sélectionnez un droit pour l'ancien DPO",
//                        'empty' => false,
//                        'placeholder' => false,
//                        'required' => false
//                    ]);
                    ?>
                </div>
                <?php
            }
        ?>
    </div>
    
    <h2>
        <?php
        // Texte : "Registre"
        echo __d('organisation', 'organisation.titreRegistre');
        ?>
    </h2>

    <div class="row">
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->input('prefixenumero', [
                    'id' => 'prefixenumero',
                    'required' => true
                ]);
                echo $this->WebcilForm->input('numeroregistre', [
                    'id' => 'numeroregistre',
                    'type' => 'hidden',
                    'required' => true
                ]);
            ?>
        </div>
        <div class="col-md-6">
            <?php
                echo $this->WebcilForm->input('usemodelepresentation', [
                    'id' => 'usemodelepresentation',
                    'options' => [
                        true => 'Oui',
                        false => 'Non'
                    ],
                    'class' => 'transformSelect form-control',
                    'required' => true,
                    'empty' => false,
                    'placeholder' => false,
                    'data-placeholder' => ' '
                ]);
            ?>
        </div>
    </div>
</div>

<div style="clear: both">
    <?php
        // Groupe de boutons
        echo $this->WebcilForm->buttons(['Cancel', 'Save']);
    ?>
</div>

<?php
    echo $this->Form->end();
?>

<script>

    $(document).ready(function () {
        var infoUsers = <?php echo json_encode($informationsUsers); ?>;
        var DPO_id = <?php echo json_encode(Hash::get($this->request->data, 'Organisation.dpo')); ?>;

        $('#newRoleOldDPO').parent().parent().hide();

        $('#dpo').on("change", function () {
            if (this.value === "") {
                $("#emailDpo").val("Sélectionner un DPO (requis)");
            } else {
                $("#emailDpo").val(infoUsers[this.value].email);
            }

            if (this.value == "" || this.value == DPO_id) {
                $('#newRoleOldDPO').attr("required", false);
                $('#newRoleOldDPO').parent().parent().hide();
            } else {
                $('#newRoleOldDPO').attr("required", true);
                $('#newRoleOldDPO').parent().parent().show();
            }
        });

        $("span.icon-span-filestyle").removeClass('icon-span-filestyle');
    });

</script>
