<?php
    echo $this->Html->script('filtre.js');
    echo $this->Html->css('filtre.css');
?>

<?php
    // Bouton du filtre de la liste
    echo $this->Form->button('<span class="fa fa-filter fa-lg"><!----></span>' . __d('organisation', 'organisation.btnFiltrerEntite'), [
        'type' => 'button',
        'class' => 'btn btn-default-default pull-right',
        'id' => 'filtrage'
    ]);

    $filters = $this->request->data;
    unset($filters['sort'], $filters['direction'], $filters['page'], $filters['Soustraitant']['nbAffichage']);
    if(empty($filters['Soustraitant'])) {
        unset($filters['Soustraitant']);
    }
?>

<div id="divFiltrage" <?php if(true === empty($filters)) {echo 'style="display: none;"';}?>>
    <?php
    echo $this->Form->create('Filtre', [
        'url' => [
            'controller' => $this->request->params['controller'],
            'action' => $this->request->params['action']
        ], 'class' => 'search-form'
    ]);
    ?>

    <div class="row">
        <?php
        // Filtrer par organisation
        echo $this->Form->input('organisation', [
            'class' => 'usersDeroulant transformSelect form-control',
            'label' => __d('soustraitant', 'soustraitant.champFiltreEntite'),
            'empty' => true,
            'data-placeholder' => __d( 'soustraitant', 'soustraitant.placeholderChoisirEntite' ),
            'options' => $mesOrganisations,
            'before' => '<div class="col-md-6">',
            'after' => '</div>'
        ]);
        ?>
    </div>

    <!-- Groupe de bouton -->
    <div class="row top30">
        <div class="col-md-4 col-md-offset-5 btn-group">
            <?php
            // Bouton Réinitialiser le filtre
            echo $this->Html->link('<i class="fa fa-undo fa-lg"><!----></i> ' . __d('registre', 'registre.btnReinitialiserFiltre'), [
                'controller' => $this->request->params['controller'],
                'action' => $this->request->params['action']
            ],[
                'class' => 'btn btn-default-danger',  //search-reset
                'escape' => false,
            ]);

            // Bouton Appliquer les filtres
            echo $this->Form->button('<i class="fa fa-filter fa-lg"><!----></i> ' . __d('registre', 'registre.btnFiltre'), [
                'type' => 'submit',
                'class' => 'btn btn-default-primary'
            ]);
            ?>
        </div>
    </div>

    <?php
    echo $this->Form->end();
    ?>
</div>

<div class="text-left">
    <?php
    if ($this->Autorisation->isSu()) {
        echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"><!----></span> Ajouter une entité', [
            'controller' => 'organisations',
            'action' => 'add'
        ], [
            'class' => 'btn btn-default-primary sender',
            'escapeTitle' => false
        ]);
    }
    ?>
</div>

<?php
$pagination = null;

$this->Paginator->options(
    array( 'url' => Hash::flatten( (array)$this->request->data, '.' ) )
);
$pagination = $this->element('pagination');

echo $pagination;
?>

<table class="table ">
    <thead>
        <tr>
            <!-- Entité -->
            <th class="thleft col-md-6">
                <?php
                    echo __d('organisation', 'organisation.titreTableauEntite');
                ?>
            </th>

            <!-- Organisation -->
            <th class="thleft col-md-4">
                <?php
                    echo __d('organisation', 'organisation.titreTableauNbUtilisateur');
                ?>
            </th>

            <!-- Actions -->
            <th class="thleft col-md-2">
                <?php
                    echo __d('organisation', 'organisation.titreTableauActions');
                ?>
            </th>
        </tr>
    </thead>

    <tbody>
        <?php
            foreach ($organisations as $donnees) {
                ?>
                <tr>
                    <td class="tdleft">
                        <?php
                            echo $donnees['Organisation']['raisonsociale'];
                        ?>
                    </td>

                    <td class="tdleft">
                        <div class="col-md-6">
                            <?php echo $donnees['Count']; ?>
                        </div>
                    </td>

                    <td class="tdleft">
                        <div class="btn-group">
                            <?php 
                                echo $this->Html->link('<span class="fa fa-eye fa-lg"><!----></span>', [
                                    'controller' => 'organisations',
                                    'action' => 'show',
                                    $donnees['Organisation']['id']
                                        ], [
                                    'class' => 'btn btn-default-default boutonShow btn-sm my-tooltip',
                                    'title' => __d('organisation','organisation.commentaireVIsualiserEntite'),
                                    'escapeTitle' => false
                                ]);
                                
                                if ($donnees[ 'Count' ] == 0) {
                                    if ($this->Autorisation->isSu()) {
                                        echo $this->Html->link('<span class="fa fa-trash fa-lg"><!----></span>', [
                                            'controller' => 'organisations',
                                            'action' => 'delete',
                                            $donnees['Organisation']['id']
                                                ], [
                                            'class' => 'btn btn-default-danger boutonDelete btn-sm my-tooltip',
                                            'title' => 'Supprimer cette organisation',
                                            'escapeTitle' => false
                                        ], 'Voulez vous vraiment supprimer l\'entité ' . $donnees['Organisation']['raisonsociale']);
                                    }
                                }
                            ?>
                        </div>
                    </td>
                </tr>
                <?php
            }
        ?>
    </tbody>
</table>

<?php
echo $pagination;
?>

<div class="text-center">
    <?php
        if ($this->Autorisation->isSu()) {
            echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"><!----></span> Ajouter une entité', [
                'controller' => 'organisations',
                'action' => 'add'
                    ], [
                'class' => 'btn btn-default-primary sender',
                'escapeTitle' => false
            ]);
        }
    ?>
</div>