<?php
    echo $this->Html->script('pannel.js');

    $params = ['limit' => false];

    // balise du scrollTo
    $idFicheNotification = $this->Session->read('idFicheNotification');
    unset($_SESSION['idFicheNotification']);

    // Banette traitements reçus pour validation
    echo $this->Banettes->recuValidation($banettes['recuValidation'], $params);

    // Pop-up envoie consultation
    if (!empty($consultants)) {
        echo $this->element(
            'modal',
            [
                'modalId' => 'modalEnvoieConsultation',
                'content' => [
                    'title' => __d('pannel', 'pannel.popupEnvoyerTraitementConsultation'),
                    'body' => $this->Html->tag(
                        'div',
                        $this->Form->create('EtatFiche', ['url' => [
                            'controller' => 'EtatFiches',
                            'action' => 'askAvis'
                        ]])   
                        .$this->Form->input('destinataire', [
                            'class' => 'form-control usersDeroulant transformSelect form-control bottom5',
                            'label' => [
                                'text' => __d('pannel', 'pannel.textSelectUserConsultant') . '<span class="requis">*</span>',
                                'class' => 'col-md-4 control-label'
                            ],
                            'options' => $consultants,
                            'empty' => __d('pannel', 'pannel.textSelectUserConsultant'),
                            'between' => '<div class="col-md-8">',
                            'after' => '</div>',
                            'required' => true,
                            'autocomplete' => 'off',
                            'id' => 'destinataireCons'
                        ])
                        .'<br>'
                        .$this->Form->hidden('ficheNum', ['id' => 'ficheNumCons'])
                        .$this->Form->hidden('etatFiche', ['id' => 'etatFicheCons']),
                        ['class' => 'form-group']
                    ),
                    'footer' => $this->Html->tag(
                        'div',
                        $this->Form->button(
                            '<i class="fa fa-times-circle fa-lg">&nbsp;</i>'
                            .__d('default', 'default.btnAnnuler'),
                            ['class' => 'btn btn-default-default', 'data-dismiss' => 'modal']
                        )
                        .$this->Form->button("<i class='fa fa-send fa-lg'><!----></i>" . __d('default', 'default.btnEnvoyer'), [
                            'type' => 'submit',
                            'class' => 'btn btn-default-success',
                            'escape' => false
                        ]),
                        ['class' => 'btn-group']
                    )
                    .$this->Form->end()
                ]
            ]
        );
    }

    // Pop-up envoie validation
    if (!empty($validants)) {
        echo $this->element(
            'modal',
            [
                'modalId' => 'modalEnvoieValidation',
                'content' => [
                    'title' => __d('pannel', 'pannel.popupEnvoyerTraitementValidation'),
                    'body' => $this->Html->tag(
                        'div',
                        $this->Form->create('EtatFiche', ['url' => [
                            'controller' => 'EtatFiches',
                            'action' => 'sendValidation'
                        ]])
                        .$this->Form->input('destinataire', [
                            'class' => 'form-control usersDeroulant transformSelect form-control bottom5',
                            'label' => [
                                'text' => __d('pannel', 'pannel.textSelectUserValideur') . '<span class="requis">*</span>',
                                'class' => 'col-md-4 control-label'
                            ],
                            'options' => $validants,
                            'empty' => __d('pannel', 'pannel.textSelectUserValideur'),
                            'between' => '<div class="col-md-8">',
                            'after' => '</div>',
                            'required' => true,
                            'autocomplete' => 'off',
                            'id' => 'destinataireVal'
                        ])
                        .$this->Form->hidden('ficheNum', ['id' => 'ficheNumVal'])
                        .$this->Form->hidden('etatFiche', ['id' => 'etatFicheVal']),
                        ['class' => 'form-group']
                    ),
                    'footer' => $this->Html->tag(
                        'div',
                        $this->Form->button(
                            '<i class="fa fa-times-circle fa-lg">&nbsp;</i>'
                            .__d('default', 'default.btnAnnuler'),
                            ['class' => 'btn btn-default-default', 'data-dismiss' => 'modal']
                        )
                        .$this->Form->button("<i class='fa fa-send fa-lg'><!----></i>" . __d('default', 'default.btnEnvoyer'), [
                            'type' => 'submit',
                            'class' => 'btn btn-default-success',
                            'escape' => false
                        ]),
                        ['class' => 'btn-group']
                    )
                    .$this->Form->end()
                ]
            ]
        );
    }

    // Pop-up inséré traitement registre
    if ($this->Autorisation->isDpo()) {
        echo $this->element(
            'modal',
            [
                'modalId' => 'modalValidDpo',
                'content' => [
                    'title' => 'Insertion au registre',            
                    'body' => $this->Html->tag(
                        'div',
                        $this->Html->tag(
                            'div',
                            $this->Html->tag(
                                'div',
                                '<i class="fa fa-fw fa-exclamation-triangle"><!----></i>',
                                ['class' => 'col-md-12 text-center']
                            )
                            .$this->Html->tag(
                                'div',
                                __d('pannel','pannel.confirmationInsererRegistre'),
                                ['class' => 'col-md-12']
                            ),
                            ['class' => 'col-md-12 text-warning']
                        ),
                        ['class' => 'row']
                    )
                    .$this->Html->tag(
                        'div',
                        $this->Html->tag(
                            'div',
                            $this->WebcilForm->create('Registre', ['url' => [
                                'controller' => 'registres',
                                'action' => 'add'
                            ]])
                            .$this->WebcilForm->input('Registre.numero', [
                                'id' => 'numero',
                                'label' => [
                                    'text' => 'Numéro d\'enregistrement',
                                    'class' => 'col-md-4 control-label'
                                ],
                                'placeholder' => false
                            ])
                            .$this->WebcilForm->input('Registre.norme', [
                                'id' => 'norme',
                                'label' => [
                                    'text' => 'Type de déclaration',
                                    'class' => 'col-md-4 control-label'
                                ],
                                'options' => $options_normes,
                                'data-placeholder' => __d('norme', 'norme.placeholderFiltreNorme'),
                                'class' => 'usersDeroulant transformSelect form-control',
                                'empty' => true
                            ])
                            .$this->WebcilForm->hidden('idfiche', ['id' => 'idFiche']),
                            ['class' => 'col-md-12 form-horizontal']
                        ),
                        ['class' => 'row top17']
                    ),
                    'footer' => $this->Html->tag(
                        'div',
                        $this->WebcilForm->button(
                            '<i class="fa fa-times-circle fa-lg">&nbsp;</i>'
                            .__d('default', 'default.btnAnnuler'),
                            ['class' => 'btn btn-default-default', 'data-dismiss' => 'modal']
                        )
                        .$this->WebcilForm->button("<i class='fa fa-floppy-o fa-lg'><!----></i>" . __d('default', 'default.btnEnregistrer'), [
                            'type' => 'submit',
                            'class' => 'btn btn-default-success',
                            'escape' => false
                        ]),
                        ['class' => 'btn-group']
                    )
                    .$this->WebcilForm->end()
                ]
            ]
        );
    }
?>

<script type="text/javascript">

    $(document).ready(function () {

        openTarget("<?php echo $idFicheNotification ?>");

    });
    
</script>