<?php
    if (!empty($serv)) {
        ?>
        <table class="table ">
            <thead>
                <tr>
                    <!-- Nom du service -->
                    <th class="thleft col-md-2">
                        <?php echo __d('service', 'service.titreTableauNomService'); ?>
                    </th>

                    <!-- Entité -->
                    <th class="thleft col-md-4">
                        <?php echo __d('service', 'service.textTableauOrganisation'); ?>
                    </th>

                    <!-- Nombre d'utilisateurs -->
                    <th class="thleft col-md-4">
                        <?php echo __d('service', 'service.titreTableauNbUtilisateur'); ?>
                    </th>

                    <!-- Actions -->
                    <th class="thleft col-md-2">
                        <?php echo __d('service', 'service.titreTableauAction'); ?>
                    </th>
                </tr>
            </thead>

            <tbody>
                <?php
                foreach ($serv as $value) {
                    ?>
                    <tr>
                        <!-- Nom du service -->
                        <td class="tdleft">
                            <?php 
                                echo $value[ 'Service' ][ 'libelle' ];
                            ?>
                        </td>

                        <!-- Entité -->
                        <td class="tdleft">
                            <?php 
                                echo $this->Session->read('Organisation.raisonsociale');
                            ?>
                        </td>

                        <!-- Nombre d'utilisateurs -->
                        <td class="tdleft">
                            <?php 
                                echo $value['Service']['users_count'];
                            ?>
                        </td>

                        <!-- Actions -->
                        <td class="tdleft col-md-2">
                            <div class="btn-group">
                                <?php
                                    if ($this->Autorisation->authorized(14, $droits)) {
                                        echo $this->Html->link('<span class="fa fa-pencil fa-lg"><!----></span>', [
                                            'controller' => 'services',
                                            'action' => 'edit',
                                            $value['Service']['id']
                                                ], [
                                            'class' => 'btn btn-default-default boutonEdit btn-sm',
                                            'escapeTitle' => false,
                                            'title' => __d('service', 'service.commentaireModifierService')
                                        ]);
                                    }

                                    if ($this->Autorisation->authorized(15, $droits) && $value['Service']['users_count'] == 0) {
                                        echo $this->Html->link('<span class="fa fa-trash fa-lg"><!----></span>', [
                                            'controller' => 'services',
                                            'action' => 'delete',
                                            $value['Service']['id']
                                                ], [
                                            'class' => 'btn btn-default-danger boutonDelete btn-sm',
                                            'escapeTitle' => false,
                                            'title' => __d('service', 'service.commentaireSupprimerService')
                                        ], __d('service', 'service.confirmationSupprimerService') . $value['Service']['libelle'] . ' ?');
                                    }
                                ?>
                            </div>
                        </td>
                    </tr>
                    <?php
                }
                ?>
            </tbody>
        </table>
        <?php
    } else {
        ?>
	<div class='text-center'>
            <h3>
                <?php
                    echo __d('service', 'service.textAucunService');
                ?>
            </h3>
	</div>
        <?php
    }
?>
        
<div class="text-center">
    <?php
        echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"><!----></span>'. __d('service','service.btnAjouterService'), [
            'controller' => 'services',
            'action' => 'add'
                ],[
            'class' => 'btn btn-default-primary sender',
            'escapeTitle' => false
        ]);
    ?>
</div>
