<?php
    echo $this->Html->script('filtre.js');
    echo $this->Html->css('filtre.css');

    // Bouton du filtre de la liste
    echo $this->Form->button('<span class="fa fa-filter fa-lg"><!----></span>' . __d('soustraitant', 'soustraitant.btnFiltrerSoustraitant'), [
        'type' => 'button',
        'class' => 'btn btn-default-default pull-right',
        'id' => 'filtrage'
    ]);
    
    $filters = $this->request->data;

    unset($filters['sort'], $filters['direction'], $filters['page']);
    if(empty($filters['Filtre'])) {
        unset($filters['Filtre']);
    }
?>

<div id="divFiltrage" <?php if(true === empty($filters)) {echo 'style="display: none;"';}?>>
    <?php echo $this->Form->create('Filtre', ['class' => 'search-form']);?>

    <div class="row">
        <?php
            // Filtrer sur le siret
            echo $this->element('Filtres/Parametrages/siret', ['fieldname' => 'siretstructure', 'options' => $options['siretstructure']]);
            // Filtrer sur le code APE
            echo $this->element('Filtres/Parametrages/ape', ['options' => $options['apestructure']]);
        ?>
    </div>

    <br>
    
    <div class="row">
        <?php
            // Filtrer par raison sociale
            echo $this->element('Filtres/Parametrages/raisonsociale', ['options' => $options['raisonsocialestructure']]);
        ?>
    </div>

    <?php echo $this->element('Filtres/Parametrages/buttons');?>
    <?php echo $this->Form->end();?>
</div>

<?php
    $pagination = null;

    if (!empty($soustraitants)) {
        $this->Paginator->options(
            array( 'url' => Hash::flatten( (array)$this->request->data, '.' ) )
        );
        $pagination = $this->element('pagination');

        echo $pagination;
        ?>
        <table class="table ">
            <thead>
                <tr>
                    <!-- Structure -->
                    <th class="col-md-3">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauStructure'); ?>
                    </th>

                    <!--  Responsable -->
                    <th class="col-md-3">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauResponsable'); ?>
                    </th>

                    <!-- Information sur le Dpo -->
                    <th class="col-md-3">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauInfoDPO'); ?>
                    </th>

                    <!-- Actions -->
                    <th class="col-md-3">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauAction'); ?>
                    </th>
                </tr>
            </thead>

            <tbody>
                <?php
                foreach ($soustraitants as $soustraitant) {
                    ?>
                    <tr>
                        <!-- Structure -->
                        <td>
                            <?php
                            echo $soustraitant['Soustraitant']['raisonsocialestructure'];

                            echo '<ul><li><strong>Siret : </strong>'.$soustraitant['Soustraitant']['siretstructure'].'</li></ul>';

                            $items = Hash::extract($soustraitant, 'Soustraitant.telephonestructure');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Téléphone : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.faxstructure');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Fax : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.emailstructure');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>E-mail : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }
                            ?>
                        </td>

                        <!-- Responsable de la structure -->
                        <td>
                            <?php
                            if (empty($soustraitant['Soustraitant' ]['nom_complet']) === false) {
                                echo $soustraitant['Soustraitant' ]['nom_complet'];
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.fonctionresponsable');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Fonction : </strong>' . implode('</li><li>', $items) . '</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.telephoneresponsable');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Téléphone : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.emailresponsable');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>E-mail : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }
                            ?>
                        </td>

                        <!-- DPO de la structure -->
                        <td>
                            <?php
                            if (empty($soustraitant['Soustraitant' ]['nom_complet_dpo']) === false) {
                                echo $soustraitant['Soustraitant' ]['nom_complet_dpo'];
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.numerocnil_dpo');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Numéro CNIL : </strong>' . implode('</li><li>', $items) . '</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.email_dpo');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>E-mail : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.telephonefixe_dpo');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Téléphone fixe : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.telephoneportable_dpo');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Téléphone portable : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }
                            ?>
                        </td>

                        <!-- Actions -->
                        <td>
                            <div class="btn-group">
                                <?php
                                    echo $this->Html->link('<span class="fa fa-eye fa-lg"><!----></span>', [
                                        'controller' => 'soustraitants',
                                        'action' => 'show',
                                        $soustraitant['Soustraitant']['id']
                                            ], [
                                        'class' => 'btn btn-default-default btn-sm my-tooltip',
                                        'title' => __d('soustraitant', 'soustraitant.commentaireBtnVisualiserSoustraitant'),
                                        'escape' => false,
                                    ]);
                                
                                    echo $this->Html->link('<span class="fa fa-chain-broken fa-lg"><!----></span>', [
                                        'controller' => 'soustraitants',
                                        'action' => 'dissocierSoustraitant',
                                        $soustraitant['Soustraitant']['id']
                                            ], [
                                        'class' => 'btn btn-default-danger btn-sm my-tooltip',
                                        'escapeTitle' => false,
                                        'title' => __d('soustraitant', 'soustraitant.commentaireBtnSupprimerSoustraitantEntite')
                                    ], __d('soustraitant', 'soustraitant.confirmationSupprimerSoustraitantEntite') . ' " ' . $soustraitant['Soustraitant']['raisonsocialestructure'] . ' " de votre entité  ?');
                                ?>
                            </div>
                        </td>
                    </tr>
                    <?php
                }
                ?>
            </tbody>
        </table>
        <?php
        echo $pagination;
    } else {
        ?>
	<div class='text-center'>
            <h3>
                <?php
                echo [] === Hash::filter($filters)
                    ? __d('soustraitant', 'soustraitant.textAucunSoustraitantEntite')
                    : __d('soustraitant', 'soustraitant.textFiltreAucunSoustraitantEntite');
                ?>
            </h3>
	</div>
        <?php
    }
