<?php
    echo $this->Html->script('filtre.js');
    echo $this->Html->css('filtre.css');

    // Bouton du filtre de la liste
    echo $this->Form->button('<span class="fa fa-filter fa-lg"><!----></span>' . __d('soustraitant', 'soustraitant.btnFiltrerSoustraitant'), [
        'type' => 'button',
        'class' => 'btn btn-default-default pull-right',
        'id' => 'filtrage'
    ]);

    $filters = $this->request->data;

    unset($filters['sort'], $filters['direction'], $filters['page']);
    if(empty($filters['Filtre'])) {
        unset($filters['Filtre']);
    }
?>

<div id="divFiltrage" <?php if(true === empty($filters)) {echo 'style="display: none;"';}?>>
    <?php echo $this->Form->create('Filtre', ['class' => 'search-form']);?>

    <div class="row">
        <?php
             // Filtrer par entité associée
            echo $this->element('Filtres/Parametrages/organisation_associee', ['options' => $options['organisations']]);
            // Filtrer sur le siret
            echo $this->element('Filtres/Parametrages/siret', ['fieldname' => 'siretstructure', 'options' => $options['siretstructure']]);
        ?>
    </div>

    <br>

    <div class="row">
        <?php
            // Filtrer par raison sociale
            echo $this->element('Filtres/Parametrages/raisonsociale', ['options' => $options['raisonsocialestructure']]);
            // Filtrer sur le code APE
            echo $this->element('Filtres/Parametrages/ape', ['options' => $options['apestructure']]);
        ?>
    </div>

    <br>

    <div class="row">
        <?php echo $this->element('Filtres/Parametrages/organisation_creatrice', ['options' => $options['organisations']]);?>
    </div>

    <?php echo $this->element('Filtres/Parametrages/buttons');?>
    <?php echo $this->Form->end();?>
</div>
    
<?php
    if (!empty($soustraitants)) {
        $pagination = null;
        
        $this->Paginator->options(
            array( 'url' => Hash::flatten( (array)$this->request->data, '.' ) )
        );
        $pagination = $this->element('pagination');

        echo $pagination;
        ?>
        <fieldset>

            <!--Bouton qui permet de choisir l'ordre de generation pour généré l'extrait de registre  -->
            <div class="pull-left btnAffecterEntite" style="margin-left:25px">
                <button type="button" id="btnAffecterEntite" class="btn btn-default-primary btn_affecterEntite" data-toggle="modal" data-target="#modalAddElementToEntity">
                    <span class="fa fa-link fa-lg"><!----></span>
                    <?php 
                        echo __d('soustraitant', 'soustraitant.btnAffecterEntite'); 
                    ?>
                </button>
            </div>

        </fieldset>

        <table class="table ">
            <thead>
                <tr>
                    <!-- checkbox -->
                    <th class="thleft col-md-1">
                        <input id="soustraitantEntiteCheckbox" type="checkbox" class="soustraitantEntiteCheckbox_checkbox" />
                    </th>

                    <!-- Structure -->
                    <th class="thleft col-md-2">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauStructure'); ?>
                    </th>

                    <!--  Responsable -->
                    <th class="thleft col-md-2">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauResponsable'); ?>
                    </th>

                    <!-- Information sur le Dpo -->
                    <th class="thleft col-md-2">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauInfoDPO'); ?>
                    </th>

                    <!-- Entité associée -->
                    <th class="thleft col-md-2">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauEntiteSoustraitant'); ?>
                    </th>

                    <!-- Actions -->
                    <th class="thleft col-md-2">
                        <?php echo __d('soustraitant', 'soustraitant.titreTableauAction'); ?>
                    </th>
                </tr>
            </thead>

            <tbody>
                <?php
                foreach ($soustraitants as $soustraitant) {
                    ?>
                    <tr>
                        <!-- Casse à coché pour associer un soustraitant à une entité -->
                        <td class="tdleft">
                            <input id='checkbox<?php echo $soustraitant['Soustraitant']['id']; ?>' type="checkbox" class="soustraitantEntiteCheckbox" value="<?php echo $soustraitant['Soustraitant']['id']; ?>" >
                        </td>
                        
                        <!-- Structure -->
                        <td class="tdleft">
                            <?php
                            echo $soustraitant['Soustraitant']['raisonsocialestructure'];

                            $items = Hash::extract($soustraitant, 'Soustraitant.siretstructure');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Siret : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.telephonestructure');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Téléphone : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.faxstructure');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Fax : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.emailstructure');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>E-mail : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }
                            ?>
                        </td>

                        <!-- Responsable de la structure -->
                        <td class="tdleft">
                            <?php
                            if (empty($soustraitant['Soustraitant' ]['nom_complet']) === false) {
                                echo $soustraitant['Soustraitant' ]['nom_complet'];
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.fonctionresponsable');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Fonction : </strong>' . implode('</li><li>', $items) . '</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.telephoneresponsable');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Téléphone : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.emailresponsable');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>E-mail : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }
                            ?>
                        </td>

                        <!-- DPO de la structure -->
                        <td class="tdleft">
                            <?php
                            if (empty($soustraitant['Soustraitant' ]['nom_complet_dpo']) === false) {
                                echo $soustraitant['Soustraitant' ]['nom_complet_dpo'];
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.numerocnil_dpo');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Numéro CNIL : </strong>' . implode('</li><li>', $items) . '</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.email_dpo');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>E-mail : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.telephonefixe_dpo');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Téléphone fixe : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }

                            $items = Hash::extract($soustraitant, 'Soustraitant.telephoneportable_dpo');
                            if (empty($items) === false) {
                                echo '<ul><li><strong>Téléphone portable : </strong>'.implode('</li><li>', $items).'</li></ul>';
                            }
                            ?>
                        </td>

                        <!-- Entité associée -->
                        <td class="tdleft">
                            <?php
                            $items = Hash::extract($soustraitant, 'Organisation.{n}.raisonsociale');
                            if (empty($items) === false) {
                                echo '<li>'.implode('</li><li>', $items).'</li>';
                            }
                            ?>
                        </td>

                        <!-- Actions -->
                        <td class="tdleft col-md-2">
                            <div class="btn-group">
                                <?php
                                    echo $this->Html->link('<span class="fa fa-eye fa-lg"><!----></span>', [
                                        'controller' => 'soustraitants',
                                        'action' => 'show',
                                        $soustraitant['Soustraitant']['id']
                                            ], [
                                        'class' => 'btn btn-default-default btn-sm my-tooltip',
                                        'title' => __d('soustraitant', 'soustraitant.commentaireBtnVisualiserSoustraitant'),
                                        'escape' => false,
                                    ]);

                                    if ($this->Session->read('Su') || $soustraitant['Soustraitant']['createdbyorganisation'] == $this->Session->read('Organisation.id')) {
                                        echo $this->Html->link('<span class="fa fa-pencil fa-lg"><!----></span>', [
                                            'controller' => 'soustraitants',
                                            'action' => 'edit',
                                            $soustraitant['Soustraitant']['id']
                                                ], [
                                            'class' => 'btn btn-default-default btn-sm my-tooltip',
                                            'title' => __d('soustraitant', 'soustraitant.commentaireBtnModifierSoustraitant'),
                                            'escape' => false,
                                        ]);

                                        if (empty($soustraitant['Organisation']) === true && empty($soustraitant['Fiche'])) {
                                            echo $this->Html->link('<span class="fa fa-trash fa-lg"><!----></span>', [
                                                'controller' => 'soustraitants',
                                                'action' => 'delete',
                                                $soustraitant['Soustraitant']['id']
                                                    ], [
                                                'class' => 'btn btn-default-danger btn-sm my-tooltip',
                                                'escapeTitle' => false,
                                                'title' => __d('soustraitant', 'soustraitant.commentaireBtnSupprimerSoustraitant')
                                            ], __d('soustraitant', 'soustraitant.confirmationSupprimerSoustraitant') . $soustraitant['Soustraitant']['raisonsocialestructure'] . ' ?');
                                        }
                                    }
                                ?>
                            </div>
                        </td>
                    </tr>
                    <?php
                }
                ?>
            </tbody>
        </table>
        <?php
        echo $pagination;
    } else {
        ?>
        <div class='text-center'>
            <h3>
                <?php
                echo [] === Hash::filter($filters)
                    ? __d('soustraitant', 'soustraitant.textAucunSoustraitant')
                    : __d('soustraitant', 'soustraitant.filtreTextAucunSoustraitant');
                ?>
            </h3>
        </div>
        <?php
    }
?>
        
<div class="text-center">
    <?php
        echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"><!----></span>'. __d('soustraitant','soustraitant.btnAjouterSoustraitant'), [
            'controller' => 'soustraitants',
            'action' => 'add'
                ],[
            'class' => 'btn btn-default-primary sender',
            'escapeTitle' => false
        ]);
    ?>
</div>

<?php
echo $this->element('Default/modalAddElementToEntity', [
    'controller' => 'Soustraitant',
    'modalTitle' => __d('soustraitant', 'soustraitant.popupTitreAffecterSousTraitant'),
    'fieldName' => 'SoustraitantOrganisation'
]);
?>

<script type="text/javascript">
// <![CDATA[
    $(document).ready(function () {
        
        $('.soustraitantEntiteCheckbox').attr('checked', false);

        $('#btnAffecterEntite').attr('disabled', true);
        // Lors d'action sur une checkbox : soustraitantEntiteCheckbox
        $("#soustraitantEntiteCheckbox").change(function () {
            $(".soustraitantEntiteCheckbox").not(':disabled').prop('checked', $(this).prop('checked'));
            
            if ($(this).is(':checked')) {
                $('#btnAffecterEntite').removeAttr('disabled');
            } else {
                $('#btnAffecterEntite').attr('disabled', true);
            }
        });
        
        $('input[type="checkbox"]').not("#soustraitantEntiteCheckbox").change(function () {
            $('#soustraitantEntiteCheckbox').prop('checked', $('input[type="checkbox"]').not('#soustraitantEntiteCheckbox').not(':disabled').not(':checked').length === 0);
        });
        
        $('input[type="checkbox"]').not("#soustraitantEntiteCheckbox").click(function() {
            $('#btnAffecterEntite').attr("disabled", !$('input[type="checkbox"]').is(":checked"));
            
            $("input[type='hidden']").remove()
        });
        
        $('#modalAddElementToEntity').on('shown.bs.modal', function () {
            var checkboxes = $('table tbody input[type=checkbox]'),
                hidden, value;

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');
                    hidden = '<input type="hidden" name="data[SoustraitantOrganisation][soustraitant_id][]" value="'+value+'" />';
                    $("#modalAddElementToEntity .modal-body").append(hidden);
                }
            });
        });

        $('#btnSave').attr('disabled', true);
        // Lors d'action sur une menu déroulant : organisation_id
        $("#organisation_id").change(function () {
            if ($("#organisation_id").val() != null) {
                $('#btnSave').removeAttr('disabled');
            } else {
                $('#btnSave').attr('disabled', true);
            }
        });
    });
// ]]>
</script>
