<?php
echo $this->Html->script('filtre.js');
echo $this->Html->css('filtre.css');

// Bouton du filtre de la liste
echo $this->Form->button('<span class="fa fa-filter fa-lg"><!----></span>' . __d('typage', 'typage.btnFiltrerTypage'), [
    'type' => 'button',
    'class' => 'btn btn-default-default pull-right',
    'id' => 'filtrage'
]);

$filters = $this->request->data;

unset($filters['sort'], $filters['direction'], $filters['page']);
if(empty($filters['Filtre'])) {
    unset($filters['Filtre']);
}
?>

<div id="divFiltrage" <?php if(true === empty($filters)) {echo 'style="display: none;"';}?>>
    <?php echo $this->Form->create('Filtre', ['class' => 'search-form']);?>

    <div class="row">
        <?php
        // Filtrer par entité associée
        echo $this->element('Filtres/Parametrages/organisation_associee', ['options' => $options['organisations']]);
        // Filtrer par entité créatrice
        echo $this->element('Filtres/Parametrages/organisation_creatrice', ['options' => $options['organisations']]);
        ?>
    </div>

    <?php echo $this->element('Filtres/Parametrages/buttons');?>
    <?php echo $this->Form->end();?>
</div>

<?php
$pagination = null;

$this->Paginator->options([
    'url' => Hash::flatten( (array)$this->request->data, '.' )
]);
$pagination = $this->element('pagination');

echo $pagination;
?>

<?php
if (!empty($typages)) {
    ?>
    <fieldset>
        <div class="pull-left btnAffecterEntite" style="margin-left:25px">
            <button type="button" id="btnAffecterEntite" class="btn btn-default-primary btn_affecterEntite" data-toggle="modal" data-target="#modalAddElementToEntity">
                <span class="fa fa-link fa-lg"><!----></span>
                <?php
                echo __d('typage', 'typage.btnAffecterEntite');
                ?>
            </button>
        </div>
    </fieldset>

    <table class="table ">
        <thead>
        <tr>
            <!-- checkbox -->
            <th class="thleft col-md-1">
                <input id="typageOrganisationCheckbox" type="checkbox" class="typageOrganisationCheckbox_checkbox"/>
            </th>

            <!-- Libelle -->
            <th class="thleft col-md-2">
                <?php echo __d('typage', 'typage.titreTableauLibelle'); ?>
            </th>

            <!-- Entité -->
            <th class="thleft col-md-2">
                <?php echo __d('typage', 'typage.titreTableauEntite'); ?>
            </th>

            <!-- Actions -->
            <th class="thleft col-md-1">
                <?php echo __d('typage', 'typage.titreTableauAction'); ?>
            </th>
        </tr>
        </thead>

        <tbody>
        <?php
        foreach ($typages as $typage) {
            ?>
            <tr>
                <!-- Casse à coché pour associer un responsable à une entité -->
                <td class="tdleft">
                    <input id='checkbox<?php echo $typage['Typage']['id']; ?>' type="checkbox"
                           class="typageOrganisationCheckbox" value="<?php echo $typage['Typage']['id']; ?>" >
                </td>

                <!--  Prenom Nom co-responsable -->
                <td class="tdleft">
                    <?php
                    echo $typage['Typage']['libelle'];
                    ?>
                </td>

                <!-- Entité -->
                <td class="tdleft">
                    <?php
                    $organisations = Hash::extract($typage, 'Organisation.{n}.id');
                    if (empty($organisations) === false) {
                        echo '<ul><li>' . implode('</li><li>', Hash::extract($typage, 'Organisation.{n}.raisonsociale')) . '</li></ul>';
                    }
                    ?>
                </td>

                <!-- Actions -->
                <td class="tdleft col-md-2">
                    <div class="btn-group">
                        <?php
                        if ($this->Session->read('Su') || $typage['Typage']['createdbyorganisation'] == $this->Session->read('Organisation.id')) {
                            echo $this->Html->link('<span class="fa fa-pencil fa-lg"><!----></span>', [
                                'controller' => 'typages',
                                'action' => 'edit',
                                $typage['Typage']['id']
                            ], [
                                'class' => 'btn btn-default-default btn-sm my-tooltip',
                                'title' => __d('typage', 'typage.commentaireBtnModifierType'),
                                'escape' => false,
                            ]);

                            if (empty($organisations) === true) {
                                echo $this->Html->link('<span class="fa fa-trash fa-lg"><!----></span>', [
                                    'controller' => 'typages',
                                    'action' => 'delete',
                                    $typage['Typage']['id']
                                ], [
                                    'class' => 'btn btn-default-danger btn-sm my-tooltip',
                                    'escapeTitle' => false,
                                    'title' => __d('typage', 'typage.commentaireBtnDeleteType')
                                ], __d('typage', 'typage.confirmationDeleteType') . $typage['Typage']['libelle'] . ' ?');
                            }
                        }
                        ?>
                    </div>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
    </table>
    <?php
} else {
    ?>
    <div class='text-center'>
        <h3>
            <?php
            echo [] === Hash::filter($filters)
                ? __d('typage', 'typage.textAucunTypage')
                : __d('typage', 'typage.filtreTextAucunTypage');
            ?>
        </h3>
    </div>
    <?php
}
?>

<div class="text-center">
    <?php
    echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"><!----></span>'. __d('typage','typage.btnAjouterType'), [
        'controller' => 'typages',
        'action' => 'add'
    ],[
        'class' => 'btn btn-default-primary sender',
        'escapeTitle' => false
    ]);
    ?>
</div>

<?php
echo $this->element('Default/modalAddElementToEntity', [
    'controller' => 'Typage',
    'modalTitle' => __d('typage', 'typage.popupTitreAffecterType'),
    'fieldName' => 'TypageOrganisation'
]);
?>

<script type="text/javascript">
    $(document).ready(function () {

        $('.typageOrganisationCheckbox')
            .attr('checked', false);

        $('#btnAffecterEntite').attr('disabled', true);

        // Lors d'action sur une checkbox : typageOrganisationCheckbox
        $("#typageOrganisationCheckbox").change(function () {
            $(".typageOrganisationCheckbox").not(':disabled').prop('checked', $(this).prop('checked'));

            if ($(this).is(':checked')) {
                $('#btnAffecterEntite').removeAttr('disabled');
            } else {
                $('#btnAffecterEntite').attr('disabled', true);
            }
        });

        let inputTypeCheckbox = $('input[type="checkbox"]');
        $(inputTypeCheckbox).not("#typageOrganisationCheckbox").change(function () {
            $('#typageOrganisationCheckbox').prop('checked', $(inputTypeCheckbox).not('#typageOrganisationCheckbox').not(':disabled').not(':checked').length === 0);
        });

        $(inputTypeCheckbox).not("#typageOrganisationCheckbox").click(function() {
            $('#btnAffecterEntite').attr("disabled", !$(inputTypeCheckbox).is(":checked"));

            $('input[type="hidden"]').remove()
        });

        $('#modalAddElementToEntity').on('shown.bs.modal', function () {
            var checkboxes = $('table tbody input[type=checkbox]'),
                hidden, value;

            $(checkboxes).each(function(idx) {
                if ($(checkboxes[idx]).prop('checked') === true) {
                    value = $(checkboxes[idx]).prop('value');
                    hidden = '<input type="hidden" name="data[TypageOrganisation][typage_id][]" value="'+value+'" />';
                    $("#modalAddElementToEntity .modal-body").append(hidden);
                }
            });
        });

        $('#btnSave').attr('disabled', true);
        // Lors d'action sur une menu déroulant : organisation_id
        $("#organisation_id").change(function () {
            if ($("#organisation_id").val() != null) {
                $('#btnSave').removeAttr('disabled');
            } else {
                $('#btnSave').attr('disabled', true);
            }
        });

    });
</script>
