<?php
$pagination = null;

if (!empty($circuits)) {
    $this->Paginator->options([
        'url' => Hash::flatten((array)$this->request->data, '.')
    ]);
    $pagination = $this->element('pagination');

    echo $pagination;
    ?>
    <table class="table ">
        <thead>
            <tr>
                <!-- Etat -->
                <th class="col-md-1">
                    <?php echo __d('workflow', 'workflow.titreTableauEtat'); ?>
                </th>

                <!-- Nom du du circuit -->
                <th class="thleft col-md-4">
                    <?php echo __d('workflow', 'workflow.titreTableauNom'); ?>
                </th>

                <!-- Description du circuit -->
                <th class="thleft col-md-4">
                    <?php echo __d('workflow', 'workflow.titreTableauDescription'); ?>
                </th>

                <!-- Actions -->
                <th class="thleft col-md-3">
                    <?php echo __d('workflow', 'workflow.titreTableauActions'); ?>
                </th>
            </tr>
        </thead>

        <tbody>
        <?php
        foreach ($circuits as $circuit) {
            if ($circuit['Workflow']['active'] == true) {
                $iconClass = 'fa fa-toggle-on fa-3x fa-success';
                $statut = __d('workflow', 'workflow.textStatutActif');
                $statutClass = 'fa-success';
            } else {
                $statut = __d('workflow', 'workflow.textStatutInactif');
                $iconClass = 'fa fa-toggle-off fa-3x fa-danger';
                $statutClass = 'fa-danger';
            }
            ?>
            <tr>
                <!-- Status du formulaire -->
                <td class="tdleft">
                    <div class="etatIcone">
                        <i class= '<?php echo $iconClass; ?>'><!----></i>
                        <span class='<?php echo $statutClass; ?>'>
                            <?php echo $statut; ?>
                        </span>
                    </div>
                </td>

                <!-- Nom du du circuit -->
                <td class="tdleft">
                    <?php
                    echo $circuit['Workflow']['name'];
                    ?>
                </td>

                <!-- Description du circuit -->
                <td class="tdleft">
                    <?php
                    echo $circuit['Workflow']['description'];
                    ?>
                </td>

                <!-- Actions -->
                <td class="tdleft col-md-2">
                    <div class="btn-group">
                        <?php
                        // Bouton visualiser le circuit
                        echo $this->Html->link('<span class="fa fa-eye fa-lg"></span>', [
                            'controller' => 'workflows',
                            'action' => 'show',
                            $circuit['Workflow']['id']
                        ], [
                            'class' => 'btn btn-default-default btn-sm',
                            'title' => __d('workflow', 'workflow.commentaireVisualiserCircuit'),
                            'escape' => false,
                        ]);

                        if ($circuit['Workflow']['active'] == true) {
                            // Bouton désactivé le formulaire
                            $lien = $this->Html->link('<span class="fa fa-toggle-on fa-lg"></span>', [
                                'controller' => 'workflows',
                                'action' => 'toggle',
                                $circuit['Workflow']['id'],
                                $circuit['Workflow']['active']
                            ], [
                                'class' => 'btn btn-default-default btn-sm',
                                'escape' => false,
                                'title' => __d('workflow', 'workflow.commentaireDesactiverCircuit')
                            ]);
                        } else {
                            // Bouton activé le formulaire
                            $lien = $this->Html->link('<span class="fa fa-toggle-off fa-lg"></span>', [
                                'controller' => 'workflows',
                                'action' => 'toggle',
                                $circuit['Workflow']['id'],
                                $circuit['Workflow']['active']
                            ], [
                                'class' => 'btn btn-default-default btn-sm',
                                'escape' => false,
                                'title' => __d('workflow', 'workflow.commentaireActiverCircuit')
                            ]);
                        }
                        echo $lien;

                        if ($circuit['Workflow']['active'] == false) {
                            echo $this->Html->link('<span class="fa fa-pencil fa-lg"></span>', [
                                'controller' => 'workflows',
                                'action' => 'edit',
                                $circuit['Workflow']['id']
                            ], [
                                'class' => 'btn btn-default-default boutonEdit btn-sm',
                                'escapeTitle' => false,
                                'title' => __d('workflow', 'workflow.commentaireModifierCircuit')
                            ]);


                            echo $this->Html->link('<span class="fa fa-trash fa-lg"></span>', [
                                'controller' => 'workflows',
                                'action' => 'delete',
                                $circuit['Workflow']['id']
                            ], [
                                'class' => 'btn btn-default-danger boutonDelete btn-sm',
                                'escapeTitle' => false,
                                'title' => __d('workflow', 'workflow.commentaireSupprimerCircuit')
                            ], __d('workflow', 'workflow.confirmationSupprimerCircuit') . $circuit['Workflow']['name'] . ' ?');
                        }
                        ?>
                    </div>
                </td>
            </tr>
            <?php
        }
        ?>
        </tbody>
    </table>
    <?php
} else {
    ?>
    <div class='text-center'>
        <h3>
            <?php
            echo __d('workflow', 'workflow.textNoCircuit');
            ?>
        </h3>
    </div>
    <?php
}
?>

<div class="text-center">
    <?php
    echo $this->Html->link('<span class="fa fa-plus-circle fa-lg"></span>'. __d('workflow','workflow.btnAddCircuit'), [
        'controller' => 'workflows',
        'action' => 'add'
    ],[
        'class' => 'btn btn-default-primary sender',
        'escapeTitle' => false
    ]);
    ?>
</div>
